2012-02-14 Etsushi Kato <ek.kato@gmail.com>
	
	* Tag uim-1.7.3 from r7453 branches/1.7
	
2012-02-14 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7454 from trunk.
	
2012-02-14 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7451 from trunk.
	
2012-02-14 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE
	* NEWS
	  - Update for 1.7.3.
	
2012-02-13 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7446 from trunk.
	
2012-02-08 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7439 from trunk.
	
2012-02-08 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7436, r7437 from trunk.
	
2012-02-01 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7433, r7434 from trunk.
	
2012-02-01 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7431 from trunk.
	
2012-01-31 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7429 from trunk.
	
2012-01-23 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/immodule/qtextutils.cpp
	  - (QUimTextUtil::deleteSelectionTextInQTextEdit) : Bug fix.
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac
	* uim/uim.h
	  - Post release version bump.
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Update copyright by svn ls -R | egrep -v '/$' | xargs perl -i -pe 's/\b(20\d\d)([,-\s]+20\d\d)*\s+uim\b/\1-2012 uim/'
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS: Update.
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS
	* RELNOTE
	  - Update.
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7316 from trunk.
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7318 from trunk.
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7319, 7322, 7404 from trunk.
	
2012-01-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7320 from trunk.
	
2011-10-15 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7325 from trunk.
2011-08-26 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7274 from trunk.
	
2011-08-24 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7271 from trunk.
	
2011-08-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7266 from trunk.
2011-08-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7264 from trunk.
2011-08-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7257,r7258,r7259,r7260,r7261,r7262 from trunk.
2011-07-27 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac
	* uim/uim.h
	  - Post release version bump.
	
2011-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7244 from trunk.
	
2011-07-26 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7241,r7242 from trunk.
2011-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* po/POTFILES.skip
	* po/POTFILES.in
	  - Don't check generated files of qt4/pref.
	
2011-07-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7238 from trunk.
2011-07-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7236 from trunk.
2011-07-22 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7234 from trunk.
2011-07-22 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS
	* RELNOTE
	  - Update.
	
2011-07-22 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2011-07-22 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7139, r7155 from trunk.
	
2011-07-22 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/pref-gtk-custom-widgets.c
	* gtk/key-util-gtk.c
	  - Merge r7132 from trunk.
	
2011-07-21 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7228 from trunk.
2011-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - make update-po and update translated message.
	
2011-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* NEWS
	  - Add news about uim-tutcode.
	
2011-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7224 from trunk.
2011-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7222 from trunk.
2011-07-19 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	  - Clear fuzzy.
	
2011-07-19 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - make update-po.
	
2011-07-19 Etsushi Kato <ek.kato@gmail.com>
	
	* POTFILES.in
	* POTFILES.skip
	  - Temporarily add ui_keyeditformbase.h and ui_olisteditformbase.h.
	
2011-07-18 Jae-hyeon Park <jhyeon@gmail.com>
	
	* NEWS
	  - fix a typo
	
2011-07-18 Jae-hyeon Park <jhyeon@gmail.com>
	
	* NEWS
	  - update
	
2011-07-17 Jae-hyeon Park <jhyeon@gmail.com>
	
	* po/fr.po
	* po/ja.po
	* po/ko.po
	  - make update-po
	
2011-07-17 Jae-hyeon Park <jhyeon@gmail.com>
	
	* Merge r7116, r7117, r7123 from trunk
	
2011-07-17 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* NEWS
	  - Update.
	
	
2011-07-14 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS: Update.
	
2011-07-12 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7211 from trunk.
2011-07-11 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7209 from trunk.
2011-07-11 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7207 from trunk.
2011-07-11 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ko.po
	* po/ja.po
	  - Clear fuzzy.
	
2011-07-11 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - make update-po
	
2011-07-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7193 from trunk.
2011-07-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	Merge r7151 from trunk.
2011-07-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	Merge r7136 from trunk.
2011-07-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	Merge r7121 from trunk.
2011-07-07 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7188 from trunk.
	
2011-07-06 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7184, r7185, r7186 from trunk.
	
2011-07-05 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7182 from trunk.
	
2011-06-27 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7164 from trunk.
	
2011-06-15 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7130 from trunk.
	
2011-06-15 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7140 from trunk.
	
2011-06-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7137 from trunk.
2011-06-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7100, r7101, r7105 from trunk.
2011-05-31 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7127, r7128 from trunk.
	
2011-05-21 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7103 from trunk.
	
2011-05-17 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac
	* uim/uim.h
	  - Post release version bump.
	
2011-05-17 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7090, r7091, r7092 from trunk.
	
2011-05-16 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7088 from trunk.
	
2011-05-15 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7086 from trunk.
	
2011-05-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7084 from trunk.
2011-05-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7081, 7082 from trunk.
2011-05-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Merge r7079 from trunk.
2011-05-12 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7077 from trunk.
	
2011-05-12 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7064:7075 from trunk.
	
2011-05-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7061 from trunk.
	
2011-05-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7064 from trunk.
	
2011-05-11 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7062 from trunk.
	
2011-05-10 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Merge r7059 from trunk.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7057 from trunk.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7054,r7055 from trunk.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7046 from trunk.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* Merge r7044 from trunk.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* po/POTFILES.skip
	* po/POTFILES.in
	  - Don't check generated files of qt4/pref.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* Create branches/1.7 from r7041 trunk.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/toolbar-common-gtk.c (reset_icon) : Don't remove
	  reference of uim_factory.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ja.po : Add some translations.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/predict-custom.scm
	  - (predict-custom-google-suggest-language)
	  - (predict-custom-google-suggest-use-ssl)
	    - Add custom-activity-hooks.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/predict-custom.scm (predict-custom-enable?) : Update
	  description.
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Update.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE : Update.
	
2011-05-10 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2011-05-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/ja.po
	  - Fix translation about tutcode.
	
2011-05-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/ja.po
	  - Update translation about tutcode.
	
2011-05-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* NEWS
	  - Add news about tutcode.
	
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ja.po : Translate fuzzy.  Some of the tutcode related things
	  needs to be checked later.
	
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* fr.po
	* ko.po
	  - Remove fuzzy.
	
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - make update-po
	
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* emacs/candidate.c (select_candidate) : Remove unused code.
	* emacs/helper.c (helper_send_im_list) : Ditto.
	* notify/uim-libnotify.c : Don't use C++ style comment.
	* helper/toolbar-standalone-gtk.c (motion_notify_event_cb) :
	  Remove unused code.
	* helper/dict-word-list-win-gtk.c (activate_radio_action) : Ditto.
	* helper/im-switcher-gtk.c (get_selected_im_name) : Ditto.
	* uim/m17nlib.c
	  - (get_left_of_cursor)
	  - (get_right_of_cursor)
	  - (get_left_of_candidate)
	  - (get_selected_candidate)
	  - (get_right_of_candidate)
	    - Remove unused code.  Simplify using MAKE_STR_DIRECTLY().
	
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/dict-dict.c (uim_dict_open) : Fix a bug which was
	  introduced in r6513.
	
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* gtk/gtk-im-uim.c (im_uim_reset)
	* scm/byeoru.scm (byeoru-reset-handler)
	  - Follow the discussion in [Anthy-dev 2390].
	
2011-05-09 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* NEWS
	  - Update.
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2011-05-09 Etsushi Kato <ek.kato@gmail.com>
	
	* xim/Makefile.am : Define USE_GTK3_CANDWIN if default_toolkit is
	  gtk3.
	* xim/canddisp.cpp (DEFAULT_CANDWIN_PROG) : Add uim-candwin-gtk3.
	
2011-05-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* notify/uim-libnotify.c
	  - (uim_libnotify_notify): Add support for libnotify >= 0.7.
2011-05-08 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/libtool-version.mk (libuim_version) : Update to 8:0:1 from
	  7:0:0 (libuim.so.7.0.0 -> libuim.so.7.1.0).
	* doc/COMPATIBILITY : Update.
	
2011-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* gtk3/immodule/Makefile.am (im_uim_la_LIBADD) : Add libuim-counted-init.la.
	
2011-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* gtk/gtk-im-uim.c
	  - (im_module_init)
	  - (im_module_exit)
	    - Use uim_counted_init() and uim_counted_quit() for QGtkStyle
	      in Qt4.
	* gtk/Makefile.am (im_uim_la_LIBADD) : Add libuim-counted-init.la.
	* qt4/immodule/plugin.cpp
	  - (UimInputContextPlugin::uimInit)
	  - (UimInputContextPlugin::uimQuit)
	    - Use uim_counted_init() and uim_counted_quit() for QGtkStyle.
	* qt4/immoculd/quiminputcontextplugin.pro.in (LIBS) : Add
	  libuim-counted-init.a.
	* uim/counted-init.c (uim_init_count) : Move the variable into uim.c.
	* uim/uim.c (uim_init_count) : Moved from counted-init.c.
	* uim/counted-init.h (uim_init_count) : Extern the variable.
	
2011-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/toolbar/CMakeLists.txt
	  - (include_directories) : Add build directory of uim/.
	  - (target_link_libraries) : Use CMAKE_BINARY_DIR.
	
2011-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/pref-gtk-custom-widgets.c : Include
	  pref-gtk-custom-widgets.h with "" instead of <>.
	
2011-05-07 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/pref/Makefile.am
	  - Define helper_defs.
	  - (uim_pref_gtk3_CPPFLAGS): Use top_srcdir instead of relative path
	    to specify include directory to avoid fail in `make distcheck'.
2011-05-07 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/Makefile.am
	  - (appletdir): Change install directory of uim-toolbar-applet-gnome3.
2011-05-07 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/applet-gnome3.c
	  - (exec_switcher, exec_pref, exec_dic, exec_pad):
	    Launch GTK+3 version of helper applications.
2011-05-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/Makefile.am
	  - Add uim-toolbar-applet-gnome3.
	* helper/UimApplet.panel-applet.in.in
	  - Move to gtk3/toolbar.
	* helper/org.gnome.panel.applet.UimAppletFactory.service.in
	  - Ditto.
	* helper/toolbar-applet-gnome3.c
	  - Ditto.
	  - Rename to applet-gnome3.c
	* helper/Makefile.am
	  - Remove uim-toolbar-applet-gnome3.
	* po/POTFILES.in
	  - Follow change of toolbar-applet-gnome3.c.
2011-05-06 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/Makefile.am
	  - (DISTCLEANFILES) : Add toolbar-commont-gtk3.c.
	  - (uim_toolbar_applet_gnome3_LDADD) : Use GTK3_LIBS.
	  - (uim_toolbar_applet_gnome3_CDFLAGS) : Use GTK3_CFLAGS.
	  - (uim_toolbar_applet_gnome3_SOURCES) : Use
	     toolbar-common-gtk3.c.
	  - (toolbar-common-gtk3.c) : Symlink to toolbar-common-gtk3.c.
	
2011-05-06 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac (APPLET_GNOME3) : Use libpanelapplet-4.0.
	* helper/toolbar-applet-gnome3.c : Update for API change in
	  libpanel-applet >= 2.91.90.
	
2011-05-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/Makefile.am
	  - (EXTRA_DIST): Add UimApplet.panel-applet.in.in
	    and org.gnome.panel.applet.UimAppletFactory.service.in.
2011-05-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/dict/Makefile.am
	  - (uim_dict_gtk3_SOURCES): Correct path of dict-cclass-dialog.h.
2011-05-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* tools/gnuify-changelog.pl
	  - (%hackers): Update.
2011-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* xim/canddisp.cpp
	  - (candwin_read_cb): Suppress warnings by casting.
	* xim/compose.cpp
	  - (XimIM::get_mb_string, XimIM::parse_compose_line, KeySymToUcs4,
	     mb_string_to_utf8): Ditto.
	* xim/connection.cpp
	  - (XConnection::readToBuf): Ditto.
	* xim/convdisp.cpp
	  - (PeWin::draw_char, PeWin::set_back, PeLineWin::get_char_width,
	     ConvdispOv::check_atr, ConvdispOv::layoutCharEnt,
	     ConvdispOs::compose_preedit_array,
	     ConvdispOs::compose_feedback_array): Ditto.
	* xim/helper.cpp
	  - (send_im_list, helper_str_parse): Ditto.
	* xim/locale.cpp
	  - (valid_locales, all_locales): Ditto.
	* xim/main.cpp
	  - (add_window_watch, remove_window_watch, findWindowIf, notifyLocale,
	     init_supported_locales): Ditto.
	* xim/ximic.cpp
	  - (icxatr::icxatr, XimIC::send_key_event, XimIC::get_ic_atr,
	     XimIC::reset_ic, XimIC::onSendPacket): Ditto.
	* xim/ximpacket.cpp
	  - (TxString::TxString): Ditto.
	* xim/ximserver.cpp
	  - (XimServer::strToUstring,
	     InputContext::get_caret_state_label_from_prop_list,
	     InputContext::update_prop_list, keyState::check_key): Ditto.
	* xim/ximtrans.cpp
	  - (XIMATTRIBUTE::write_imattr_to_packet,
	     XICATTRIBUTE::write_icattr_to_packet,
	     Connection::push_error_packet): Ditto.
2011-05-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* uim/scim.cpp
	  - Fix compile error in broken uim-scim by including string.h,
	    which is needed to use strcmp().
2011-04-08 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-editor.scm
	  - (tutcode-editor-commit-raw):
	    Replace tutcode-make-string with string-list-concat.
	* scm/tutcode.scm
	  - (tutcode-make-string): Remove.
	  - (tutcode-lib-commit-nth-prediction,
	     tutcode-get-nth-candidate,
	     tutcode-prepare-commit-string,
	     tutcode-purge-candidate,
	     tutcode-begin-conversion,
	     tutcode-check-stroke-help-window-begin,
	     tutcode-check-auto-help-window-begin,
	     tutcode-do-update-preedit,
	     tutcode-commit-editor-context,
	     tutcode-check-completion,
	     tutcode-check-prediction,
	     tutcode-proc-state-yomi,
	     tutcode-proc-state-interactive-bushu,
	     tutcode-get-candidate-handler):
	    Replace tutcode-make-string with string-list-concat.
	  - (tutcode-postfix-delete-text): 
	    Replace tutcode-make-string with apply string-append.
	
2011-04-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add history input mode for tutcode.
	* scm/tutcode-custom.scm
	  - (tutcode-history-size,
	    tutcode-nr-candidate-max-for-history): New custom.
	* scm/tutcode-key-custom.scm
	  - (tutcode-history-start-sequence): New custom.
	* scm/tutcode.scm
	  - Add comment about history input mode.
	  - (tutcode-heading-label-char-list-for-history): New variable.
	  - (tutcode-context-rec-spec): Add history.
	  - (tutcode-context-new):
	    Add initialization of tutcode-heading-label-char-list-for-history.
	  - (tutcode-get-nth-candidate-for-history,
	    tutcode-get-current-candidate-for-history,
	    tutcode-prepare-commit-string-for-history): New.
	  - (tutcode-commit): Change to update commit history list.
	  - (tutcode-commit-by-label-key):
	    Change to use tutcode-get-idx-by-label-key.
	  - (tutcode-commit-by-label-key-for-prediction): Ditto.
	  - (tutcode-get-idx-by-label-key):
	    New function extracted and merged from tutcode-commit-by-label-key
	    and tutcode-commit-by-label-key-for-prediction.
	  - (tutcode-commit-by-label-key-for-history): New.
	  - (tutcode-append-history): New.
	  - (tutcode-begin-history): New.
	  - (tutcode-check-candidate-window-begin): Change for history mode.
	  - (tutcode-stroke-help-update-alist-with-rule):
	    Add label for history start sequence.
	  - (tutcode-do-update-preedit): Add update for history mode.
	  - (tutcode-proc-state-on):
	    Add parameter to tutcode-commit not to append to history on normal input.
	    Add check of history start sequence.
	  - (tutcode-postfix-delete-text):
	    Add parameter to tutcode-commit not to append to history
	    of fallback-backspace-string.
	  - (tutcode-proc-state-history): New.
	  - (tutcode-change-candidate-index): Fix error except in converting mode.
	  - (tutcode-heading-label-char-for-history?): New.
	  - (tutcode-proc-state-converting):
	    Fix not to use key with modifier as label key.
	  - (tutcode-state-has-preedit?): Add tutcode-state-history.
	  - (tutcode-key-press-handler): Add history mode.
	  - (tutcode-get-candidate-handler): Change for history mode.
	  - (tutcode-set-candidate-index-handler): Change for history mode.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Add history start sequence.
	
2011-04-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-kanji-code-input-kuten): Simplify by reducing format check.
	
2011-04-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* uim/encoding-table.c
	  - (alias_eucjp): Prepend EUC-JIS-2004 and EUC-JISX0213 before EUC-JP
	    for JIS X 0213.
	
2011-04-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add kanji code input mode for tutcode.
	* scm/tutcode-key-custom.scm
	  - (tutcode-kanji-code-input-start-sequence): New custom.
	* scm/tutcode.scm
	  - Add comment about kanji code input mode.
	  - (tutcode-begin-kanji-code-input,
	     tutcode-kanji-code-input-ucs,
	     tutcode-kanji-code-input-kuten,
	     tutcode-kanji-code-input-jis,
	     tutcode-jis-code->euc-jp-string,
	     tutcode-euc-jp-code->euc-jp-string): New.
	  - (tutcode-stroke-help-update-alist-with-rule):
	    Add label for kanji code input start sequence.
	  - (tutcode-do-update-preedit):
	    Add preedit update for kanji code input mode.
	  - (tutcode-proc-state-on): Add check of kanji code input start sequence.
	  - (tutcode-proc-state-code): New.
	  - (tutcode-state-has-preedit?): Add kanji code input mode.
	  - (tutcode-key-press-handler): Add kanji code input mode.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Add kanji code input start sequence.
	
2011-03-27 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* po/POTFILES.in
	  - Add helper/toolbar-applet-gnome3.c.
2011-03-27 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (QTLIBDIR): Check if $QTDIR/lib64 exists first for openSUSE 64bit.
2011-03-27 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/Makefile.am
	  - (DISTCLEANFILES):
	    Don't include org.gnome.panel.applet.UimAppletFactory.service.in.
2011-03-27 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/kseparator.cpp
	* qt4/chardict/kseparator.h
	* qt4/pref/kseparator.cpp
	* qt4/pref/kseparator.h
	  - Remove.
	* qt4/chardict/Makefile.am
	* qt4/chardict/qt4.cpp
	* qt4/chardict/uim-chardict-qt4.pro.in
	* qt4/pref/Makefile.am
	* qt4/pref/qt4.cpp
	* qt4/pref/uim-pref-qt4.pro.in
	  - Remove kseparator.cpp and kseparator.h.
2011-03-22 Etsushi Kato <ek.kato@gmail.com>
	
	* emacs/uim-leim.el (uim-leim-input-method-activate-hook) : Don't
	  set current-input-method-title here (bug #35318).
	
2011-03-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qtextutil.h
	  - (QUimTextUtil::acquirePrimaryTextInQTextEdit,
	     QUimTextUtil::acquireSelectionTextInQTextEdit,
	     QUimTextUtil::deletePrimaryTextInQTextEdit,
	     QUimTextUtil::deleteSelectionTextInQTextEdit): Add stubs for QTextEdit.
	* qt4/immodule/qtextutil.cpp
	  - Ditto.
	  - (QUimTextUtil::acquirePrimaryText, QUimTextUtil::acquireSelectionText,
	     QUimTextUtil::deletePrimaryText, QUimTextUtil::deleteSelectionText):
	    Call stub.
	* scm/tutcode.scm
	  - Change comment.
2011-03-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qtextutil.cpp
	* qt4/immodule/qtextutil.h
	  - (acquirePrimaryTextInQTextEdit):
	    Rename to acquirePrimaryTextInQ3TextEdit.
	  - (acquireSelectionTextInQTextEdit):
	    Rename to acquireSelectionTextInQ3TextEdit.
	  - (deletePrimaryTextInQTextEdit): Rename to deletePrimaryTextInQ3TextEdit.
	  - (deleteSelectionTextInQTextEdit):
	    Rename to deleteSelectionTextInQ3TextEdit.
	  - (QTextEditPositionBackward): Rename to Q3TextEditPositionBackward.
	  - (QTextEditPositionForward): Rename to Q3TextEditPositionForward.
2011-03-13 Jae-hyeon Park <jhyeon@gmail.com>
	
	* scm/byeoru.scm
	  - replaced ucs-to-utf8-string with ucs->utf8-string
	  - cosmetic changes
	
2011-02-24 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add fallback of surrounding text API
	  which gets former text from internal commit string buffer
	  and deletes former text by commiting "\b".
	* scm/tutcode-custom.scm
	  - (tutcode-enable-fallback-surrounding-text?): New custom.
	* scm/tutcode.scm
	  - (tutcode-fallback-backspace-string): New variable.
	  - (tutcode-commit-raw):
	    Add check of tutcode-enable-fallback-surrounding-text?.
	  - (tutcode-commit): Ditto.
	    Add optional argument whether to skip appending to commit-strs.
	  - (tutcode-proc-state-on):
	    Change for tutcode-enable-fallback-surrounding-text?.
	  - (tutcode-postfix-acquire-text):
	    Change to get commit string from tutcode-context-commit-strs
	    when im-acquire-text returns #f.
	  - (tutcode-postfix-delete-text):
	    Change to commit "\b" and update commit-strs
	    when im-delete-text returns #f.
	
2011-02-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-proc-state-kigou):
	    Change to commit by label key regardless of
	    tutcode-commit-candidate-by-label-key?.
	    Change not to take return key for commit to pass it to application.
	
2011-02-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-context-rec-spec): Change to initialize with evaluated value.
	
2011-02-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change to be able to customize to do completion/prediction only when
	  tutcode-begin-completion-key is typed. 
	* scm/tutcode-custom.scm
	  - (tutcode-completion-chars-min,
	     tutcode-prediction-start-char-count): Change lower limit to 0.
	* scm/tutcode.scm
	  - Update comment.
	  - (tutcode-check-completion):
	    Move call of tutcode-make-string after decision to do completion
	    for performance.
	  - (tutcode-check-prediction): Ditto.
	  - (tutcode-proc-state-on):
	    Change not to call tutcode-check-completion
	    when tutcode-completion-chars-min is 0
	    and tutcode-begin-completion-key is not typed.
	  - (tutcode-proc-state-yomi): Ditto.
	
2011-02-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add inflection support for postfix and prefix mazegaki conversion.
	* scm/tutcode.scm
	  - Update comments about postfix conversion and inflection support.
	  - (require-extension): Add srfi 8 for receive.
	  - (tutcode-postfix-mazegaki-terminate-char-list): New variable.
	  - (tutcode-context-rec-spec): Add mazegaki-yomi-len-specified,
	    mazegaki-yomi-all and mazegaki-suffix.
	  - (tutcode-flush): Add reset of added variables.
	  - (tutcode-prepare-commit-string): Change to add suffix.
	  - (tutcode-commit-with-auto-help): Ditto.
	  - (tutcode-begin-conversion): Add argument yomi and suffix
	    and update corresponding context variables when candidates are found
	    to reduce reset of context variables when candidates are not found.
	  - (tutcode-begin-conversion-with-relimit-right):
	    Move before tutcode-postfix-mazegaki-relimit-left
	    and rename to tutcode-mazegaki-relimit-right.
	  - (tutcode-begin-conversion-with-inflection): New.
	  - (tutcode-begin-mazegaki-inflection-conversion): New.
	  - (tutcode-stroke-help-update-alist-with-rule):
	    Add label for tutcode-postfix-mazegaki-inflection{,-[1-9]}-start.
	  - (tutcode-do-update-preedit):
	    Change for inflection support by cursor position before suffix.
	  - (tutcode-commit-editor-context): Change to add suffix.
	  - (tutcode-proc-state-on):
	    Add check of tutcode-postfix-mazegaki-inflection{,-[1-9]}-start.
	  - (tutcode-begin-postfix-mazegaki-conversion):
	    Add update of added context variables.
	    Change to use tutcode-postfix-mazegaki-acquire-yomi.
	    Follow the argument change of tutcode-begin-conversion.
	  - (tutcode-mazegaki-relimit-right):
	    Rename from tutcode-begin-conversion-with-relimit-right.
	    Add inflection support.
	  - (tutcode-postfix-mazegaki-relimit-left,
	     tutcode-mazegaki-inflection?,
	     tutcode-begin-postfix-mazegaki-inflection-conversion,
	     tutcode-mazegaki-inflection-relimit-right,
	     tutcode-mazegaki-inflection-relimit-left): New.
	  - (tutcode-mazegaki-proc-relimit-right,
	     tutcode-mazegaki-proc-relimit-left):
	    Extract from tutcode-proc-state-converting.
	    Add inflection support.
	  - (tutcode-postfix-mazegaki-acquire-yomi): New.
	  - (tutcode-proc-state-yomi):
	    Follow the argument change of tutcode-begin-conversion.
	    Change to call tutcode-begin-conversion-with-inflection
	    instead of tutcode-begin-conversion for conversion started by user.
	    Add handle of tutcode-postfix-mazegaki{,-inflection}-start
	    to start conversion explicitly without/with inflection.
	  - (tutcode-back-to-yomi-state):
	    Change to call tutcode-flush for postfix conversion.
	  - (tutcode-proc-state-converting):
	    Extract to tutcode-mazegaki-proc-relimit-right and
	    tutcode-mazegaki-proc-relimit-left
	    for tutcode-mazegaki-relimit-{right,left}-key.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Add rules for tutcode-postfix-mazegaki-inflection{,-[1-9]}-start.
	* scm/tutcode-custom.scm
	  - (tutcode-mazegaki): New custom group.
	  - (tutcode-enable-mazegaki-learning?,
	     tutcode-use-recursive-learning?): Change to tutcode-mazegaki group.
	  - (tutcode-mazegaki-yomi-max): Ditto. Change lower limit to 1.
	  - (tutcode-mazegaki-enable-inflection?,
	     tutcode-mazegaki-suffix-max): New custom.
	* scm/tutcode-key-custom.scm
	  - (tutcode-postfix-mazegaki-start-sequence,
	     tutcode-postfix-mazegaki-1-start-sequence,
	     tutcode-postfix-mazegaki-2-start-sequence,
	     tutcode-postfix-mazegaki-3-start-sequence,
	     tutcode-postfix-mazegaki-4-start-sequence,
	     tutcode-postfix-mazegaki-5-start-sequence,
	     tutcode-postfix-mazegaki-6-start-sequence,
	     tutcode-postfix-mazegaki-7-start-sequence,
	     tutcode-postfix-mazegaki-8-start-sequence,
	     tutcode-postfix-mazegaki-9-start-sequence): Change label.
	  - (tutcode-postfix-mazegaki-inflection-start-sequence,
	     tutcode-postfix-mazegaki-inflection-1-start-sequence,
	     tutcode-postfix-mazegaki-inflection-2-start-sequence,
	     tutcode-postfix-mazegaki-inflection-3-start-sequence,
	     tutcode-postfix-mazegaki-inflection-4-start-sequence,
	     tutcode-postfix-mazegaki-inflection-5-start-sequence,
	     tutcode-postfix-mazegaki-inflection-6-start-sequence,
	     tutcode-postfix-mazegaki-inflection-7-start-sequence,
	     tutcode-postfix-mazegaki-inflection-8-start-sequence,
	     tutcode-postfix-mazegaki-inflection-9-start-sequence): New custom key.
	  - (tutcode-mazegaki-relimit-left-key):
	    Rename from tutcode-postfix-mazegaki-relimit-left-key
	    because this key is also used in prefix mazegaki conversion.
	  - (tutcode-mazegaki-relimit-right-key): Ditto.
	
2011-02-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (button_press_event_cb): Fix handling of negative values and zero.
2011-02-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-common-gtk.c
	  - (set_button_style): Fix property name.
2011-02-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-common-gtk.c
	  - (set_button_style): Fix typo.
2011-02-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-common-gtk.c
	  - (set_button_style): New function to set style in GTK+3.
	  - (prop_button_create, helper_toolbar_prop_list_update, toolbar_new):
	    Use set_button_style().
	  - (uim_toolbar_trayicon_new): Comment out gtk_rc_parse_string() in GTK+3.
	    This function has no effect in GTK+3.
2011-02-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-applet-gnome3.c
	  - (exec_switcher, exec_pref, exec_dic, exec_pad):
		Launch GTK+2 version.
2011-02-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-applet-gnome3.c
	  - (uim_menu_actions): Use icons registered in init_icon().
	  - (register_icons): Remove.
	  - (uim_applet_new): Don't call register_icons().
2011-02-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/Makefile.am
	  - (libexec_PROGRAMS): Check APPLET_GNOME.
2011-02-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/Makefile.am
	  - Remove uim-toolbar-applet-gnome3 because this applet depends on GTK+2.
	* helper/Makefile.am
	  - Add uim-toolbar-applet-gnome3.
	* gtk3/toolbar/UimApplet.panel-applet.in.in
	  - Move to helper/UimApplet.panel-applet.in.in.
	* gtk3/toolbar/org.gnome.panel.applet.UimAppletFactory.service.in
	  - Move to helper/org.gnome.panel.applet.UimAppletFactory.service.in.
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - Move to helper/toolbar-applet-gnome3.c
2011-02-17 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_draw): Fix coordinates in GTK+3.
2011-02-17 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/caret-state-indicator.c
	  - (caret_state_indicator_paint_window):
	    Make GTK+3 immodule more compatible with GTK+2 immodule.
2011-02-17 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (handle_draw_cb): Fix coordinates and remove unused "rect".
2011-02-16 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose): Support GTK+3 as egg_tray_icon_draw().
	  - (egg_tray_icon_set_colormap): Add GTK+3 version.
	  - (egg_tray_icon_realize):
	    Don't comment out egg_tray_icon_set_colormap().
2011-02-15 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_send_manager_message, egg_tray_icon_send_message):
	    Use gdk_error_trap_pop_ignored() instead of gdk_error_trap_pop()
	    in GTK+3.
2011-02-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - (uim_menu_actions): Remove "..." from label.
	    The GNOME Panel applets "Clock" and "Show Desktop" have a menu
	    named "About", not "About ...".
	* helper/toolbar-applet-gnome.c
	  - (uim_menu_xml): Ditto.
2011-02-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.h
	  - Include gtk/gtkx.h in GTK+3 because GtkPlug is used.
2011-02-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-common-gtk.c
	  - (uim_launch_helper_application): New function.
	  - (right_click_menu_activated): Use uim_launch_helper_application().
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - (exec_switcher, exec_pref, exec_dic, exec_pad, exec_hand, exec_help):
	    Use uim_launch_helper_application() instead of system(3).
	* helper/toolbar-applet-gnome.c
	  - Ditto.
2011-02-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/caret-state-indicator.c
	  - (caret_state_indicator_paint_window)
	    * Change function prototype in GTK+3.
	    * Change 2nd argument of gtk_render_frame() in GTK+3.
	  - (caret_state_indicator_new):
	    Connect to draw signal instead of expose_event.
2011-02-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (button_press_event_cb): Call size_request_cb() directly in GTK+3.
	  - (main): Don't connect to removed size-request signal in GTK+3.
2011-02-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (handle_draw_cb): New function.
	  - (handle_expose_event_cb): Remove codes for GTK+3.
	  - (main): Call handle_draw_cb() in GTK+3.
2011-02-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - Lunch GTK+3 helper applications from GTK+3 toolbar.
	* helper/toolbar-common-gtk.c
	  - Ditto.
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - (register_icons): Cosmetic change.
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - (register_icons): New function.
	  - (uim_applet_new): Call register_icons to register uim icons.
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - (uim_applet_new): Call g_object_unref().
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - (uim_applet_new): Translate menus.
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/Makefile.am
	  - Add support for translation.
	* gtk3/toolbar/UimApplet.panel-applet.in
	  - Rename to UimApplet.panel-applet.in.in.
	* gtk3/toolbar/UimApplet.panel-applet.in.in
	  - Rename from UimApplet.panel-applet.in.
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/Makefile.am
	  - Add uim-toolbar-gtk3-systray.
	* helper/eggtrayicon.c
	  - Don't include gdkconfig.h in GTK+3.
	  - (egg_tray_icon_class_init): Don't set expose_event in GTK+3.
	  - (egg_tray_icon_clear_manager_window):
	    Replace gdk_window_lookup_for_display()
	    with gdk_x11_window_lookup_for_display()
	  - (egg_tray_icon_expose)
	    * Don't use expose_event in GTK+3.
	    * Call gtk_render_focus() instead of gtk_paint_focus() in GTK+3.
	  - (egg_tray_icon_get_visual_property):
	    Use gdk_visual_get_{red,blue,green}_pixel_details()
	    and gdk_visual_get_depth()
	  - (egg_tray_icon_set_colormap): Comment out this function in GTK+3.
	  - (egg_tray_icon_realize): Replace gdk_window_set_back_pixmap()
	    with gdk_window_set_background_pattern().
	* helper/toolbar-systray-gtk.c
	  - (main): Don't call gtk_set_locale().
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/toolbar/Makefile.am
	  - Add two files for gnome-panel.
	* gtk3/toolbar/UimApplet.panel-applet.in
	  - New file.
	* gtk3/toolbar/org.gnome.panel.applet.UimAppletFactory.service.in
	  - New file.
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - Add "--enable-gnome3-applet".
	* gtk3/toolbar/Makefile.am
	  - Add GNOME applet without bonobo.
	* gtk3/toolbar/toolbar-applet-gnome3.c
	  - New file.
2011-02-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - Take GTK+3 into account when disabling dict.
2011-02-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk3/immodule/Makefile.am
	  - (moduledir): Replace GTK_BINARY_VERSION with GTK3_BINARY_VERSION.
2011-02-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/candwin-gtk.c
	  - (uim_cand_win_gtk_layout_sub_window): Cosmetic changes.
2011-02-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (AC_CONFIG_FILES): Add gtk3/immodule/Makefile.
	* gtk/gtk-im-uim.c
	  - (layout_candwin): Follow change of  gdk_window_get_geometry() in GTK+3.
	  - (handle_key_on_toplevel):
	    Comment out codes where need_im_reset is set directly in GTK+3.
	* gtk/uim-cand-win-gtk.c
	  - (uim_cand_win_gtk_create_sub_window):
	    Follow change of  gdk_window_get_geometry() in GTK+3.
	* gtk3/Makefile.am
	  - (SUBDIRS): Add immodule.
	* gtk3/immodule/Makefile.am
	  - New file.
2011-02-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (AC_CONFIG_FILES): Add gtk3/test/Makefilea.
	* gtk/test/entry.c
	  - (entry_toggle_editable):
	    * Replace deprecated function
	      gtk_entry_set_editable() with gtk_editable_set_editable().
	    * Use gtk_toggle_button_get_active().
	  - (entry_toggle_visibility): Use gtk_toggle_button_get_active().
	  - (main)
	    * Don't call gtk_set_locale().
	    * Replace deprecated function gtk_widget_set_usize()
	      with gtk_widget_set_size_request().
	    * Replace deprecated macro gtk_signal_connect()
	      with g_signal_connect().
	    * Replace gtk_entry_new_with_max_length()
	      with gtk_entry_new() and gtk_entry_set_max_length().
	    * Replace deprecated function gtk_entry_append_text()
	      with gtk_editable_insert_text().
	    * Replace gtk_entry_select_region() with gtk_editable_select_region().
	    * Replace deprecated macro GTK_WIDGET_SET_FLAGS()
	      with gtk_widget_set_can_default().
	* gtk3/Makefile.am
	  - (SUBDIRS): Add test.
	* gtk3/test/Makefile.am
	  - New file.
2011-02-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (AC_CONFIG_FILES): Add gtk3/candwin/Makefile gtk3/dict/Makefile.
	* gtk/caret-state-indicator.c
	  - (caret_state_indicator_paint_window): Replace gtk_paint_flat_box()
	    with gtk_render_frame() in GTK+3.
	* gtk3/Makefile.am
	  - (SUBDIRS): Add candwin dict.
	* gtk3/candwin/Makefile.am
	  - New file.
	* gtk3/dict/Makefile.am
	  - New file.
	* helper/candwin-gtk.c
	  - (str_parse): Replace gtk_widget_hide() with gtk_widget_hide_all().
	  - (main): Don't call gtk_set_locale().
	  - (uim_cand_win_gtk_layout_sub_window):
	    Follow change of gdk_window_get_geometry() in GTK+3.
	* helper/candwin-tbl-gtk.c
	  - (str_parse): Replace gtk_widget_hide() with gtk_widget_hide_all().
	  - (main): Don't call gtk_set_locale().
	* helper/dict-main-gtk.c
	  - (main): Don't call gtk_set_locale().
	* helper/dict-word-list-view-gtk.c
	  - (word_list_view_class_init, word_list_view_destroy):
	    Replace GtkObject with GtkWidget in GTK+3.
	  - (word_list_view_init): Replace deprecated macro GTK_WIDGET_SET_FLAGS
	    with gtk_widget_set_can_focus() and gtk_widget_set_receives_default().
	* helper/dict-word-list-view-gtk.h
	  - Don't include gtk/gtkscrolledwindow.h, gtk/gtktreemodel.h
	    or gtk/gtktreeview.h directly.
	* helper/dict-word-list-win-gtk.c
	  - (word_list_window_init): Use gtk_bin_get_child().
	  - (activate_url, help_about_action_cb): Don't call unneeded
	    gtk_about_dialog_set_url_hook().
	* helper/dict-word-win-gtk.c
	  - (word_window_init): Use gtk_dialog_get_action_area().
	  - (word_window_necessary_create):
	    * Replace gtk_combo_box_new_text() with gtk_combo_box_text_new().
	    * Replace gtk_combo_box_append_text()
	      with gtk_combo_box_text_append_text().
2011-02-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (AC_CONFIG_FILES): Add gtk3/pref/Makefile.
	* gtk/key-util-gtk.c
	  - include gdk/gdkkeysyms-compat.h instead of gdk/gdkkeysyms.h in GTK+3.
	* gtk3/Makefile.am
	  - (SUBDIRS): Add pref.
	* gtk3/pref/Makefile.am
	  - New file.
	* helper/pref-gtk-custom-widgets.c
	  - (sync_value_choice): Use gtk_combo_box_text_append_text() instead of
	    gtk_combo_box_append_text().
	  - (add_custom_type_choice): Use gtk_combo_box_text_new() instead of
	    gtk_combo_box_new_text().
	* helper/pref-gtk.c
	  - (main)
	    * Don't call gtk_set_locale()
	      because gtk_init() automatically does what gtk_set_locale() does.
	    * Replace GtkFunction with GSourceFunc in g_idle_add().
2011-02-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* Makefile.am
	  - (SUBDIRS): Add gtk3.
	* configure.ac
	  - Add "--with-gtk3".
	* gtk3/Makefile.am
	* gtk3/pad/Makefile.am
	* gtk3/switcher/Makefile.am
	* gtk3/toolbar/Makefile.am
	  - New file.
	*  helper/im-switcher-gtk.c
	  - (main): Don't call gtk_set_locale()
	    because gtk_init() automatically does what gtk_set_locale() does.
	*  helper/input-pad-ja.c
	  - (main): Ditto.
	* helper/toolbar-standalone-gtk.c
	  - (main): Ditto.
	  - (helper_win_set_position, motion_notify_event_cb,
	     handle_expose_event_cb):
	    Use gdk_window_get_width() and gdk_window_get_height()
	    instead of gdk_drawable_get_size() in GTK+3.
	* helper/toolbar-common-gtk.c
	  - (calc_menu_position): Use gdk_window_get_height()
	    instead of gdk_drawable_get_size() in GTK+3.
2011-02-09 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/standalone-qt4.cpp
	  - (UimStandaloneToolbar::UimStandaloneToolbar):
	    Enable users to set position of toolbar with "-geometry" option
	    (e.g. "uim-toolbar-qt4 -geometry +10+10") as uim-toolbar-qt.
2011-02-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-applet-gnome.c
	  - (display_about_dialog): Set icon to about dialog.
2011-02-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-applet-gnome.c
	  - Remove commented-out code.
2011-02-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-applet-gnome.c
	  - (display_about_dialog): Remove unused variable.
2011-02-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - Don't check for the presence of libgnomeui-2.0
	    because uim-toolbar-applet no longer depends on it.
2011-02-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-applet-gnome.c
	  - (display_about_dialog): Replace deprecated function gnome_about_new()
	    with gtk_show_about_dialog().
2011-02-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/common-quimhelpertoolbar.cpp
	  - Avoid global static objects.
2011-02-01 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/common.pro.in: Make link with -luim-x-util conditional.
	* qt4/immodule/quiminputcontextplugin.pro.in : Make compiling
	  quiminputcontext_compose.o conditional.
	
2011-01-29 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add postfix mazegaki conversion.
	* scm/tutcode.scm
	  - (tutcode-context-rec-spec): Add postfix-yomi-len.
	  - (tutcode-commit-with-auto-help):
	    Add call of delete-text for postfix mazegaki commit.
	  - (tutcode-begin-conversion):
	    Change to return whether candidate was found for relimit yomi.
	  - (tutcode-begin-conversion-with-relimit-right): New.
	  - (tutcode-stroke-help-update-alist-with-rule):
	    Add label for postfix mazegaki start sequences.
	  - (tutcode-commit-editor-context):
	    Add call of delete-text for postfix mazegaki commit.
	  - (tutcode-proc-state-on):
	    Add reset of postfix-yomi-len for prefix conversion.
	    Add call of tutcode-begin-postfix-mazegaki-conversion
	    for postfix mazegaki start sequences.
	  - (tutcode-begin-postfix-mazegaki-conversion): New.
	  - (tutcode-back-to-yomi-state):
	    Change to set state proc-on when postfix mazegaki conversion.
	  - (tutcode-proc-state-converting):
	    Add relimit of yomi and reconversion while postfix mazegaki conversion.
	    Add call of delete-text for postfix mazegaki commit.
	  - (tutcode-key-press-handler):
	    Add update of preedit when recursive learning is canceled
	    from postfix mazegaki.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Add rules for postfix mazegaki start sequence.
	* scm/tutcode-custom.scm
	  - (tutcode-mazegaki-yomi-max): New custom.
	* scm/tutcode-key-custom.scm
	  - (tutcode-postfix-mazegaki-start-sequence,
	     tutcode-postfix-mazegaki-1-start-sequence,
	     tutcode-postfix-mazegaki-2-start-sequence,
	     tutcode-postfix-mazegaki-3-start-sequence,
	     tutcode-postfix-mazegaki-4-start-sequence,
	     tutcode-postfix-mazegaki-5-start-sequence,
	     tutcode-postfix-mazegaki-6-start-sequence,
	     tutcode-postfix-mazegaki-7-start-sequence,
	     tutcode-postfix-mazegaki-8-start-sequence,
	     tutcode-postfix-mazegaki-9-start-sequence,
	     tutcode-postfix-mazegaki-relimit-left-key,
	     tutcode-postfix-mazegaki-relimit-right-key): New custom key.
	
2011-01-23 IWATA Ray <iwata@quasiquote.org>
	
	* scm/predict-google-suggest.scm (predict-google-suggest):
	  - Bind as variable.
	
2011-01-23 IWATA Ray <iwata@quasiquote.org>
	
	scm/predict-google-suggest.scm:
	  - Change copyright.
	
2011-01-23 IWATA Ray <iwata@quasiquote.org>
	
	* scm/predict-google-suggest.scm: New file.
	* scm/generic-predict.scm (try-load, predict-make-meta-search):
	  - Add google suggest.
	* scm/predict-custom.scm (predict-google-suggest)
	  (predict-custom-google-suggest-candidates-max)
	  (predict-custom-google-suggest-language)
	  (predict-custom-google-suggest-use-ssl):
	  - Ditto.
	* scm/Makefile.am (SCM_FILES):
	  - Ditto.
	
2011-01-22 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* uim/skk.c
	  - (is_okuri): Fix SEGV on illegal line " //".
	
2011-01-22 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-begin-interactive-bushu-conversion):
	    Fix division by zero error on remainder in tutcode-get-candidate-handler
	    when interactive bushu conversion has no candidate.
	
2011-01-16 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-begin-postfix-bushu-conversion): Fix to work in tutcode-editor.
	  - (tutcode-postfix-acquire-text, tutcode-postfix-delete-text): New.
	
2011-01-15 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-proc-state-on): Add postfix bushu conversion.
	  - (tutcode-begin-postfix-bushu-conversion): New.
	
2011-01-15 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* uim/uim-func.c
	  - (im_acquire_text): Fix error on reverse in ustr-new
	    by passing list instead of string (regressed at r4396).
	
2011-01-15 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	* scm/tutcode-bushu.scm
	  - Update comment.
	
2011-01-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/ja.po
	  - Add missed "[TUT-Code]" in translated message.
	
2011-01-07 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE : Fix typo.
	
2011-01-07 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-switcher.scm (imsw-iconic-label-alist) : Add chewing and
	  modify a label for canna.
	
2011-01-07 Etsushi Kato <ek.kato@gmail.com>
	
	* Update copyright by svn ls -R | egrep -v '/$' | xargs perl -i -pe 's/\b(20\d\d)([,-\s]+20\d\d)*\s+uim\b/\1-2011 uim/'
	
2011-01-07 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-db.scm : Rename to broken-test-db.scm.
	* test/broken-test-db.scm : Renamed from test-db.scm.
	* test/test-lazy-load.scm : Follow the removal of hangul and tcode
	  modules.
	* test/test-plugin.scm : Ditto.
	* test/test-im.scm : Ditto.
	
2011-01-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plugin.scm
	  - (try-require-with-force-reload) : Move to lazy-load.scm.
	  - (require-module) : Revert r6898.
	  - (module-load) : Ditto.
	* scm/lazy-load.scm
	  - (try-require-with-force-reload) : Moved from plugin.scm.
	  - (require-module-with-force-reload) : New. Copy require-module
	    from plugin.scm, and use try-require-with-force-reload and
	    module-load-with-force-reload instead.
	  - (module-load-with-force-reload) : New. Copy module-load from
	    plugin.scm, and use try-require-with-force-reload instead of
	    try-require.
	
2011-01-05 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS: Update.
	
2011-01-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plugin.scm
	  - (try-require-with-force-reload) : New.
	  - (require-module) : Reload scm file even the file is already
	    loaded.  This prevents using stub init-handler incorrectly
	    when switch to an IM of the re-enabled module by uim-pref.
	  - (module_load) : Ditto.
	
2011-01-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/m17nlib.scm (m17nlib-update-candidate) : Close candwin when
	  candlist is null.  Use meaningful variable name.
	
2011-01-04 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-bushu.scm
	  - (tutcode-bushu-weak-compose-set):
	    Fix bug that some bushu conversion does not work (ex. ?\027$B%&6x?\027(B -> ?\027$B6w?\027(B).
	    Change to do nothing for only one char (like tc-2.3.1-22.5).
	
2011-01-04 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/curl.c (uim_curl_url_unescape_internal) : Bug fix.
	
2011-01-04 Etsushi Kato <ek.kato@gmail.com>
	
	* Update.
	
2011-01-04 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE: Update.
	
2011-01-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* m4/xft.m4
	  - (AC_ARG_WITH): Fix typo.
2011-01-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/common.pro.in
	  - Specify QMAKE_LINK for cross-compiling.
2011-01-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/uim-candwin-qt4.pro.in
	* qt4/pref/uim-pref-qt4.pro.in
	* qt4/switcher/uim-im-switcher-qt4.pro.in
	* qt4/toolbar/uim-toolbar-qt4.pro.in
	  - Add comment for INCLUDEPATH.
2011-01-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/edittest/edittest.pro
	  - Remove meaningless header.
2011-01-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (AC_CONFIG_FILES): Add qt4/common.pro.
	* qt4/Makefile.am
	  - (EXTRA_DIST): Add common.pro.in.
	* qt4/common.pro.in
	  - New file.
	* qt4/candwin/uim-candwin-qt4.pro.in
	* qt4/chardict/uim-chardict-qt4.pro.in
	* qt4/immodule/quiminputcontextplugin.pro.in
	* qt4/pref/uim-pref-qt4.pro.in
	* qt4/switcher/uim-im-switcher-qt4.pro.in
	* qt4/toolbar/uim-toolbar-qt4.pro.in
	  - Include qt4/common.pro.in.
2011-01-01 Etsushi Kato <ek.kato@gmail.com>
	
	* gtk/compose.c (parse_compose_line) : Modified to set "" when
	  conversion failed.
	
2011-01-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/compose.c
	  - (parse_compose_line): Check return value of g_locale_to_utf8().
	     If a compose file contains a character which isn't in the current
	     locale, g_locale_to_utf8() returns NULL. Note that strdup(NULL)
	     segfaults (Debian bug #599837).
2010-12-30 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::updateView): Clear annotation list.
2010-12-30 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::updateView): Replace
	    QTableWidget::clearSelection() with QTableWidget::clearContents().
	    QTableWidget::clearContents() also removes all selections.
2010-12-30 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::updateView): Clear selected item
	    before new items are set. This commit makes sure that all the items are
	    deselected when an input prediction window is shown.
2010-12-28 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-kigou-rule.scm
	  - (tutcode-kigou-rule): Add tutcode-interactive-bushu-start,
	    tutcode-postfix-bushu-start and tutcode-auto-help-redisplay.
	
2010-12-28 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-bushudic.scm
	  - Fix typo in comment.
	
2010-12-28 Etsushi Kato <ek.kato@gmail.com>
	
	* make-dist.sh : Use libgcroots-0.2.3.
	
2010-12-28 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-12-28 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-12-28 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-12-28 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/skk.c (okuri_in_bracket) : Plug leak.
	
2010-12-28 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/toolbar/common-quimhelpertoolbar.cpp
	  - Revert change in 6833.  Using _() is required so that the
	    string is recognized by gettext.
	* qt4/qtgettext.h
	  - Add macro _() for DISABLE_NLS to use QString rather than const
	    char *.
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-bushu.scm
	  - Update comments.
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/ko.po
	  - Remove fuzzy.
	* po/ja.po
	  - Add translation about tutcode.
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - make update-po
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-proc-state-yomi):
	    Add feature to commit as katakana in yomi of mazegaki.
	* scm/tutcode-key-custom.scm
	  - (tutcode-katakana-commit-key): New custom.
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add postfix bushu conversion in yomi of mazegaki.
	* NEWS
	  - Add news.
	* scm/tutcode-key-custom.scm
	  - (tutcode-postfix-bushu-start-sequence): New custom.
	* scm/tutcode.scm
	  - (tutcode-stroke-help-update-alist-with-rule):
	    Add mark for postfix bushu conversion.
	  - (tutcode-proc-state-on):
	    Rewrite to remove dependency on addition of new sequence.
	  - (tutcode-proc-state-yomi):
	    Change to use head variable.
	    Add postfix bushu conversion.
	  - (tutcode-proc-state-bushu, tutcode-proc-state-interactive-bushu):
	    Rewrite to remove dependency on addition of new sequence.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Simplify.
	    Add tutcode-postfix-bushu-start-sequence.
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add interactive bushu conversion for tutcode.
	* NEWS
	  - Add news.
	* scm/tutcode-bushu.scm
	  - New file.
	* scm/Makefile.am
	  - (SCM_FILES): Add tutcode-bushu.scm.
	* scm/tutcode-custom.scm
	  - (tutcode-bushu): New custom group.
	  - (tutcode-use-interactive-bushu-conversion?): New custom.
	  - (tutcode-bushu-index2-filename,
	     tutcode-bushu-expand-filename): New custom and activity hook.
	* scm/tutcode-key-custom.scm
	  - (tutcode-interactive-bushu-start-sequence): New custom.
	* scm/tutcode.scm
	  - (tutcode-context-rec-spec):
	    Change default value of prediction index to 0.
	  - (tutcode-context-new):
	    Add initialization for interactive bushu conversion.
	  - (tutcode-commit-by-label-key-for-prediction):
	    Change for interactive bushu conversion.
	  - (tutcode-do-commit-prediction-for-interactive-bushu): New function.
	  - (tutcode-stroke-help-update-alist-with-rule):
	    Add mark for interactive bushu conversion.
	  - (tutcode-do-update-preedit):
	    Add preedit for interactive bushu conversion.
	  - (tutcode-proc-state-on):
	    Change to enter interactive bushu conversion.
	  - (tutcode-proc-state-yomi, tutcode-proc-state-bushu):
	    Change to ignore start sequence of interactive bushu conversion.
	  - (tutcode-proc-state-interactive-bushu,
	    tutcode-begin-interactive-bushu-conversion): New function.
	  - (tutcode-change-prediction-index):
	    New function extracted from tutcode-change-prediction-page.
	  - (tutcode-change-prediction-page):
	    Change to use tutcode-change-prediction-index.
	  - (tutcode-state-has-preedit?): Add tutcode-state-interactive-bushu.
	  - (tutcode-key-press-handler, tutcode-get-candidate-handler,
	     tutcode-set-candidate-index-handler):
	    Change for interactive bushu conversion.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Add interactive-bushu-start-sequence.
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add two stroke kigou mode like "KI" for tutcode.
	* NEWS
	  - Add news.
	* scm/tutcode-kigou-rule.scm
	  - New file.
	* scm/Makefile.am
	  - (SCM_FILES): Add tutcode-kigou-rule.scm.
	* scm/tutcode-key-custom.scm
	  - (tutcode-kigou2-toggle-key): New custom.
	* scm/tutcode-custom.scm
	  - (tutcode-use-kigou2-mode?): New custom.
	* scm/tutcode.scm
	  - (tutcode-input-mode-actions): Add action_tutcode_kigou2.
	  - (tutcode-kigou-rule, tutcode-reverse-kigou-rule-alist,
	     tutcode-use-stroke-help-window-another?): New variable.
	  - (action_tutcode_hiragana,
	     action_tutcode_katakana): Change to support kigou2-mode.
	  - (action_tutcode_kigou2): New action.
	  - (tutcode-context-rec-spec): Add rk-context-another for kigou2-mode.
	  - (tutcode-guide-set-candidates, tutcode-guide-set-candidates-for-bushu):
	    Follow the parameter change of tutcode-reverse-find-seq.
	  - (tutcode-kigou2-mode?, tutcode-toggle-kigou2-mode): New function.
	  - (tutcode-context-new): Add initialization for kigou2-mode.
	  - (tutcode-check-stroke-help-window-begin):
	    Change to use rk-context-rule instead of tutcode-rule.
	    Change to return tutcode-kigou-rule-stroke-help-top-page-alist
	    for kigou2-mode.
	  - (tutcode-toggle-stroke-help): Remove needless begin.
	  - (tutcode-auto-help-update-stroke-alist-with-kanji,
	     tutcode-auto-help-update-stroke-alist-normal-with-kanji):
	    Follow the parameter change of tutcode-reverse-find-seq.
	  - (tutcode-proc-state-on):
	    Add check of tutcode-kigou2-toggle-key?.
	    Change to skip check of tutcode-kana-toggle-key? in kigou2-mode
	    because rule of kigou2-mode may contain tutcode-kana-toggle-key.
	  - (tutcode-proc-state-kigou, tutcode-proc-state-yomi,
	     tutcode-proc-state-bushu): Add check of tutcode-kigou2-toggle-key?.
	  - (tutcode-auto-help-bushu-decompose, tutcode-auto-help-get-stroke,
	     tutcode-auto-help-bushu-decompose-by-subtraction,
	     tutcode-auto-help-get-stroke-list-by-subtraction,
	     tutcode-auto-help-get-stroke-list-with-right-part,
	     tutcode-auto-help-get-stroke-list-with-left-part):
	    Add parameter rule to follow the parameter change
	    of tutcode-reverse-find-seq.
	  - (tutcode-reverse-find-seq):
	    Add parameter rule for kigou2-mode.
	    Change for tutcode-kigou-rule of kigou2-mode.
	  - (tutcode-rule-translate):
	    New function extracted from old tutcode-rule-qwerty-to-dvorak.
	    Change to use original key if key is not found in alist.
	  - (tutcode-rule-qwerty-to-dvorak): Change to use tutcode-rule-translate.
	  - (tutcode-rule-qwerty-jis-to-qwerty-us): New function.
	  - (tutcode-rule-qwerty-jis-to-qwerty-us-alist):
	    New variable to translate tutcode-kigou-rule of kigou2-mode.
	  - (tutcode-rule-qwerty-to-dvorak-alist):
	    Add symbols to translate tutcode-kigou-rule of kigou2-mode.
	    Remove same key from alist for performance.
	
2010-12-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - Cosmetic change: move context related functions
	    just after tutcode-context-rec-spec.
	
2010-12-27 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/skk.c
	  - (okuri_in_bracket) : Return NULL if the bracket is not used
	    for skk-henkan-strict-okuri-precedence.
	  - (compose_line_parts) : Add error check for handling the
	    bracket.
	
2010-12-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* uim/look.c (uim_look_look_internal):
	  - Increase buf size for long SKK-JISYO.L line.
	
2010-12-20 IWATA Ray <iwata@quasiquote.org>
	
	* scm/input-parse.scm (string-concatenate-reverse):
	  - Add string-concatenate-reverse (SRFI-13) from
	    http://okmij.org/ftp/Scheme/lib/srfi-13-local.scm
	
2010-12-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/common-quimhelpertoolbar.cpp
	  - (QUimHelperToolbar::QUimHelperToolbar): Simplify.
	    Don't covert to QImage.
	* qt4/toolbar/common-uimstateindicator.cpp
	  - (UimStateIndicator::UimStateIndicator,
	     UimStateIndicator::propListUpdate,
	     QHelperPopupMenu::insertHelperItem):
	    Ditto.
2010-12-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/common-quimhelpertoolbar.cpp
	  - (launchHelperApplication): Use mygettext() instead of _()
	    to avoid compile error when NLS is disabled with `--disable-nls'.
2010-12-06 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-scm-sigscheme.c (uim_scm_make_char_internal) : Fix
	  prototype.
	
2010-12-04 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-proc-state-yomi):
	    Fix latin-conv to start conversion by space key
	    even if rk-rule has sequence which starts with space(" ") like trycode.
	    Fix latin-conv to be able to input kana-toggle-key(').
	
2010-11-30 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - Update comments.
	
2010-11-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/ja.po
	  - Add translation about tutcode.
	
2010-11-27 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/Makefile.am (module_names) : Exclude tcode, trycode,
	  and hangul ([uim-en 365]).
	
2010-11-27 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Remove fuzzy.
	
2010-11-27 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - make update-po
	
2010-11-23 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add input prediction in bushu conversion.
	* NEWS
	  - Add news.
	* scm/tutcode-custom.scm
	  - (tutcode-use-bushu-prediction?): New custom.
	* scm/tutcode.scm
	  - (tutcode-context-rec-spec): Add variables for bushu prediction.
	  - (tutcode-commit-by-label-key-for-prediction):
	    Change parameter completion? to mode to support bushu prediction.
	  - (tutcode-proc-state-on):
	    Follow change of tutcode-commit-by-label-key-for-prediction.
	  - (tutcode-proc-state-yomi): Ditto.
	  - (tutcode-proc-state-bushu): Change for bushu prediction.
	  - (tutcode-begin-bushu-conversion, tutcode-bushu-commit):
	    Extract from tutcode-proc-state-bushu to use from
	    tutcode-do-commit-prediction-for-bushu.
	  - (tutcode-get-candidate-handler): Change for bushu prediction.
	  - (tutcode-lib-set-bushu-prediction,
	     tutcode-guide-set-candidates-for-bushu,
	     tutcode-do-commit-prediction-for-bushu,
	     tutcode-check-bushu-prediction,
	     tutcode-bushu-prediction-show-page,
	     tutcode-change-bushu-prediction-page,
	     tutcode-bushu-predict): New function.
	
2010-11-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-proc-state-yomi): Remove duplicated {next,prev}-page-key check.
	
2010-11-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* NEWS
	  - Add news about tutcode.
	
2010-11-14 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change usage of guide variable not to mix
	  for completion/prediction and stroke help.
	* scm/tutcode.scm
	  - (tutcode-context-rec-spec): Add guide-chars variable
	    for guide on stroke-help (split from guide variable).
	  - (tutcode-guide-set-candidates):
	    Follow the change of tutcode-guide-update-alist.
	  - (tutcode-guide-update-alist):
	    Change content of argument.
	    Change to use tutcode-auto-help-update-stroke-alist-with-key
	    instead of tutcode-guide-update-alist-with-stroke.
	  - (tutcode-guide-update-alist-with-stroke): Remove.
	  - (tutcode-check-stroke-help-window-begin): Rewrite to use guide-chars.
	  - (tutcode-stroke-help-guide-add-kanji): Rewrite to use guide-chars.
	  - (tutcode-stroke-help-guide-update-alist,
	     tutcode-stroke-help-guide-update-alist-with-rule): New function.
	  - (tutcode-check-auto-help-window-begin): Change to use guide-chars.
	  - (tutcode-auto-help-update-stroke-alist-with-kanji):
	    Change to update guide-chars if tutcode-use-stroke-help-window? is #f
	    to show guide when stroke help is enabled after some keys typed.
	  - (tutcode-auto-help-update-stroke-alist-normal-with-kanji): Ditto.
	  - (tutcode-get-candidate-handler):
	    Follow the structure change of guide variable.
	
2010-11-14 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change of kanji combination guide to check Yomi in prediction mode.
	* scm/tutcode.scm
	  - (tutcode-lib-set-prediction-src-string):
	    Change to return all yomi returned from predict search.
	  - (tutcode-guide-set-candidates):
	    Add argument all-yomi.
	    Add check of all-yomi for guide in prediction mode.
	  - (tutcode-check-completion):
	    Follow the change of tutcode-guide-set-candidates.
	  - (tutcode-check-prediction):
	    Change to pass all-yomi returned from
	    tutcode-lib-set-prediction-src-string to tutcode-guide-set-candidates.
	
2010-11-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change to show virtual keyboard (stroke help window)
	  when no key is typed or no other candidate window is displayed
	  (completion/prediction or auto help has no candidate).
	* scm/tutcode.scm
	  - (tutcode-stroke-help-top-page-alist,
	     tutcode-stroke-help-top-page-katakana-alist): New variable.
	  - (tutcode-check-stroke-help-window-begin):
	    Move check of tutcode-use-stroke-help-window?
	    to tutcode-key-press-handler.
	    Change to use cache for top page of stroke help.
	  - (tutcode-stroke-help-update-alist):
	    New function extracted from tutcode-check-stroke-help-window-begin
	    and rewrite using recursion.
	  - (tutcode-stroke-help-update-alist-with-rule):
	    New function extracted from tutcode-check-stroke-help-window-begin.
	  - (tutcode-toggle-stroke-help):
	    Remove call of tutcode-check-stroke-help-window-begin.
	  - (tutcode-proc-state-on): Ditto.
	  - (tutcode-proc-state-yomi): Ditto.
	  - (tutcode-proc-state-bushu): Ditto.
	  - (tutcode-key-press-handler):
	    Add call of tutcode-check-stroke-help-window-begin.
	
2010-11-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tcode.scm
	  - (tcode-rule): Comment out unassigned sequences.
	* scm/trycode.scm
	  - (trycode-rule): Ditto.
	
2010-11-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-hint-mark): New variable.
	  - (tutcode-check-stroke-help-window-begin):
	    Change to show hint kanji instead of white box for intermediate sequence.
	  - (tutcode-rule-commit-sequences!):
	    Change to append new sequences to last of tutcode-rule (instead of first)
	    to avoid showing mazegaki-start-sequence as hint kanji.
	
2010-11-11 Etsushi Kato <ek.kato@gmail.com>
	
	* emacs/uim.el (uim-init-buffer) : Fix for emacs24 by Kan-Ru Chen
	  (#31539).
	  - Use make-local-hook only for XEmacs.
	  - Explicitly put 'local for add-hook.
	
2010-11-10 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add function to redisplay last auto-help window.
	* scm/tutcode.scm
	  - Update comments.
	  - (tutcode-context-rec-spec): Add auto-help variable.
	  - (tutcode-check-stroke-help-window-begin): Add auto-help-redisplay label.
	  - (tutcode-check-auto-help-window-begin):
	    Change to use variable auto-help instead of stroke-help
	    to hold auto-help contents.
	  - (tutcode-auto-help-redisplay): New function.
	  - (tutcode-proc-state-on):
	    Add check of tutcode-auto-help-redisplay stroke.
	  - (tutcode-proc-state-yomi): Ditto.
	  - (tutcode-proc-state-bushu): Ditto.
	  - (tutcode-get-candidate-handler):
	    Split auto-help from stroke-help.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Add auto-help-redisplay-sequence.
	* scm/tutcode-key-custom.scm
	  - (tutcode-auto-help-redisplay-sequence): New custom.
	
2010-11-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-check-stroke-help-window-begin):
	    Change to show guide mark on stroke-help after auto-help.
	  - (tutcode-guide-add-kanji): New function.
	  - (tutcode-check-auto-help-window-begin):
	    Add clear of guide before calling tutcode-guide-add-kanji.
	  - (tutcode-auto-help-update-stroke-alist):
	    Add pc argument to call tutcode-guide-add-kanji.
	  - (tutcode-auto-help-update-stroke-alist-normal): Ditto.
	  - (tutcode-auto-help-update-stroke-alist-with-kanji):
	    Add call of tutcode-guide-add-kanji for auto-help kanji.
	  - (tutcode-auto-help-update-stroke-alist-normal-with-kanji): Ditto.
	
2010-11-09 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-auto-help-update-stroke-alist-normal-with-kanji
	    Change to show kanji on auto-help for with-real-keys setting.
	
2010-11-09 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/bsdlook.c
	  - (uim_look_finish) : Cast return value of mmap to uintptr_t.
	  - (uim_look_open_dict) : Set front0 and front zero upon
	    MAP_FAILED.
	
2010-11-08 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-auto-help-update-stroke-alist-with-kanji):
	    Change to show kanji on auto-help.
	
2010-11-08 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/bsdlook.c (uim_look_finish) : Suppress compiler warning.
	
2010-11-08 Etsushi Kato <ek.kato@gmail.com>
	
	* Fix libuim-skk.so to support multiple dic_info instances.
	
	* uim/skk.c
	  - (skk_dic) : Removed.
	  - (merge_base_candidates_to_array)
	  - (reorder_candidate)
	  - (push_purged_word)
	  - (remove_canddate_from_array)
	  - (remove_purged_words_from_dst_cand_array)
	  - (merge_purged_cands)
	  - (merge_purged_cand_to_dst_array)
	  - (merge_real_candidate_array)
	  - (purge_candidate)
	  - (learn_word_to_cand_array)
	  - (compare_and_merge_skk_line)
	  - (cache_line_diffs)
	  - (update_personal_dictionary_cache_with_file)	
	    - Take dic_info * as a first argument.
	  - (skk_get_entry)
	  - (skk_get_nth_candidate)
	  - (skk_get_nr_candidates)
	  - (find_cand_array_lisp)
	  - (find_comp_array_lisp)
	  - (skk_get_completion)
	  - (skk_get_nth_completion)
	  - (skk_get_nr_completions)
	  - (skk_get_dcomp_word)
	  - (skk_commit_candidate)
	  - (skk_purge_candidate)
	  - (skk_learn_word)
	  - (skk_read_personal_dictionary)
	  - (skk_save_personal_dictionary)
	    - Take uim_lisp skk_dic_ as a first argument.
	  - (skk_dic_open) : Change to return pointer object.
	  - (skk_free_dic) : New.
	  - (free_skk_dic) : New.
	  - (skk_look_close) : New.
	  - (uim_plugin_instance_init)
	    - Change number of arguments of
	      skk-lib-read-personal-dictionary,
	      skk-lib-save-personal-dictionary,
	      skk-lib-get-entry, skk-lib-get-nr-candidates,
	      skk-lib-get-completion, skk-lib-get-nth-completion,
	      skk-lib-get-nr-completions, skk-lib-get-dcomp-word.
	    - Add skk-lib-look-close.
	  - (uim_plugin_instance_quit) : Do nothing here.
	* scm/tutcode.scm
	  - (tutcode-dic-init) : Removed.
	  - (tutcode-dic) : New.
	  - (tutcode-context-list) : New.
	  - (tutcode-context-new) : Set tutcode-dic here.
	  - (tutcode-read-personal-dictionary) : Follow the change in
	    skk.c.
	  - (tutcode-save-personal-dictionary) : Ditto.
	  - (tutcode-get-nth-candidate) : Ditto.
	  - (tutcode-prepare-commit-string) : Ditto.
	  - (tutcode-purge-candidate) : Ditto.
	  - (tutcode-begin-conversion) : Ditto.
	  - (tutcode-init-handler) : Update context-list.
	  - (tutcode-release-handler) : Update context-list.  Free
	    mazegaki dictionary when all context is released.
	* scm/tutcode-editor.scm
	  - (tutcode-editor-commit-raw) : Follow the change in skk.c.
	* scm/skk-editor.scm
	  - (skk-editor-commit-raw) : Ditto.
	* scm/skk.scm
	  - (skk-dic-init) : Removed.
	  - (skk-dic) : New.
	  - (skk-context-list) : New.
	  - (skk-read-personal-dictionary) : Follow the change in skk.c.
	  - (skk-save-personal-dictionary) : Ditto.
	  - (skk-context-new) : Set skk-dic here.
	  - (skk-get-nth-candidate) : Follow the change in skk.c.
	  - (skk-get-nth-completion) : Ditto.
	  - (skk-prepare-commit-string) : Ditto.
	  - (skk-purge-candidate) : Ditto.
	  - (skk-append-string) : Ditto.
	  - (skk-begin-conversion) : Ditto.
	  - (skk-begin-completion) : Ditto.
	  - (skk-commit-with-conv-completion) : Ditto.
	  - (skk-proc-state-kanji) : Ditto.
	  - (skk-check-candidate-window-begin) : Ditto.
	  - (skk-change-completion-index) : Ditto.
	  - (skk-proc-state-completion) : Ditto.
	  - (skk-init-hanler) : Update skk-context-list.
	  - (skk-release-handler) : Update skk-context-list.  Free skk-dic
	    when all context is released.
	
2010-11-08 Etsushi Kato <ek.kato@gmail.com>
	
	* fep/udsock.c (usersockname)
	* fep/uim-fep.c (main)
	  - Don't exit the program when the config directory cannot be
	    created.
	
2010-11-08 Etsushi Kato <ek.kato@gmail.com>
	
	* COPYING : Update supplementary notes.
	
2010-11-08 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/DOT-UIM : Update.
	
2010-11-08 Etsushi Kato <ek.kato@gmail.com>
	
	* emacs/uim-helper.el (uim-helper-process-sentinel) : Use
	  "uim-helper.el" string for the error message.
	
2010-11-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm: Update setting comment for T-Code table.
	
2010-11-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/predict-look.scm (predict-look search)
	  - Change dictionary order option of look to #f
	    to search non-ascii Kanji string.
	
2010-11-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* uim/bsdlook.c (uim_look):
	  - Fix bug which ignores 0xfe (used in EUC-JP Kanji) in search string.
	
2010-11-06 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add completion, input prediction for mazegaki conversion
	  and kanji combination guide for tutcode.
	* scm/tutcode.scm
	  - (generic-predict.scm): New require.
	  - (tutcode-heading-label-char-list-for-prediction-qwerty,
	     tutcode-heading-label-char-list-for-prediction-dvorak,
	     tutcode-heading-label-char-list-for-prediction,
	     tutcode-guide-mark,
	     tutcode-guide-end-mark): New variable.
	  - (tutcode-context-rec-spec): Add some variables.
	  - (tutcode-context-new): Add initialization for prediction and
	    tutcode-heading-label-char-list-for-prediction.
	  - (tutcode-commit-raw, tutcode-commit):
	    Add call of tutcode-append-commit-string for completion.
	  - (tutcode-check-stroke-help-window-begin):
	    Add modification of candidates for kanji combination guide.
	    Remove obsoleted comment.
	  - (tutcode-auto-help-update-stroke-alist-with-key):
	    Change argument type to car of list for recursion style.
	  - (tutcode-auto-help-update-stroke-alist-with-stroke):
	    Follow change of tutcode-auto-help-update-stroke-alist-with-key.
	  - (tutcode-proc-state-on): Modify for completion.
	  - (tutcode-proc-state-yomi): Modify for prediction.
	  - (tutcode-reset-candidate-window): Add reset of predicting state.
	  - (tutcode-get-candidate-handler):
	    Add return of completion or prediction candidates.
	    Add adjustment of tutcode-nr-candidate-max-for-{prediction,guide}.
	  - (tutcode-set-candidate-index-handler):
	    Modify for completion or prediction.
	  - (tutcode-predict,
	     tutcode-lib-set-prediction-src-string,
	     tutcode-lib-get-nr-predictions,
	     tutcode-lib-get-nth-word,
	     tutcode-lib-get-nth-prediction,
	     tutcode-lib-get-nth-appendix,
	     tutcode-lib-commit-nth-prediction,
	     tutcode-guide-set-candidates,
	     tutcode-guide-update-alist,
	     tutcode-guide-update-alist-with-stroke,
	     tutcode-commit-by-label-key-for-prediction,
	     tutcode-get-prediction-string,
	     tutcode-learn-prediction-string,
	     tutcode-do-commit-prediction,
	     tutcode-append-commit-string,
	     tutcode-check-completion,
	     tutcode-check-prediction,
	     tutcode-prediction-calc-window-param,
	     tutcode-change-prediction-page,
	     tutcode-heading-label-char-for-prediction?): New function.
	* scm/tutcode-key-custom.scm
	  - (tutcode-begin-completion-key): New custom.
	* scm/tutcode-custom.scm
	  - (tutcode-prediction): New custom group.
	  - (tutcode-nr-candidate-max-for-prediction,
	     tutcode-nr-candidate-max-for-guide,
	     tutcode-use-completion?,
	     tutcode-completion-chars-min,
	     tutcode-completion-chars-max,
	     tutcode-use-prediction?,
	     tutcode-prediction-start-char-count,
	     tutcode-use-kanji-combination-guide?): New custom.
	  - (tutcode-nr-candidate-max-for-prediction,
	     tutcode-nr-candidate-max-for-guide): New custom hook.
	  - (tutcode-use-table-style-candidate-window?): Add set-value for
	    tutcode-nr-candidate-max-for-prediction and 
	    tutcode-nr-candidate-max-for-guide.
	
2010-11-05 Etsushi Kato <ek.kato@gmail.com>
	
	* gtk/gtk-im-uim.c
	  - (remove_cur_toplevel) : Support GTK+-2.16 again.
	  - (update_cur_toplevel) : Ditto.
	
2010-11-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/tutucode.scm : Add comment on the
	  tutcode-latin-conv-start-sequence setting for T-Code table.
	
2010-11-05 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (button_press_event_cb) : Support GTK+-2.16 again.
	  - (handle_expose_event_cb) : Ditto.
	* helper/toolbar-common-gtk.c
	  - (calc_menu_position) : Ditto.
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose) : Ditto.
	
2010-11-05 Etsushi Kato <ek.kato@gmail.com>
	
	* m4/openssl.m4 : Remove redundant brackets.
	
2010-11-05 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/skk.c (struct dic_info) : Simplify using typedef.
	
2010-11-01 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/skk.c (is_okuri) : Check okuri-ari entry strictly.
	
2010-09-29 Etsushi Kato <ek.kato@gmail.com>
	
	* m4/openssl.m4 (openssl-dir) : Don't set use_openssl="no" when
	  ACTION-IF-NOT-GIVEN.
	
2010-09-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* m4/openssl.m4
	  - Don't disable OpenSSL feature when `--enable-openssl' is set
	    and `--with-openssl-dir' is specified (bug #30249).
2010-09-13 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - Add check for gtk version for gtk_widget_get_mapped.
	* helper/eggtrayicon.c
	  - Add check for gtk version for gtk_widget_get_realized.
	
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/pref-gtk-custom-widgets.c
	  - (choose_key_clicked_cb): Prevent uim-pref-gtk from segfaulting
	    when right-clicking on GtkEntry widget.
	    We can use no input method on this widget
	    because this widget isn't editable.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/gtk-im-uim.c
	  - (on_client_widget_grab_notify):
	    Use gtk_window_group_get_current_grab() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/gtk-im-uim.c
	  - (on_client_widget_grab_notify, handle_key_on_toplevel):
	    Add comments on GSEAL_ENABLE.
	* helper/pref-gtk-custom-widgets.c
	  - (choose_key_clicked_cb): Ditto.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/text-util.c
	  - (im_uim_acquire_selection_text, delete_text_in_gtk_entry):
	     Use gtk_editable_get_position() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/dict-cclass-dialog.c
	  - (cclass_dialog): Use gtk_dialog_get_content_area() for GTK+3.
	* helper/dict-word-list-win-gtk.c
	  - (help_about_action_cb): Ditto.
	* helper/dict-word-win-gtk.c
	  - (word_window_init): Ditto.
	* helper/pref-gtk-custom-widgets.c
	  - (choose_olist_clicked_cb, choose_key_clicked_cb): Ditto.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/pref-gtk-custom-widgets.c
	  - (sync_value_int): Use gtk_adjustment_get_upper() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/pref-gtk-custom-widgets.c
	  - (sync_value_int): Use gtk_adjustment_get_lower() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/pref-gtk-custom-widgets.c
	  - (sync_value_int, sync_value_string, sync_value_choice,
	     sync_value_olist, sync_value_key):
	    Use gtk_widget_get_parent() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose): Use gtk_container_get_border_width() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose): Use gtk_container_get_focus_child() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose): Use gtk_widget_get_allocation() for GTK+3.
	* helper/toolbar-common-gtk.c
	  - (calc_menu_position): Ditto.
	* helper/toolbar-standalone-gtk.c
	  - (handle_expose_event_cb): Ditto.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/test/entry.c
	  - (main): Use gtk_entry_get_text_length() for GTK+3.
	* gtk/text-util.c
	  - (delete_text_in_gtk_entry): Ditto.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/text-util.c
	  - (acquire_text_in_gtk_text_view, im_uim_acquire_selection_text,
	     delete_text_in_gtk_text_view): Use gtk_text_view_get_buffer() for GTK+.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/text-util.c
	  - (delete_text_in_gtk_text_view, delete_selection_in_gtk_text_view):
	    Use gtk_text_view_get_editable() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/text-util.c
	  - (delete_text_in_gtk_text_view, delete_selection_in_gtk_text_view):
	    Use gtk_text_view_get_editable() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/gtk-im-uim.c
	  - (handle_key_on_toplevel): Use gtk_editable_get_editable() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/gtk-im-uim.c
	  - (on_client_widget_grab_notify): Use gtk_window_get_group() for GTK+3.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/caret-state-indicator.c
	  - (caret_state_indicator_timeout): Use gtk_widget_get_style() for GTK+3.
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose): Ditto.
	* helper/toolbar-standalone-gtk.c
	  - (handle_expose_event_cb): Ditto.
2010-09-12 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/caret-state-indicator.c
	  - (caret_state_indicator_timeout): Use gtk_widget_get_window() for GTK+3.
	* gtk/uim-cand-win-gtk.c
	  - (uim_cand_win_gtk_layout_sub_window): Ditto.
	* helper/candwin-gtk.c
	  - (uim_cand_win_gtk_layout_sub_window): Ditto.
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose, egg_tray_icon_send_manager_message,
	     egg_tray_icon_realize): Ditto.
	* helper/pref-gtk-custom-widgets.c
	  - (choose_key_button_clicked_cb): Ditto.
	* helper/toolbar-common-gtk.c
	  - (calc_menu_position): Ditto.
	* helper/toolbar-standalone-gtk.c
	  - (button_press_event_cb, helper_win_set_position,
	     motion_notify_event_cb, handle_expose_event_cb): Ditto.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/gtk-im-uim.c
	* gtk/gtk-im-uim.h
	* helper/eggtrayicon.c
	* helper/eggtrayicon.h
	  - Don't include individual headers for GTK+3.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/gtk-im-uim.c
	  - (show_preedit, update_cur_toplevel): gtk_widget_is_toplevel()
	    instead of deprecated GTK_WIDGET_TOPLEVEL.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/dict-word-win-gtk.c
	  - (word_window_additional_create): Use gtk_editable_set_editable()
	    instead of deprecated gtk_editable_set_editable().
	* helper/pref-gtk-custom-widgets.c
	  - (add_custom_type_orderedlist, choose_key_clicked_cb,
	     add_custom_type_key): Ditto.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/dict-word-win-gtk.c
	  - (word_window_add, word_window_response, message_dialog_response_cb):
	    Use g_idle_add() instead of deprecated gtk_idle_add().
	* helper/pref-gtk.c
	  - (main): Ditto.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose): Use gtk_widget_get_state()
	    instead of deprecated GTK_WIDGET_STATE.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_expose): Use gtk_widget_has_focus()
	    instead of deprecated GTK_WIDGET_HAS_FOCUS.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/eggtrayicon.c
	  - (egg_tray_icon_update_manager_window): Use gtk_widget_get_realized()
	    instead of deprecated GTK_WIDGET_REALIZED.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (button_press_event_cb): Use gdk_cursor_unref()
	    instead of deprecated gdk_cursor_destroy().
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (button_press_event_cb): Use gtk_widget_get_visible()
	    instead of deprecated GTK_WIDGET_VISIBLE.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (size_allocate_cb, size_request_cb):
	    Use gtk_widget_get_mapped() instead of deprecated GTK_WIDGET_MAPPED.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-standalone-gtk.c
	  - (helper_win_set_position, motion_notify_event_cb):
	    Use gdk_drawable_get_size() instead of deprecated gdk_window_get_size().
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-common-gtk.c
	  - (calc_menu_position): Don't use deprecated macro GTK_WIDGET_NO_WINDOW.
2010-09-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-common-gtk.c
	  - (destroy_tooltips): Remove.
	  - (popup_prop_menu, prop_button_create, helper_toolbar_prop_list_update):
	    Don't use deprecated GtkTooltips.
	  - (prop_data_flush, prop_button_destroy): Don't call removed function.
	* helper/pref-gtk.c
	  - (create_setting_button_box): Don't use deprecated GtkTooltips.
2010-09-09 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (LIBEDIT_LIBS): Take ncurses into account and check if curses or ncurses
	    is installed.
2010-09-08 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-helper.c (uim_helper_get_pathname) : Don't call
	  uim_fatal_error even when the directory cannot be prepared.
	
2010-09-08 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/custom-rk.scm
	  - (custom-file-path)
	    - Use get-config-path instead of get-config-path!.
	* scm/dynlib.scm
	  - (uim-dynlib-load-path)
	    - Ditto.
	* scm/plugin.scm
	  - (uim-plugin-scm-load-path)
	  - (load-module-conf)
	  - (load-enabled-modules)
	    - Ditto.
	
2010-09-08 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-posix.c
	  - (uim_get_config_path_internal)
	    - Make sure to return "" as a path when failed.
	  - (c_get_config_path)
	    - Remove a check for the path.
	
2010-09-08 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-posix.c
	  - (uim_check_dir_internal)
	    - New.
	    - Moved from uim_check_dir mostly.
	    - Add check for whether to create the path.
	  - (uim_check_dir)
	    - Call uim_check_dir_internal.
	    - Should rename this function later.
	  - (c_prepare_dir)
	    -  Rename from c_check_dir.
	  - (c_check_dir)
	    -  Rename to c_prepare_dir.
	  - (uim_get_config_path_internal)
	    - New.
	    - Moved from uim_get_config_path.
	    - Use uim_check_dir_internal.
	  - (uim_get_config_path)
	    - Call uim_get_config_path_internal.
	  - (c_prepare_config_path)
	    -  New.
	  - (c_get_config_path)
	    - Use uim_get_config_path_internal.
	    - Change to not to create the dir when the path isn't existed.
	  - (uim_init_posix_subrs)
	    - Add "get-config-path" procedure for scheme side.
	    - Follow the rename of c_check_dir and c_get_config_path.
	
2010-09-07 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plguin.scm
	  - (uim-plugin-scm-load-path)
	  - (load-module-conf)
	  - (load-enabled-modules)
	* scm/dynlib.scm
	  - (uim-dynlib-load-path)
	    - Don't assume the config-path in home directory is always
	      writable.  This fixes build problem of uim-1.6.0
	      on chrooted environment using user nobody.
	
2010-08-28 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - Update comments.
	
2010-08-16 Jae-hyeon Park <jhyeon@gmail.com>
	
	* po/ko.po
	  - changed a translation
	
2010-08-15 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* helper/pref-gtk.c
	  - (check_dot_uim_file): Suppress ~/.uim check and warning dialog
	  if uim-pref-suppress-dot-uim-warning-dialog? is #t.
	
2010-08-13 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac
	* uim/uim.h
	  - Post release version bump
	
2010-08-12 IWATA Ray <iwata@quasiquote.org>
	
	* scm/Makefile.am:
	  - Split targets to avoid forking two uim-module-manager jobs when gmake -j N.
	
2010-08-11 Etsushi Kato <ek.kato@gmail.com>
	
	* make-dist.sh : Update.
	
2010-08-11 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE : Update.
	
2010-08-10 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/switcher/qt4.cpp
	  - (UimImSwitcher::createGUI): Add apply button.
	    We sort the three buttons in the KDE style.
	  - (UimImSwitcher::slotChangeInputMethodAndQuit): New function.
	  - (UimImSwitcher::slotChangeInputMethod): Don't quit in this function.
	* qt4/switcher/qt4.h
	  - (UimImSwitcher): Add UimImSwitcher::slotChangeInputMethodAndQuit()
	    and remove UimImSwitcher::okButton and UimImSwitcher::cancelButton.
2010-08-10 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/switcher/qt4.cpp
	  - (UimImSwitcher::createGUI): Adjust button width
	    by not setting size policy explicitly.
2010-08-10 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Update.
	
2010-08-10 Etsushi Kato <ek.kato@gmail.com>
	
	* pixmaps/tcode_dark_background.svg
	* pixmaps/tutcode_dark_background.svg
	  - New.
	* pixmaps/Makefile.am
	  - (SVGS) : Added.
	  - (GENERAGED_SVGS) : Add trycode_dark_background.svg.
	  - (SVG_PNGS) : Added.
	  - (trycode_dark_background.svg) : Generate from
	    tcode_dark_background.svg.
	
2010-08-10 Etsushi Kato <ek.kato@gmail.com>
	
	* pixmaps/LIST : Update.
	* pixmaps/skk_dark_background.svg : New.
	* pixmaps/Makefile.am (SVGS, SVG_PNGS) : Added.
	
2010-08-10 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-08-10 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm
	  - (toolbar-icon) : New subgroup.
	  - (toolbar-icon-for-dark-background?) : New setting.
	* qt/toolbar-common-uimstateindicator.cpp
	  - (UimStateIndicator::parseHelperStr) : Reload config.
	  - (UimStateIndicator::propListUpdate) : Use icon for dark
	    background if requested.
	  - (QHelperPopupMenu::insertHelperItem) : Ditto.
	* qt4/toolbar/common-uimstateindicator.cpp
	  - Likewise.
	* helper/toolbar-common-gtk.c
	  - (helper_toolbar_check_custom) : Add check for icon.
	  - (helper_toolbar_parse_helper_str) : Reset icon when custom
	    changes.
	  - (register_icon) : Use icon for dark background if requested.
	  - (reset_icon) : New.
	  - (toolbar_new) : Check custom before setting icon.
	
2010-08-10 Etsushi Kato <ek.kato@gmail.com>
	
	* pixmaps/ja_kana_dark_background.svg
	* pixmaps/ja_katakana_dark_background.svg
	* pixmaps/ko_hangulword_dark_background.svg
	* pixmaps/prime_mode_application_dark_background.svg
	* pixmaps/ko_hangulchar_dark_background.svg
	* pixmaps/ja_direct_dark_background.svg
	* pixmaps/ja_hiragana_dark_background.svg
	* pixmaps/zm_dark_background.svg
	* pixmaps/off_dark_background.svg
	* pixmaps/on_dark_background.svg
	* pixmaps/ja_kzik_dark_background.svg
	* pixmaps/ja_fullwidth_alnum_dark_background.svg
	* pixmaps/direct_dark_background.svg
	* pixmaps/ja_halfkana_dark_background.svg
	* pixmaps/ja_act_dark_background.svg
	* pixmaps/wb86_dark_background.svg
	* pixmaps/direct_input_dark_background.svg
	* pixmaps/ja_romaji_dark_background.svg
	* pixmaps/unknown_dark_background.svg
	* pixmaps/ko_direct_dark_background.svg
	* pixmaps/ja_azik_dark_background.svg
	* pixmaps/ja_halfwidth_alnum_dark_background.svg
	  - New icons for toolbar with dark background.
	* pixmaps/Makefile.am
	  - (SVGS)
	  - (SVG_PNGS)
	    - Added new icons.
	
2010-08-10 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm (toolbar-widget)
	  - New subgroup to prevent saving duplicate items in 'toolbar'
	    main group.
	* scm/ajax-ime-custom.scm
	* scm/mana-custom.scm
	* scm/anthy-custom.scm
	* scm/canna-custom.scm
	* scm/prime-custom.scm
	* scm/skk-custom.scm
	* scm/wnn-custom.scm
	* scm/yahoo-jp-custom.scm
	* scm/sj3-custom.scm
	* scm/social-ime-custom.scm
	* scm/anthy-utf8-custom.scm
	  - Use 'toolbar-widget' subgroup.
	
2010-08-09 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-08-09 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/bushuviewwidget.cpp
	  - (BushuViewWidget::setFont): Rename to setCharFont()
	    to fix bug in font settings.
	* qt4/chardict/bushuviewwidget.h
	  - Ditto.
	* qt4/chardict/chargridview.cpp
	  - (CharGridView::setFont)
	    * Rename to setCharFont().
	    * Call QWidget::setFont().
	* qt4/chardict/chargridview.h
	  - (CharGridView::setFont): Rename to setCharFont().
	* qt4/chardict/qt4.cpp
	  - (KUimCharDict::setCharDictFont): Follow change of function name.
	* qt4/chardict/qt4.h
	  - (CharDictViewBase::setFont)
	    * Rename to setCharFont().
	    * Don't override non-virtual function QWidget::setFont().
	* qt4/chardict/unicodeviewwidget.cpp
	  - (UnicodeViewWidget::setFont): Rename to setCharFont().
	* qt4/chardict/unicodeviewwidget.h
	  - Ditto.
2010-08-09 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/qt4.cpp
	* qt4/pref/qt4.cpp
	  - (main): Set organization name and application name
	    because QSettings class is used.
2010-08-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/uim-candwin-qt4.pro.in
	* qt4/chardict/uim-chardict-qt4.pro.in
	* qt4/immodule/quiminputcontextplugin.pro.in
	* qt4/pref/uim-pref-qt4.pro.in
	* qt4/switcher/uim-im-switcher-qt4.pro.in
	* qt4/toolbar/uim-toolbar-qt4.pro.in
	  - Make ccache work.
	  - (QMAKE_CC): Specify C compiler by CC.
	  - (QMAKE_CXX): Specify C++ compiler by CXX.
2010-08-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* po/fr.po
	* po/ja.po
	* po/ko.po
	  - Update.
	* qt4/pref/keyeditformbase.ui
	* qt4/pref/olisteditformbase.ui
	  - Change title of dialog.
2010-08-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/uim-candwin-qt4.pro.in
	* qt4/chardict/uim-chardict-qt4.pro.in
	* qt4/edittest/edittest.pro
	* qt4/immodule/quiminputcontextplugin.pro.in
	* qt4/pref/uim-pref-qt4.pro.in
	* qt4/switcher/uim-im-switcher-qt4.pro.in
	* qt4/toolbar/uim-toolbar-qt4.pro.in
	  - Prevent executables from being stripped.
2010-08-06 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-08-06 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Modify a sentence in r6604.
	
2010-08-06 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/PLUGIN : Update.
	
2010-08-06 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plugin.scm (load-module-conf) : Remove duplicate in the
	  enabled-im-list when user-conf-file is load.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* po/POTFILES.in
	  - Add qt4/pref/ui_{ui_keyeditformbase,olisteditformbase}.h
	* po/Makevars (XGETTEXT_OPTIONS)
	  - Add UIC_ keyword.
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Update.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/util.scm (try-load)
	  - Return #t if succeeded instead of #<undef>.
	* test/utiltest-misc.scm
	  - (test-try-load)
	  - (test-try-require)
	    - New test.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/util.scm
	  - (try-load)
	  - (try-require)
	    - Fix bug which was introduced in r6603.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/wnn-custom.scm (wnn-use-remote-server?)
	* scm/sj3-custom.scm (sj3-use-remote-server?)
	  - Fix descriptions.
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Follow the changes.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE : Update.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/uim-help.scm (toolbar-help-url-locale-alist) : Use uim-doc-ja.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-08-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/look.scm
	  - (look-look) : Fix crash when file is not found in
	    look-lib-look.
	* scm/ct.scm
	  - (ct-lib-find-seq)
	  - (ct-lib-find-partial-seq)
	  - (ct-find-cands-incl-minimal-partial)
	    - Ditto.
	
2010-08-04 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-08-04 Etsushi Kato <ek.kato@gmail.com>
	
	* replace/daemon.c
	  - Define _PATH_DEVNULL if not defined.
	* helper/eggtrayicon.c
	  - Fix compilation with older GTK+.
	* uim/lolevel.c
	  - s/u_int16_t/uint16_t/, s/u_int32_t/uint32_t/,
	    s/u_int8_t/uint8_t/.
	* uim/socket.c
	  - Use PF_UNIX if PF_LOCAL is not defined.
	  - Don't use variable named 'sun'.
	
2010-08-04 Etsushi Kato <ek.kato@gmail.com>
	
	* AUTHORS
	* doc/PACKAGING
	* doc/ENV
	* doc/UNIT-TEST
	* doc/DOT-UIM
	  - Update.
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/fileio.scm (file-ready?) : Don't show timeout message.
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/skk-custom.scm (skk-use-look?) : Add custom set hook.
	* uim/skk.c (skk_look_open) : Return #f is uim_look_init() fails.
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Update.
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/prime-custom.scm (prime-command-path) : New.
	* scm/prime.scm
	  - (prime-open-with-unix-domain-socket)
	  - (prime-connection-init)
	    - Use prime-command-path.
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	*  po/fr.po
	*  po/ko.po
	*  po/ja.po
	   - make update-po
	
2010-08-03 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/process.scm
	  - Use srfi-2 for and-let*.
	  - (process-exec-failed)
	  - (process-dup2-failed)
	  - (process-fork-failed)
	    - New variable.
	  - (process-io) 
	    - Report error to parent from child.
	    - Make parent returns #f when child fails.
	* scm/prime.scm
	  - (prime-connection-init) : Set fds #f when
	    prime-server-setting? is unknown.
	* scm/annotation-filter.scm
	  - (annotation-filter-open-unix-domain-socket) : Rename to
	    annotation-filter-open-with-unix-domain-socket.
	  - (annotation-filter-open-with-unix-domain-socket) : Renamed
	    from annotation-filter-open-unix-domain-socket.
	  - (annotation-filter-init) : Add check for fds.
	  - (annotation-filter-read-message) : Add check for return value
	    of file-read-line.
	* scm/im-custom.scm (http-timeout)
	  - User friendly description.
	
2010-08-03 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-key-custom.scm
	  - (tutcode-purge-candidate-key):
	    Change default key to avoid conflict with
	    tutcode-uim-heading-label-char-list.
	
2010-08-01 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-set-candidate-index-handler):
	    Fix to be able to use commit by mouse click on recursive learning.
	
2010-08-01 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change to be able to purge mazegaki entry which is only one candidate.
	* scm/tutcode.scm
	  - (tutcode-begin-conversion): Add arguments.
	  - (tutcode-proc-state-yomi): Add check of tutcode-purge-candidate-key?
	    Follow the argument change of tutcode-begin-conversion.
	
2010-08-01 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/process.scm
	  - (process-io)
	  - (process-with-daemon)
	    - Show message when proces-execute fails.
	
2010-08-01 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/prime.scm
	  - (prime-open-with-unix-domain-socket) : Use the same timeout
	    value used in 1.5.7.
	  - (prime-connection-init) : Add check for error.
	  - (prime-send-command) : Check eof for file-read-line.
	  - (prime-send-command) : Add check for error.
	
2010-07-31 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac (kde4-applet) : Set no as default.
	
2010-07-31 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/pref/uim-pref-qt4.pro.in
	  - Don't hardcode file name.
2010-07-31 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-key-press-handler):
	    Fix to update preedit on cancel of recursive learning
	    whose mode is tutcode-state-off.
	
2010-07-31 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-rule-commit-sequences!):
	    Fix not to show auto help sequences which are overridden
	    by tutcode-rule-set-sequences! (revert change in r4608).
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE : Update.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS
	* RELNOTE
	  - Update.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/toolbar-common-gtk.c (tool_button_clicked_cb)
	  - Follow r6587 to fix clicking tool buttons.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac
	* test/Makefile.am
	  - Revise r6628 and r6630.  No functionality is changed.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE : Update.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/generic.scm
	  - (generic-update-input-state-cands)
	  - (generic-update-multi-cand-state-cands)
	    - Fix for generic-show-prediction-candidates? #f.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* test/Makefile.am : Run test only when --enable-debug is set.
	
2010-07-30 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac : Add tests for Gauche ant GaUnit.
	* test/Makefile.am (TESTS) : Make conditional.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* tables/Makefile.am (.scm.table) : Make sure to build libreplace.la.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* test/uim-test-utils-new.scm (uim-sh-read-block)
	  - Cope with slower machines.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* RELNOTE
	* NEWS
	  - Update.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/chardict/Makefile.am : One more fix for distclean.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-scm-sigscheme.c : Require sigscheme 0.8.5.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/chardict/Makefile.am
	* qt4/toolbar/Makefile.am
	  - Fix distclean.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* xim/uim-xim.1 : Fix format ([uim-ja 239]).
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac : Don't use rpath for kde4 applet ([uim-ja 239]).
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* make-dist.sh : Update.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* test/i18n/test-language.scm
	* test/i18n/test-base.scm
	* test/test-anthy.scm
	* test/key/test-translator.scm
	* test/key/test-base.scm
	* test/key/test-predicate.scm
	* test/test-ng-key.scm
	* test/test-example.scm
	* test/test-lazy-load.scm
	* test/test-ustr.scm
	* test/test-custom-rt.scm
	* test/test-plugin.scm
	* test/test-uim-test-utils.scm
	* test/test-im.scm
	* test/test-intl.scm
	* test/test-custom.scm
	* test/test-action.scm
	* test/test-iconv.scm
	* test/util/test-srfi.scm
	* test/util/test-string.scm
	* test/util/test-character-predicate.scm
	* test/util/test-uim.scm
	* test/util/test-multi-segment.scm
	* test/util/test-list.scm
	* test/util/test-misc.scm
	* test/util/test-r5rs.scm
	* test/util/test-rk.scm
	* test/util/test-record.scm
	* test/util/test-character-conversion.scm
	  - Update passed revision record.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-language.scm (uim-test-with-environment-variables)
	  - Disabled.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-im.scm : Add a comment.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-07-28 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plugin.scm (uim-plugin-scm-load-path) : Support multiple
	  paths by LIBUIM_SCM_FILES.
	* scm/util.scm
	  - (make-scm-pathname) : Change to return list of paths.
	  - (try-load) : Follow the change.
	  - (try-require) : Ditto.
	* test/uim-test-utils.scm : Fix for sourcedir != builddir.
	* test/uim-test-utils-new.scm : Ditto.
	* test/util/test-uim.scm : Follow the change in make-scm-pathname.
	
2010-07-27 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-lazy-load.scm
	  - (setup) : Set enable-lazy-loading? #t not to use
	    require-module in loader.scm.
	  - (test-stub-im-generate-stub-im-list) : Set
	    installed-im-module-list first.
	
2010-07-27 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-plugin.scm (setup) : Don't invoke load-enabled-modules
	  because these tests are worked with enable-lazy-loading? #f,
	  which will cause calling require-module for all modules when
	  load-enabled-modules is called.  Instead, require-module needs
	  to be called after setting im-list as a null list to test these.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-action.scm : Follow the change in r6545.
	
2010-07-26 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* NEWS
	  - Add news about tutcode.
	  - Fix typo: Canan to Canna.
	
2010-07-26 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/ja.po
	  - Add translation about tutcode.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* tools/gnuify-changelog.pl : Bug fix.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* tools/gnuify-changelog.pl : Update.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac (libedit_path) : Bug fix.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* tools/gnuify-changelog.pl : Update.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* tables/Makefile.am : Update for make-dist.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/immodule/Makefile.am : Update.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-im.scm ("testcase im im-management")
	  - Exclude zm and wb86 for testing zh_CN.
	
2010-07-26 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-07-26 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/toolbar-common-gtk.c
	  - (right_click_menu_activated):
	    Use g_spawn_command_line_async() instead of system()
	    and check return value.
	* qt4/toolbar/common-quimhelpertoolbar.cpp
	  - (launchHelperApplication): New function.
	  - (QUimHelperToolbar::slotExecImSwitcher): Use launchHelperApplication().
	  - (QUimHelperToolbar::slotExecPref): Ditto.
	  - (QUimHelperToolbar::slotExecDict): Ditto.
	  - (QUimHelperToolbar::slotExecInputPad): Ditto.
	  - (QUimHelperToolbar::slotExecHelp): Ditto.
2010-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ja.po : Update.
	
2010-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	 - Update.
	
2010-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/japanese-custom.scm
	  (composing-rule) : New subgroup.
	  (ja-rk-rule-keep-consonant?) : Use composing-rule subgroup.
	
2010-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ja.po : Update.
	
2010-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* po/POTFILES.in : Add scm/japanese-custom.scm
	* po/fr.po : Update
	* po/ko.po : Ditto.
	* po/ja.po : Ditto.
	
2010-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Clear fuzzy.
	
2010-07-25 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Make update-po
	
2010-07-25 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-context-new, tutcode-begin-conversion):
	    Fix error when libuim-skk.so is not available.
	
2010-07-25 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add custom to set use of table style candidate window.
	* scm/tutcode-custom.scm
	  - (tutcode-use-table-style-candidate-window?):
	    New custom variable and set hooks.
	  - (tutcode-candidate-window-table-layout):
	    New custom variable and activity hooks.
	* scm/tutcode.scm
	  - (uim-candwin-prog, uim-candwin-prog-layout):
	    New variable for table style candidate window.
	  - (uim-candwin-prog-layout-qwerty-jis,
	     uim-candwin-prog-layout-qwerty-us,
	     uim-candwin-prog-layout-dvorak): Ditto.
	  - (tutcode-table-heading-label-char-list-qwerty-jis,
	     tutcode-table-heading-label-char-list-qwerty-us,
	     tutcode-table-heading-label-char-list-dvorak): Ditto.
	  - (tutcode-table-heading-label-char-list-for-kigou-mode):
	    Change to make from uim-candwin-prog-layout.
	  - (tutcode-context-new):
	    Change to use new custom tutcode-use-table-style-candidate-window?
	* xim/canddisp.cpp
	  - (candwin_command): Fix to ignore empty uim-candwin-prog.
	
2010-07-24 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/common-quimhelpertoolbar.cpp
	  - (QUimHelperToolbar::QUimHelperToolbar):
	    * Adjust layout margin.
	    * Adjust spacing between widgets.
	* qt4/toolbar/common-uimstateindicator.cpp
	  - (UimStateIndicator::UimStateIndicator):
	    Adjust spacing between widgets.
	* qt4/toolbar/standalone-qt4.cpp
	  - (UimStandaloneToolbar::UimStandaloneToolbar):
	    Ditto.
2010-07-24 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/standalone-qt4.cpp
	  - (UimStandaloneToolbar::slotToolbarDoubleClicked):
	    Fix bug in toolbar size.
2010-07-24 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/skk.scm
	  - (skk-ja-rk-rule) : New.  Non consonant-keeping ja-rk-rule
	    for SKK.
	  - (skk-set-rule) : Use non consonant-keeping ja-rk-rule for
	    skk-input-rule-roma.
	  - (skk-context-new) : Ditto.
	
2010-07-24 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/standalone-qt4.h
	  - (UimStandaloneToolbar::slotToolbarDoubleClicked): Adjust size.
	  - (UimToolbarDraggingHandler::sizeHint): Remove.
	  - (UimToolbarDraggingHandler::drawContents): Remove.
	    QFrame::drawContents() doesn't exist.
	  - (UimToolbarDraggingHandler::paintEvent):
	    Draw line as uim-toolbar-qt does.
	* qt4/toolbar/standalone-qt4.cpp
	  - (UimToolbarDraggingHandler)
	    * Remove drawContents().
	    * Remove sizeHint()
	    * Add paintEvent().
2010-07-24 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/pref/keyeditformbase.ui
	  - Include qtgettext.h.
	* qt4/pref/olisteditformbase.ui
	  - Ditto.
	* qt4/pref/uim-pref-qt4.pro.in
	  - Define QMAKE_UIC.
	* qt4/qtgettext.h
	  - Define UIC_.
	  - Remove extra parentheses.
	* qt4/toolbar/common-uimstateindicator.cpp
	  - (qstring_): New function.
	  - (UimStateIndicator::propListUpdate): Translate labels.
2010-07-24 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Fix error when tutcode-XXX-start-sequence is empty.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/japanese.scm (ja-consonant-syllable-table) : Update.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/skk.scm
	  - (skk-proc-state-direct)
	  - (skk-proc-state-kanji)
	    - Remove n1 hack because rk.scm has been fixed in r6564.
	* scm/anthy-utf8.scm (anthy-utf8-proc-input-state-with-preedit)
	  - Ditto.
	* scm/wnn.scm
	* scm/social-ime.scm
	* scm/canna.scm
	* scm/ajax-ime.scm 
	* scm/anthy.scm
	* scm/yahoo-jp.scm
	* scm/mana.scm
	* scm/sj3.scm
	  - Port the change from anthy-utf8.scm.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/wnn.scm
	* scm/social-ime.scm
	* scm/canna.scm
	* scm/ajax-ime.scm
	* scm/yahoo-jp.scm
	* scm/sj3.scm
	  - Fix typo in r6566. s/sylable/syllable/.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/Makefile.am (SCM_FILES) : Add japanese-custom.scm.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/japanese-custom.scm : New file.
	  - (ja-rk-rule) : New custom group.
	  - (ja-rk-rule-keep-consonant?) : New custom.  Default is #f.
	* scm/japanese.scm
	  - Require japanese-custom.scm.
	  - (ja-rk-rule-basic) : Add qa, qi, qu, qe, qo.
	  - (ja-consonant-syllable-table) : Add ry.
	  - (ja-rk-rule-consonant-to-keep) : New table.
	  - (ja-rk-rule-update) : Set ja-rk-rule depending on
	    ja-rk-rule-keep-consonant?.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/wnn.scm
	* scm/social-ime.scm
	* scm/canna.scm
	* scm/ajax-ime.scm
	* scm/anthy.scm
	* scm/yahoo-jp.scm
	* scm/mana.scm
	  - Port changes of anthy-utf8.scm in r6565.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/anthy-utf8.scm
	  - (anthy-utf8-proc-input-state-with-preedit)
	  - (anthy-utf8-get-raw-str-seq)
	    - Make sure to fit raw-str with preconv-str as possible.
	  - (anthy-utf8-get-raw-candidate)
	    - Don't crash even if the length of preconv and raw-str
	      differs.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/rk.scm (rk-proc-tail) : Properly merge two sequences.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/anthy-utf8.scm (anthy-utf8-get-commit-string) : Bug fix.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm : Rename preedit subgroup properly.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* Revert r6560.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm : Rename preedit subgroup as xim-preedit.
	
2010-07-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm : Just reorder group definitions.
	
2010-07-21 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/anthy-utf8.scm
	  - (anthy-utf8-make-whole-string)
	  - (anthy-utf8-proc-input-state-with-preedit)
	  - (anthy-utf8-context-confirm-kana!)
	    - Support residual-kana with more than one character.
	* scm/skk.scm (skk-proc-state-kanji) : Ditto.	
	* scm/wnn.scm
	* scm/social-ime.scm
	* scm/canna.scm
	* scm/ajax-ime.scm
	* scm/anthy.scm
	* scm/yahoo-jp.scm
	* scm/mana.scm
	* scm/sj3.scm
	  - Port changes from anthy-utf8.scm.
	
2010-07-21 Etsushi Kato <ek.kato@gmail.com>
	
	* qt/switcher-qt.h
	* qt/switcher-qt.cpp
	  - (UimImSwitcher::saveDefaultIm) : New.
	  - (UimImSwitcher::UimImSwitcher) : Enable uim_custom.
	  - (UimImSwitcher::slotChangeInputMethod) : Save default IM upon
	    ID_CHANGE_WHOLE_DESKTOP.
	* qt/Makefile.am (uim_im_switcher_qt_LDADD) : Add libuim-custom.
	* qt4/switcher/qt4.h
	* qt4/switcher/qt4.cpp
	* qt4/switcher/uim-im-switcher-qt4.pro.in
	  - Likewise.
	
2010-07-20 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm : Revise r6546.
	
2010-07-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::updateView): Follow change of function name.
	  - (CandidateTableWindow::getPosition): Rename to getButtonPosition().
	* qt4/immodule/candidatetablewindow.h
	  - Ditto.
2010-07-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - Unmark Qt4 helper applications as experimental.
	    We've fixed lots of bugs in them since 1.5.7.
2010-07-20 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-context-new):
	    Add setup for table style candidate window.
	  - (tutcode-table-heading-label-char-list): New.
	  - (tutcode-uim-heading-label-char-list):
	    Rename from tutcode-heading-label-char-list.
	  - (tutcode-heading-label-char-list): Change to () as default.
	  - (tutcode-table-heading-label-char-list-for-kigou-mode): New.
	  - (tutcode-uim-heading-label-char-list-for-kigou-mode):
	    Rename from tutcode-heading-label-char-list-for-kigou-mode.
	  - (tutcode-heading-label-char-list-for-kigou-mode): Change to () as default.
	
2010-07-20 IWATA Ray <iwata@quasiquote.org>
	
	* scm/sj3v2-socket.scm (sj3-lib-get-string-with-terminate)
	  (sj3-lib-ph2knj-euc, sj3-lib-cl2knj-all-euc):
	  - Replace with (file-read-string-with-terminate).
	
2010-07-20 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-check-candidate-window-begin):
	    Revert change in r6528 to solve regression.
	
2010-07-20 IWATA Ray <iwata@quasiquote.org>
	
	* uim/fileio.c (c_file_position_whence, c_file_position_set):
	* scm/fileio.scm (file-position):
	  - New function.
	* uim/fileio.c (uim_plugin_instance_init, uim_plugin_instance_quit):
	  - Add scheme function (file-position-set!) and (file-position-whence?).
	
2010-07-20 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/japanese-act.scm : Add copyright header.
	* scm/japanese-kzik.scm : Modify copyright header.
	
2010-07-20 Etsushi Kato <ek.kato@gmail.com>
	
	* NEWS : Update.
	
2010-07-20 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/toolbar-common-gtk.c (toolbar_new) : Add a comment.
	
2010-07-20 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm (annotation-eb-dic-path)
	  - Fix duplicate custom-activity-hooks.
	
2010-07-20 Etsushi Kato <ek.kato@gmail.com>
	
	* Support ACT and KZIK Japanese rules (Haruhiro Yoshimoto, Ohashi
	  Hideya [uim-ja 181]).
	
	* pixmaps/ja_kzik.svg
	* pixmaps/ja_act.svg
	  - New icons.
	* pixmaps/AUTHORS
	* pixmaps/Makefile.am (SVGS, SVG_PNGS)
	  - Update for new icons.
	* scm/ajax-ime-custom.scm
	* scm/mana-custom.scm
	* scm/anthy-custom.scm
	* scm/canna-custom.scm
	* scm/skk-custom.scm
	* scm/wnn-custom.scm
	* scm/yahoo-jp-custom.scm
	* scm/sj3-custom.scm
	* scm/social-ime.custom.scm
	* scm/anthy-utf8-custom.scm	
	  - (*-kana-input-method-indication-alist) : Support new
	    tables.
	* scm/anthy-utf8.scm : Don't load additional tables implicitly.
	  - (anthy-input-rule-act) : New.
	  - (anthy-input-rule-kzik) : Ditto.
	  - (action_anthy_utf8_kana) : Require rule table conditionally.
	  - (action_anthy_utf8_kzik) : New.
	  - (action_anthy_utf8_act) : Ditto.
	  - (anthy-utf8-context-new) : Remove obsolete code.
	  - (anthy-utf8-proc-input-state-no-preedit) : Support new table.
	* scm/mana.scm
	* scn/wnn.scm
	* scm/canna.scm
	* scm/ajax-ime.scm
	* scm/anthy.scm
	* scm/yahoo-jp.scm
	* scm/mana.scm
	* scm/sj3.scm
	  - Likewise.
	* scm/skk.scm
	  - (skk-okuri-char-alist)
	  - (skk-downcase-alist)
	  - (skk-set-henkan-point-key)
	  - (skk-ichar-downcase)
	  - (skk-ichar-upper-case?)
	  - (skk-context-set-okuri-head-using-alist!)
	  - (skk-input-rule-act)
	  - (skk-input-rule-kzik)
	  - (action_skk_act)
	  - (action_skk_kzik)
	    - New.
	  - (skk-set-rule!)
	    - Set input rule, skk-okuri-char-alist, skk-downcase-alist,
	      and skk-set-henkan-point-key conditionally.
	  - (skk-proc-state-direct) : Use skk-ichar-downcase and
	    skk-ichar-upper-case?
	  - (skk-proc-state-kanji) : Ditto.  And use
	    skk-context-set-okuri-head-using-alist!,
	    skk-set-henkan-point-key.
	  - (skk-proc-state-okuri) : Use skk-ichar-downcase and
	    skk-context-set-okuri-head-using-alist!.
	* scm/japanese-azik.scm
	  - (ja-azik-skk-okuri-char-alist)
	  - (ja-azik-skk-downcase-alist)
	  - (ja-azik-skk-set-henkan-point-key)
	    - New.
	* scm/japanese-act.scm
	  - New file.
	  - (ja-act-rule-basic)
	  - (ja-act-rule)
	  - (ja-act-skk-okuri-char-alist)
	  - (ja-act-skk-downcase-alist)
	  - (ja-act-skk-set-henkan-point-key)
	    - New.
	* scm/japanese-kzik.scm
	  - New file.
	  - (ja-kzik-rule-basic)
	  - (ja-rk-rule-basic-kzik-changeset)
	  - (ja-rk-kzik-apply-changeset)
	  - (ja-kzik-rule)
	    - New.
	* scm/japanese.scm
	  - (using-kana-table?)
	  - (load-kana-table)
	  - (load-azik-table)
	    - Remove obsolete codes.
	* scm/Makefile.am (SCM_FILES)
	  - Update.
	* scm/ichar.scm (alist->icharlist)
	  - New.
	
2010-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* po/ja.po
	  - Add translation about tutcode.
	
2010-07-19 Jae-hyeon Park <jhyeon@gmail.com>
	
	* NEWS
	  - added news on uim-elatin
	
2010-07-19 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ja.po : Clear fuzzy.  Please translate these.
	
2010-07-19 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po : Clear fuzzy.
	
2010-07-19 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - do make update-po.
	
2010-07-19 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/chardict/Makefile.am : Fix typo.
	
2010-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-context-new):
	    Change not to reload tutcode-rule file for child context.
	
2010-07-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::sizeHint): Simplify.
	    Don't take the size of spacers into account.
2010-07-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::CandidateTableWindow): Add lLayout and rLayout
	    to member variables of CandidateTableWindow.
	  - (CandidateTableWindow::sizeHint): New function.
	  - (CandidateTableWindow::slotCandidateClicked): Adjust size.
	* qt4/immodule/candidatetablewindow.h
	  - (CandidateTableWindow): Declare CandidateTableWindow::sizeHint().
2010-07-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::updateView): Optimize.
2010-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-custom.scm
	  - (tutcode-auto-help-with-real-keys?): New variable and hook.
	* scm/tutcode.scm
	  - (tutcode-check-auto-help-window-begin):
	    Add support for normal candidate window.
	  - (tutcode-auto-help-update-stroke-alist-normal,
	    tutcode-auto-help-update-stroke-alist-normal-with-kanji,
	    tutcode-auto-help-update-stroke-alist-normal-with-stroke): New.
	
2010-07-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::updateSize): Show blockAS
	    when both blockA and blockLRS aren't empty.
2010-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add latin conversion (SKK abbrev conversion) to tutcode.
	* scm/tutcode-key-custom.scm
	  - (tutcode-latin-conv-start-sequence): New.
	* scm/tutcode.scm
	  - (tutcode-context-rec-spec): Add latin-conv flag.
	  - (tutcode-flush): Add reset of latin-conv flag.
	  - (tutcode-check-stroke-help-window-begin): Add mark for latin-conv.
	  - (tutcode-proc-state-on):
	    Add check of tutcode-latin-conv-start key sequence.
	  - (tutcode-proc-state-yomi): Change to support latin conversion.
	  - (tutcode-proc-state-bushu): Ditto.
	  - (tutcode-custom-set-mazegaki/bushu-start-sequence!):
	    Add tutcode-latin-conv-start key sequence.
	
2010-07-19 Jae-hyeon Park <jhyeon@gmail.com>
	
	* po/ko.po
	  - more translations
	
2010-07-19 Jae-hyeon Park <jhyeon@gmail.com>
	
	* scm/elatin.scm
	  - (elatin-find-partial-matches): rewritten using C-lib procedures
	    rk-lib-find-partial-seqs and rk-lib-find-seq
	
2010-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-editor.scm
	  - New file.
	* scm/tutcode-dialog.scm
	  - New file.
	
2010-07-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add function to register or purge entry in mazegaki dictionary.
	* scm/Makefile.am
	  - (SCM_FILES): Add tutcode-editor.scm and tutcode-dialog.scm
	* scm/tutcode-key-custom.scm
	  - (tutcode-register-candidate-key, tutcode-purge-candidate-key): New.
	* scm/tutcode-custom.scm
	  - (tutcode-use-recursive-learning?): New.
	* scm/tutcode.scm
	  - (action_tutcode_direct, action_tutcode_hiragana, action_tutcode_katakana,
	    action_tutcode_kigou): Change to support child context.
	  - (tutcode-context-rec-spec): Add child-context, child-type,
	    parent-context, editor and dialog.
	  - (tutcode-context-new): Add initialization for editor and dialog.
	  - (tutcode-find-root-context, tutcode-find-descendant-context): New.
	  - (tutcode-save-personal-dictionary): Add parameter force?.
	  - (tutcode-flush): Change to support child context.
	  - (tutcode-prepare-commit-string):
	    Follow parameter addition of tutcode-save-personal-dictionary.
	  - (tutcode-commit-raw, tutcode-commit): New.
	  - (tutcode-commit-with-auto-help):
	    Change to call tutcode-commit instead of im-commit for editor.
	  - (tutcode-commit-by-label-key-for-kigou-mode): Ditto.
	  - (tutcode-purge-candidate): New.
	  - (tutcode-begin-conversion): Add editor start.
	  - (tutcode-setup-child-context): New.
	  - (tutcode-check-candidate-window-begin): Simplify condition check.
	  - (tutcode-do-update-preedit): New.
	  - (tutcode-update-preedit): Change to support child context.
	  - (tutcode-commit-editor-context): New.
	  - (tutcode-proc-state-on, tutcode-proc-state-off, tutcode-proc-state-kigou,
	    tutcode-proc-state-yomi, tutcode-proc-state-bushu,
	    tutcode-proc-state-converting):
	    Change to support child context.
	  - (tutcode-change-candidate-index):
	    Change to support editor context.
	  - (tutcode-back-to-converting-state): New.
	  - (tutcode-state-has-preedit?): Change to support child context.
	  - (tutcode-key-press-handler): Ditto.
	  - (tutcode-release-handler):
	    Follow parameter addition of tutcode-save-personal-dictionary.
	  - (tutcode-focus-out-handler, tutcode-get-candidate-handler,
	    tutcode-get-candidate-handler, tutcode-set-candidate-index-handler):
	    Change to support child context.
	
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/po/ja.po
	  - Correct mistake.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/po/ja.po
	  - Update.
	* qt4/chardict/qt4.cpp
	  - (KUimCharDict::setupWidgets): Add clear button.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::updateView): Optimize.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::updateView): Fix bug in button state.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::CandidateTableWindow): Call initTable()
	    before createLayout().
	  - (CandidateTableWindow::createLayout): Hide button in this function.
	  - (CandidateTableWindow::updateView): Don't hide button in this function.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::createLayout): Adjust layout by adding spacer.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::updateView):
	    Disable button only when text is empty.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::getPosition): Optimize.
2010-07-18 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::updateView): Fix position of buttons.
	  - (CandidateTableWindow::getPosition): New function.
	* qt4/immodule/candidatetablewindow.h
	  - (CandidateTableWindow::getPosition): New function.
2010-07-17 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::setBlockVisible): Don't show flat button.
	  - (CandidateTableWindow::updateView): set button flat
	    when corresponding value in table is '\0'.
2010-07-17 Konosuke Watanabe <sasugaanija@gmail.com>
	
	* emacs/uim-util.el
	  - (uim-goto-char): Fix bug
	     When two or more windows display a common buffer in the 
	     single frame (ex. type C-x 2) and uim.el shows candidates
	     in one of the window, other windows scroll automatically
	     and display the region same to the current focused buffer. 
	     This bug only appears under Emacs-23.x (probably, it's caused
	     by strange behavior of get-buffer-window function).
	
	
2010-07-17 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-auto-help-cand-str-list):
	    Change each list up to three strings to avoid confusion
	    if complicated bushu conversion which uses three or more bushu is supported
	  - (tutcode-auto-help-update-stroke-alist-with-stroke):
	    Follow the change of tutcode-auto-help-cand-str-list
	
2010-07-17 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change to show bushu conversion candidate which has shorter stroke length
	  on auto help window
	* Change for performance on auto help
	* scm/tutcode.scm
	  - (tutcode-reverse-rule-alist, tutcode-reverse-bushudic-alist): New
	  - (tutcode-bushu-decompose):
	    Change to make and use tutcode-reverse-bushudic-alist for performance
	  - (tutcode-auto-help-bushu-decompose):
	    Follow the change of tutcode-reverse-find-seq.
	    Follow the change of tutcode-auto-help-bushu-decompose-by-subtraction.
	    Follow the change of tutcode-auto-help-bushu-decompose-with-part.
	  - (tutcode-auto-help-bushu-decompose-looking-bushudic): New
	  - (tutcode-auto-help-bushu-decompose-by-subtraction):
	    Change to call tutcode-auto-help-bushu-decompose-looking-bushudic
	  - (tutcode-auto-help-count-stroke-length): New
	  - (tutcode-auto-help-get-stroke-list-by-subtraction):
	    Change to check stroke length before bushu conversion for performance
	  - (tutcode-auto-help-bushu-decompose-with-part): Remove
	  - (tutcode-auto-help-get-stroke-list-with-right-part,
	     tutcode-auto-help-get-stroke-list-with-left-part):
	    Split from tutcode-auto-help-get-stroke-list-with-part
	  - (tutcode-auto-help-get-stroke-list-with-part):
	    Split to tutcode-auto-help-get-stroke-list-with-right-part and
	    tutcode-auto-help-get-stroke-list-with-left-part
	  - (tutcode-reverse-find-seq):
	    Change to make and use tutcode-reverse-rule-alist for performance
	  - (tutcode-auto-help-update-stroke-alist-with-kanji):
	    Follow the change of tutcode-reverse-find-seq
	  - (tutcode-auto-help-get-stroke): Ditto
	
2010-07-16 Etsushi Kato <ek.kato@gmail.com>
	
	* gtk/uim-cand-win-gtk.c
	* helper/candwin-gtk.c
	* helper/pref-gtk-custom-widgets.c
	* helper/im-switcher-gtk.c
	* helper/pref-gtk.c*
	  - Revise r6513.  Attributes name of va_arg is const gchar *.
	
2010-07-16 IWATA Ray <iwata@quasiquote.org>
	
	* helper/pref-gtk.c (create_pref_treeview):
	* helper/pref-gtk-custom-widgets.c (custom_pathname_button_clicked_cb)
	  (choose_olist_clicked_cb, choose_key_clicked_cb):
	* helper/im-switcher-gtk.c (create_switcher_treeview):
	* helper/candwin-gtk.c (candidate_window_init):
	* gtk/uim-cand-win-gtk.c (uim_cand_win_gtk_init):
	  - Cast to pointer, Don't set a null pointer constant.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* make-dist.sh (SSCM_URL) : Update.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/toolbar-common-gtk.c (toolbar_new) : Disable uim-custom
	  for now.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/libtool-version.mk (libuim_custom_version) : An interface
	  has been added.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-custom.h : Add new API uim_custom_save_custom().
	* uim/uim-custom.c
	  - (uim_custom_save) : Fix indent.
	  - (uim_custom_save_custom) : New.  Save a primary group file of
	    which custom variable belongs.
	  - (uim_custom_get_primary_group_by_custom) : New.
	
	* helper/toolbar-common-gtk.c : Save default IM upon IM switch if
	  system-global coverage is set.
	  - (save_default_im) : New.
	  - (is_msg_imsw) : Ditto.
	  - (is_imsw_coverage_system_global) : Ditto.
	  - (get_imsw_im) : Ditto.
	  - (prop_menu_activate) : Save selected IM as a default IM when
	    system global coverage is set.
	  - (toolbar_new) : Call uim_custom_enable().
	* helper/im-switcher-gtk.c : Save default IM upon IM switch if
	  system global coverage is selected.  Add apply button.
	  - (save_default_im) : New.
	  - (change_input_method) : Save IM upon im_change_whole_desktop.
	  - (change_input_method_and_quit) : New.
	  - (create_switcher) : Add apply button.
	  - (main) : Call uim_init() and uim_custom_enable().
	* helper/Makefile.am
	  - (uim_toolbar_applet_LDADD)
	  - (uim_toolbar_gtk_LDADD)
	  - (uim_toolbar_gtk_systray_LDADD)
	  - (uim_im_switcher_gtk_LDADD)
	    - Link appropriately.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/pref-gtk.c : Cosmetic changes.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* xim/uim-xim.1 : s/UIM/uim/
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/chardict/Makefile.am (distclean) : distclean SUBDIRS (apply
	  from  Debian's 14_distclean_qt4.dpatch).
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* Apply patch to handle EOF or I/O error conditions (Debian bug
	  #566791 by Jun Inoue)
		
	* emacs/uim-el-helper-agent.c
	  - Include errno.h.
	  - (read_command) : Change return type and check EOF or error.
	  - (main) : Exit if read_command() failed.
	* emacs/uim-el-helper-agent.h
	  - Update return type of read_command().
	* emacs/uim-el-agent.c (main)
	  - Include errno.h.
	  - (main) : Check EOF or error.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/eggtrayicon.c : Support glib-2 <= 2.13.0.
	
2010-07-15 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/eggtrayicon.c
	* helper/eggtrayicon.h
	  - Support transparent and pixmap background with recent
	    gnome-panel by using code from gtktrayicon-x11.c (bug #28999).
	
2010-07-12 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-auto-help-update-stroke-alist-with-kanji):
	    Move call of tutcode-auto-help-bushu-decompose-by-subtraction
	    to tutcode-auto-help-bushu-decompose
	  - (tutcode-auto-help-bushu-decompose):
	    Add decomposition of bushu1 and kanji which has bushu2
	  - (tutcode-auto-help-get-stroke):
	    Change return list structure
	  - (tutcode-auto-help-get-stroke-list-by-subtraction):
	    Follow change of tutcode-auto-help-get-stroke
	  - (tutcode-auto-help-bushu-decompose-with-part,
	     tutcode-auto-help-get-stroke-list-with-part): New
	  - (tutcode-reverse-find-seq): Add comment
	
2010-07-11 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-key-custom.scm
	  - (tutcode-stroke-help-toggle-key): New
	* scm/tutcode.scm
	  - (tutcode-toggle-stroke-help): New function to temporarily toggle
	    use of stroke help window
	  - (tutcode-proc-state-on, tutcode-proc-state-yomi,
	     tutcode-proc-state-bushu): Add check of tutcode-stroke-help-toggle-key
	
2010-07-08 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ja.po : Update.
	
2010-07-07 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Update.
	
2010-07-07 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/dict-word-list-view-gtk.c
	* scm/dict-socket.scm
	  - Fix typo.
	
2010-07-06 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	  - Remove fuzzy.
	
2010-07-06 Etsushi Kato <ek.kato@gmail.com>
	
	* po/ja.po : Fix fuzzy.
	
2010-07-06 Etsushi Kato <ek.kato@gmail.com>
	
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Update.
	
2010-07-06 Etsushi Kato <ek.kato@gmail.com>
	
	* po/POTFILES.in
	* po/fr.po
	* po/ko.po
	* po/ja.po
	  - Update.
	
2010-07-05 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/candwin-gtk.c
	* gtk/uim-cand-win-gtk.c
	  - (uim_cand_win_gtk_create_sub_window) : Set limit of y
	    position.
	
	
2010-07-05 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/candwin-gtk.c
	  - (UIM_ANNOTATION_WIN_HEIGHT) : Modified.
	  - (uim_cand_win_gtk_create_sub_window) : Fix typo.
	  - (uim_cand_win_gtk_layout_sub_window) : Set window y position
	    at the selected row.
	* gtk/uim-cand-win-gtk.c
	  - (UIM_ANNOTATION_WIN_HEIGHT) : Modified.
	  - (uim_cand_win_gtk_layout_sub_window) : Set window y position
	    at the selected row.
	
2010-07-04 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-check-auto-help-window-begin,
	     tutcode-auto-help-update-stroke-alist): Rewrite using recursive call
	  - (tutcode-auto-help-update-stroke-alist-with-kanji,
	     tutcode-auto-help-update-stroke-alist-with-stroke,
	     tutcode-auto-help-update-stroke-alist-with-key): New function
	
2010-07-04 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-auto-help-cand-str-list): Add list for bushu
	  - (tutcode-check-auto-help-window-begin):
	    Extract help-one to tutcode-auto-help-update-stroke-alist
	  - (tutcode-auto-help-update-stroke-alist):
	    New function extracted from tutcode-check-auto-help-window-begin.
	    Change to show bushu conversion candidates
	  - (tutcode-auto-help-bushu-decompose,
	     tutcode-auto-help-get-stroke
	     tutcode-auto-help-bushu-decompose-by-subtraction,
	     tutcode-auto-help-get-stroke-list-by-subtraction):
	    New function to show bushu conversion candidates on auto help
	
2010-07-03 IWATA Ray <iwata@quasiquote.org>
	
	* scm/ajax-ime.scm (ajax-ime-init-handler, ajax-ime-url-alist):
	* scm/ajax-ime-custom.scm (ajax-ime-url):
	  - Drop ChaIME.
	
2010-07-03 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* gtk/gtk-im-uim.c
	  - (cand_activate_cb): Change value of accel_enumeration_hint
	    for table style candidate window workaround (r6443)
	    to avoid assertion failure in uim_get_candidate()
	* xim/canddisp.cpp
	  - (Canddisp::adjust_display_limit): Ditto
	* scm/tutcode.scm
	  - (tutcode-get-candidate-handler): Ditto
	
2010-07-02 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-custom.scm (annotation-agent) : Update description.
	
2010-06-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - Update some comments
	  - (tutcode-check-stroke-help-window-begin):
	    Change to skip needless candidates
	
2010-06-27 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/abstractcandidatewindow.cpp
	  - (AbstractCandidateWindow::setCandidates): Cosmetic change.
	  - (AbstractCandidateWindow::setPage): Move from CandidateWindow
	    and CandidateTableWindow.
	* qt4/immodule/abstractcandidatewindow.h
	  - (AbstractCandidateWindow): Add updateView() and updateSize().
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::setTable): Rename to updateSize().
	  - (CandidateTableWindow::setPage): Move to AbstractCandidateWindow.
	  - (CandidateTableWindow::updateView): New function.
	* qt4/immodule/candidatetablewindow.h
	  - Ditto.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setPage): Move to AbstractCandidateWindow.
	  - (CandidateWindow::updateView, CandidateWindow::updateSize):
	    New function.
	* qt4/immodule/candidatewindow.h
	  - Ditto.
2010-06-27 IWATA Ray <iwata@quasiquote.org>
	
	* configure.ac:
	  - Skip pkg-config checking for remote-prime-server-only environment.
	
2010-06-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-check-stroke-help-window-begin):
	    Fix for multiple candidates of same sequence.
	    Change candidate order for normal candwin
	
2010-06-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-check-stroke-help-window-begin):
	    Fix to use tutcode-nr-candidate-max-for-kigou-mode for normal candwin
	  - (tutcode-check-auto-help-window-begin): Ditto
	
2010-06-27 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-heading-label-char-list-for-stroke-help): Remove
	  - (tutcode-check-stroke-help-window-begin):
	    Rewrite to use rk-lib-find-partial-seqs
	  - (tutcode-check-auto-help-window-begin):
	    Add null check of label-cands-alist before map
	
2010-06-26 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add auto help for tutcode
	* scm/tutcode-custom.scm
	  - (tutcode-use-auto-help-window?): New
	* scm/tutcode.scm
	  - (tutcode-auto-help-cand-str-list): New variable
	  - (tutcode-commit-with-auto-help): New function
	  - (tutcode-check-auto-help-window-begin): New function
	  - (tutcode-commit-by-label-key): Change to use tutcode-commit-with-auto-help
	  - (tutcode-proc-state-converting): Ditto
	  - (tutcode-set-candidate-index-handler): Ditto
	  - (tutcode-begin-conversion): Change to use tutcode-commit-with-auto-help.
	    Follow the value type change of candidate-window
	  - (tutcode-proc-state-bushu):
	    Add call of tutcode-check-auto-help-window-begin.
	    Follow the value type change of candidate-window
	  - (tutcode-get-candidate-handler): Add check of tutcode-use-auto-help-window?
	
	  - (tutcode-bushu-decompose): Change to call tutcode-reverse-find-seq
	  - (tutcode-reverse-find-seq): New function
	
	  - (candidate-window): Change value type from boolean to symbol
	  - (tutcode-begin-kigou-mode):
	    Follow the value type change of candidate-window
	  - (tutcode-check-candidate-window-begin): Ditto
	  - (tutcode-check-stroke-help-window-begin): Ditto
	  - (tutcode-proc-state-kigou): Ditto
	  - (tutcode-change-candidate-index): Ditto
	  - (tutcode-reset-candidate-window): Ditto
	
2010-06-23 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::setIndex):
	    Override AbstractCandidateWindow::setIndex().
	    Call updateLabel() inside this function.
	* qt4/immodule/candidatetablewindow.h
	  - (CandidateTableWindow): Ditto.
2010-06-23 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - Sort position of function definitions.
	* qt4/immodule/candidatetablewindow.h
	  - Sort position of function declarations.
2010-06-22 IWATA Ray <iwata@quasiquote.org>
	
	* scm/annotation-filter.scm (annotation-filter-open-unix-domain-socket)
	  (annotation-filter-open-with-tcp-socket)
	  (annotation-filter-open-with-pipe):
	  - New function.
	  (annotation-filter-init):
	  - Check server type.
	  (annotation-filter-release):
	  - Close ports.
	* scm/im-custom.scm (annotation-filter-server-setting?)
	  (annotation-filter-unix-domain-socket-path)
	  (annotation-filter-tcpserver-name)
	  (annotation-filter-tcpserver-port):
	  - Add new custom variables.
	
2010-06-22 IWATA Ray <iwata@quasiquote.org>
	
	* scm/socket.scm (tcp-connect):
	  - Return #f when connect failed, not list.
	
2010-06-22 IWATA Ray <iwata@quasiquote.org>
	
	* scm/annotation-filter.scm:
	  - New file.
	* scm/Makefile.am (SCM_FILES):
	  - Add annotation-filter.scm
	* scm/im-custom.scm (annotation-filter-command):
	  - Add custom value.
	
2010-06-22 IWATA Ray <iwata@quasiquote.org>
	
	* scm/annotation.scm (annotation-load):
	  - Add annotation- prefix.
	* scm/im-custom.scm (eb-enable-for-annotation?)
	  (annotation-dict-server, annotation-dict-servname)
	  (annotation-dict-database, annotation-dict-cache-words):
	* scm/annotation-eb.scm (annotation-eb-init)
	  (annotation-eb-get-text, annotation-eb-release):
	* scm/annotation-dict.scm (annotation-dict-get-text-from-server)
	  (annotation-dict-get-text-with-cache, annotation-dict-get-text)
	  (annotation-dict-release):
	  - Ditto.
	
2010-06-21 IWATA Ray <iwata@quasiquote.org>
	
	* scm/dict-socket.scm:
	* scm/annotation-dict.scm:
	  - New file.
	* scm/Makefile.am (SCM_FILES):
	  - Add dict-socket.scm and annotation-dict.scm.
	* scm/im-custom.scm (annotation-agent):
	  - Add dict.
	  (dict-server, dict-servname, dict-database, dict-cache-words):
	  - Add custom value.
	
	  Add supporting rfc2229 dict protocol.
	
2010-06-21 IWATA Ray <iwata@quasiquote.org>
	
	* scm/look.scm (look-context-new, look-release-handler):
	  - Change calling eb function to annotate one.
	  (look-format-annotation):
	  - Rename.
	  (look-update-preedit):
	  - Sync.
	* scm/look-custom.scm (look-use-annotation?)
	  (look-annotation-show-lines):
	  - Rename "-eb-" to "-annotation-".
	  (look-eb-dict-path):
	  - Remove.
	
	  Change to use annotation framework.
	
2010-06-21 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-eb.c (uim_eb_destroy) : Finalize book.
	
2010-06-21 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-scm (get-candidate) : Fix to use IM encoding to retrieve
	  annotation text.
	* scm/annotation.scm
	  - (annotation-get-text) : Use encoding argument.
	  - (annotation-agent-reset) : Ditto.
	* uim/eb.c
	  - (c_uim_eb_search_text) : Use encoding argument.
	  - (uim_plugin_instance_init) : Follow the change.
	* uim/uim-eb.c
	  - (go_text_eb) : Use encoding.
	  - (uim_eb_search_text) : Ditto.
	* uim/uim-eb.h : Update declaration of uim_eb_search_text.
	* scm/look.scm (look-format-eb) : Follow the change in
	  eb-search-text.
	* scm/annotation-eb.scm (eb-get-text) : Ditto.
	
2010-06-21 IWATA Ray <iwata@quasiquote.org>
	
	* uim/uim-eb.c (uim_eb_close):
	  - Oops.
	
2010-06-21 IWATA Ray <iwata@quasiquote.org>
	
	* uim/uim-eb.c (uim_eb_init, uim_eb_finalize):
	  - New functions.
	* uim/uim-eb.h:
	  - Add prototypes.
	* uim/uim-eb.c (uim_eb_new):
	* uim/uim-eb.c (uim_eb_destroy):
	  - Remove init/finalize().
	* uim/eb.c (uim_plugin_instance_init):
	* uim/eb.c (uim_plugin_instance_quit):
	  - Add init/finalize().
	
	 eb_initialize_library/eb_finalize_library() are called only once.
	
2010-06-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - (CandidateTableWindow::CandidateTableWindow): Cosmetic change.
	  - (initTableInternal): Use uim_scm_c_str to convert list to array.
2010-06-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatetablewindow.cpp
	  - Add TABLE_NR_CELLS.
	  - (CandidateTableWindow::~CandidateTableWindow):
	    New destructor to free table.
	  - (initTableInternal): New function.
	  - (CandidateTableWindow::initTable): Call initTableInternal
	    to add support for "uim-candwin-prog-layout".
	* qt4/immodule/candidatetablewindow.h
	  - (CandidateTableWindow): Add destructor.
2010-06-20 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-check-stroke-help-window-begin): Fix assertion `len' failure
	    in uim_cand_win_tbl_gtk_set_page when type key which is
	    not in tutcode-heading-label-char-list-for-stroke-help
	
2010-06-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/Makefile.am
	  - (EXTRA_DIST): Add candidatetablewindow.h and candidatetablewindow.cpp.
	* qt4/immodule/candidatetablewindow.cpp
	  - New file.
	* qt4/immodule/candidatetablewindow.h
	  - New file.
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::createCandidateWindow):
	    Use CandidateTableWindow when the value of "uim-candwin-prog"
	    is "uim-candwin-tbl".
	* qt4/immodule/quiminputcontextplugin.pro.in
	  - (HEADERS): Add candidatetablewindow.h.
	  - (SOURCES): Add candidatetablewindow.cpp.
2010-06-20 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* gtk/uim-cand-win-tbl-gtk.c
	  - (uim_cand_win_tbl_gtk_dispose):
	    Remove redundant NULL check before g_free().
	* fep/callbacks.c
	  - (commit_cb, free_preedit): Remove redundant NULL check before free().
	* fep/draw.c
	  - (erase_preedit, set_line2width): Ditto.
	* gtk/compose.c
	  - (parse_compose_line): Ditto.
	* gtk/gtk-im-uim.c
	  - (im_uim_create_cand_win_gtk): Ditto.
	* gtk/uim-cand-win-tbl-gtk.c
	  - (init_labelchar_table): Ditto.
	* helper/dict-word.c
	  - (word_append): Ditto.
	* qt/immodule-quiminputcontext_compose.cpp
	  - (QUimInputContext::parse_compose_line): Ditto.
	* qt4/immodule/quiminputcontext_compose.cpp
	  - (QUimInputContext::parse_compose_line): Ditto.
	* replace/bsd-poll.c
	  - (poll): Ditto.
	* xim/compose.cpp
	  - (XimIM::parse_compose_line): Ditto.
	* xim/convdisp.cpp
	  - (ConvdispOs::compose_preedit_array): Ditto.
	* xim/ximic.cpp
	  - (icxatr::getSize): Ditto.
	* xim/ximim.cpp
	  - (XimIM_impl::changeContext, XimIM::FreeComposeTree,
	    XimIM::get_encoding): Ditto.
	* xim/ximserver.cpp
	  - (XimServer::getIMLang): Ditto.
2010-06-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add feature to show candidate table on next key for tutcode
	
	* scm/tutcode-custom.scm
	  - (tutcode-use-stroke-help-window?): New custom variable
	
	* scm/tutcode.scm
	  - (tutcode-heading-label-char-list-for-stroke-help): New variable
	  - (tutcode-context-rec-spec): Add stroke-help
	  - (tutcode-check-stroke-help-window-begin): New function
	  - (tutcode-proc-state-on): Add call of tutcode-check-stroke-help-window-begin
	  - (tutcode-proc-state-yomi): Ditto
	  - (tutcode-proc-state-bushu): Ditto
	  - (tutcode-get-candidate-handler): Add return of stroke-help
	
2010-06-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Replace labelchar_table with tbl_cell2label,
	  LABELCHAR_NR_COLUMNS with TABLE_NR_COLUMNS,
	  LABELCHAR_NR_ROWS with TABLE_NR_ROWS,
	  LABELCHAR_NR_CELLS with TABLE_NR_CELLS,
	  INDEX with CELLINDEX
	
	* gtk/uim-cand-win-tbl-gtk.h
	  - (_UIMCandWinTblGtk): Rename labelchar_table to tbl_cell2label
	* gtk/uim-cand-win-tbl-gtk.c
	  - (LISTSTORE_NR_COLUMNS): Rename from NR_COLUMNS
	  - (TABLE_NR_COLUMNS): Rename from LABELCHAR_NR_COLUMNS
	  - (TABLE_NR_ROWS): Rename from LABELCHAR_NR_ROWS
	  - (TABLE_NR_CELLS): Rename from LABELCHAR_NR_CELLS
	  - (CELLINDEX): Rename from INDEX
	  - (default_tbl_cell2label): Rename from default_labelchar_table
	  - (init_tbl_cell2label): Rename from init_labelchar_table
	
	* helper/candwin-tbl-gtk.c
	  - (_UIMCandidateWindow): Rename labelchar_table to tbl_cell2label
	  - (LISTSTORE_NR_COLUMNS): Rename from NR_COLUMNS
	  - (TABLE_NR_COLUMNS): Rename from LABELCHAR_NR_COLUMNS
	  - (TABLE_NR_ROWS): Rename from LABELCHAR_NR_ROWS
	  - (TABLE_NR_CELLS): Rename from LABELCHAR_NR_CELLS
	  - (CELLINDEX): Rename from INDEX
	  - (default_tbl_cell2label): Rename from default_labelchar_table
	  - (init_tbl_cell2label): Rename from init_labelchar_table
	
2010-06-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* helper/candwin-tbl-gtk.c
	  - (clear_all_buttons): Fix not to skip clearing unused buttons,
	    otherwise button becomes too thin on candwin-tbl-gtk
	
2010-06-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* gtk/uim-cand-win-tbl-gtk.c
	  - (button_clicked): Fix not to use relief to check whether button has cand
	  - (is_empty_block): Ditto
	* helper/candwin-tbl-gtk.c
	  - (button_clicked): Ditto
	  - (is_empty_block): Ditto
	
2010-06-19 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* gtk/uim-cand-win-tbl-gtk.c
	  - (init_labelchar_table): Add uim_scm_strp() check before uim_scm_c_str()
	* helper/candwin-tbl-gtk.c
	  - (init_labelchar_table): Add commented out uim_scm_strp() check
	    for investigation (instead of ignoreing silently in uim-cand-win-tbl-gtk.c)
	
2010-06-18 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change to skip needless button clearing for already cleaned buttons,
	  because many buttons are not used on some heading label char list.
	
	* gtk/uim-cand-win-tbl-gtk.c
	  - (uim_cand_win_tbl_gtk_init): Change to call clear_button on button init
	  - (clear_button): New function split from clear_buttons
	  - (clear_all_buttons): Rename from clear_buttons.
	    Change to call clear_button
	  - (assign_cellbutton): Change labelchar_table argument to const.
	    Change argument buttons to first argument
	  - (update_table_button): Change labelchar_table argument to const.
	    Follow the change of clear_buttons rename.
	    Follow the change of argument order of assign_cellbutton
	
	* helper/candwin-tbl-gtk.c
	  - (candidate_window_init): Change to call clear_button on button init
	  - (clear_button): New function split from clear_buttons
	  - (clear_all_buttons): Rename from clear_buttons.
	    Change to call clear_button
	  - (assign_cellbutton): Change labelchar_table argument to const.
	    Change argument buttons to first argument
	  - (update_table_button): Change labelchar_table argument to const.
	    Follow the change of clear_buttons rename.
	    Follow the change of argument order of assign_cellbutton
	
2010-06-17 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Fix the table style candidate window to place candidates
	  which have empty or duplicate heading label on free cell [uim-ja 236]
	
	* gtk/uim-cand-win-tbl-gtk.c
	  - (BLOCK_LR_NR_CELLS): New
	  - (BLOCK_LRS_NR_CELLS): New
	  - (assign_cellbutton): Rename from get_row_column()
	    and add function to find free cell
	    if specified heading label is empty, not found or already used
	  - (update_table_button): Add argument display_limit for assign_cellbutton().
	    Move update of cand_index_in_page to assign_cellbutton().
	    Change to update button only needed.
	    Rename hasNext to has_next.
	  - (uim_cand_win_tbl_gtk_set_page): Follow the change of argument addition
	    to update_table_button
	
	* helper/candwin-tbl-gtk.c
	  - (BLOCK_LR_NR_CELLS): New
	  - (BLOCK_LRS_NR_CELLS): New
	  - (assign_cellbutton): Rename from get_row_column()
	    and add function to find free cell
	    if specified heading label is empty, not found or already used
	  - (update_table_button): Add argument display_limit for assign_cellbutton().
	    Move update of cand_index_in_page to assign_cellbutton().
	    Change to update button only needed.
	    Rename hasNext to has_next.
	  - (uim_cand_win_gtk_set_page): Follow the change of argument addition
	    to update_table_button
	
2010-06-16 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change usage of GtkListStore in uim-cand-win-tbl-gtk.c/candwin-tbl-gtk.c
	  to same as uim-cand-win-gtk.c/candwin-gtk.c
	  to reduce override functions and to remember candidate index in page.
	
	* gtk/uim-cand-win-gtk.h
	  - (_UIMCandWinGtkClass): Remove set_candidates and set_page_candidates
	    to make non-virtual
	* gtk/uim-cand-win-gtk.c
	  - (uim_cand_win_gtk_real_set_candidates): Remove
	  - (uim_cand_win_gtk_real_set_page_candidates): Remove
	  - (uim_cand_win_gtk_class_init): Remove override
	    of set_candidates and set_page_candidates
	* gtk/uim-cand-win-tbl-gtk.h
	  - (uim_cand_win_tbl_gtk_set_candidates): Remove
	  - (uim_cand_win_tbl_gtk_set_page_candidates): Remove
	* gtk/uim-cand-win-tbl-gtk.c
	  - (uim_cand_win_tbl_gtk_class_init): Remove override
	    of set_candidates and set_page_candidates
	  - (set_candidate): Remove
	  - (uim_cand_win_tbl_gtk_set_candidates): Remove
	  - (uim_cand_win_tbl_gtk_set_page_candidates): Remove
	  - (clear_buttons): New function
	  - (update_table_button): Follow the change of GtkListStore usage
	
	* helper/candwin-tbl-gtk.c
	  - (set_candidate): Remove
	  - (candwin_activate): Change usage of GtkListStore
	  - (uim_cand_win_gtk_set_page_candidates): Ditto
	  - (clear_buttons): New function
	  - (update_table_button): Follow the change of GtkListStore usage
	
2010-06-16 Etsushi Kato <ek.kato@gmail.com>
	
	* pixmaps/zm.svg : Update.
	
2010-06-16 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/generic.scm
	  - (generic-update-preedit) : Show partial rk when only partial
	    candidates are found.
	  - (generic-commit) : Don't commit partial candidate unless
	    selected.
	  - (generic-proc-input-state-with-preedit) : Ditto.
	  - (generic-proc-specific-multi-cand-input-state) : Ditto.	
	  - (generic-update-input-state-cands) : Don't select candidate
	    unless exact matched one is found.
	  - (generic-update-multi-cand-state-cands) : Ditto.
	  - (generic-proc-multi-cand-input-state) : Change behavior upon
	    rk-push-key! is not #f.
	  - (generic-focus-out-handler) : Use generic-commit.
	
2010-06-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/Makefile.am
	  - (EXTRA_DIST):
	    Add abstractcandidatewindow.h and abstractcandidatewindow.cpp.
2010-06-14 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/abstractcandidatewindow.cpp
	  - New file.
	* qt4/immodule/abstractcandidatewindow.h
	  - New file.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow): Inherit AbstractCandidateWindow.
	* qt4/immodule/candidatewindow.h
	  - Ditto.
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::QUimInputContext, QUimInputContext::savePreedit):
	    Use QUimInputContext::createCandidateWindow().
	  - (QUimInputContext::createCandidateWindow): New function.
	* qt4/immodule/quiminputcontext.h
	  - (QUimInputContext::createCandidateWindow): New function.
	* qt4/immodule/quiminputcontextplugin.pro.in
	  - Add abstractcandidatewindow.h and abstractcandidatewindow.cpp.
2010-06-14 Etsushi Kato <ek.kato@gmail.com>
	
	* qt/immodule-quiminputcontext_compose.cpp
	  - (QUimInputContext::get_mb_string) : Fix to use a right
	    unicode character for keysym.
	* qt4/immodule/quiminputcontext_compose.cpp
	  - (KeySymToUcs4) : Revert r6439.
	  - (QUimInputContext::get_mb_string) : Fix to use a right
	    unicode character for keysym.
	  - (keysym_to_unicode_680_6ff) : Revert r6439.
	  - (keysym_to_unicode_7a1_7f9) : Ditto.
	  - (keysym_to_unicode_12a1_12fe) : Ditto.
	  - (keysym_to_unicode_14a1_14ff) : Ditto.
	  - (keysym_to_unicode_15d0_15f6) : Ditto.
	  - (keysym_to_unicode_16a0_16f6) : Ditto.
	
2010-06-14 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/ct.scm : Fix typo in comment.
	
2010-06-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Change to be able to commit a candidate by clicking a button
	  on table style candidate window
	
	* gtk/uim-cand-win-tbl-gtk.c
	  - (struct index_button): New struct
	  - (button_clicked): New function which emits "index-changed" signal
	  - (uim_cand_win_tbl_gtk_init): Add initialization of index_button.
	    Add "clicked" signal connection for each button
	  - (uim_cand_win_tbl_gtk_dispose): Add free of index_button
	
	  - (set_candidate): Add parameter idx.
	    Add update of cand_index_in_page of index_button
	  - (uim_cand_win_tbl_gtk_set_candidates): Follow the parameter addition
	    of set_candidate()
	  - (uim_cand_win_tbl_gtk_set_page_candidates): Ditto
	
	  - (get_button): New function
	  - (update_table_button): Change to use get_button()
	  - (is_empty_block): Ditto
	  - (show_table): Ditto
	
	* helper/candwin-tbl-gtk.c
	  - (struct index_button): New struct
	  - (button_clicked): Add implementation to emit "index-changed" signal
	  - (cb_table_view_destroy): Add free of index_button
	  - (candidate_window_init): Add initialization of index_button
	
	  - (set_candidate): Add parameter idx.
	    Add update of cand_index_in_page of index_button
	  - (candwin_activate): Follow the parameter addition
	    of set_candidate()
	  - (uim_cand_win_gtk_set_page_candidates): Ditto
	
	  - (get_button): New function
	  - (update_table_button): Change to use get_button()
	  - (is_empty_block): Ditto
	  - (show_table): Ditto
	
	* scm/tutcode.scm
	  - (tutcode-set-candidate-index-handler): Change to commit candidate
	
2010-06-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add workaround to adjust display_limit for table style candidate window
	  [uim-ja 236]
	* scm/tutcode.scm
	  - (tutcode-get-candidate-handler): Add adjustment of tutcode-nr-candidate-max
	    for table style candidate window
	* gtk/gtk-im-uim.c
	  - (cand_activate_cb): Add adjustment of display_limit for UIMCandWinTblGtk
	* xim/ximserver.cpp
	  - (InputContext::candidate_activate): Add adjustment of display_limit
	    for uim-candwin-tbl-gtk
	* xim/canddisp.cpp
	  - (Canddisp::adjust_display_limit): New function
	* xim/canddisp.h
	  - (Canddisp): Add adjust_display_limit()
	
2010-06-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add new table style candidate window for GTK+ immodule [uim-ja 234]
	* gtk/uim-cand-win-tbl-gtk.c
	  - New file. Add UIMCandWinTblGtk which inherits from UIMCandWinGtk
	* gtk/uim-cand-win-tbl-gtk.h
	  - New file
	* gtk/gtk-im-uim.c
	  - (im_uim_create_cand_win_gtk): New function
	* gtk/uim-cand-win-gtk.h
	  - (_UIMCandWinGtkClass): Add member functions
	    to override in UIMCandWinTblGtkClass
	* gtk/uim-cand-win-gtk.c
	  - (set_candidates, set_page_candidates, set_index, set_page):
	    Change to virtual member functions to override in UIMCandWinTblGtk
	  - (uim_cand_win_gtk_update_label): Rename from update_label
	    to use in uim-cand-win-tbl-gtk.c
	* gtk/Makefile.am
	  - (IM_UIM_SOURCES): Add uim-cand-win-tbl-gtk.c uim-cand-win-tbl-gtk.h
	
2010-06-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* Add new table style candidate window for uim-xim [uim-ja 234]
	* helper/candwin-tbl-gtk.c
	  - New file
	* helper/Makefile.am
	  - (libexec_PROGRAMS): Add uim-candwin-tbl-gtk
	
2010-06-13 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-kigoudic.scm
	  - (tutcode-kigoudic): Add kanji
	
2010-06-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext_compose.cpp
	  - (KeySymToUcs4): Remove.
	  - (Compose::handle_qkey, Compose::handleKey, nexttoken, modmask,
	     QUimInputContext::TransFileName, QUimInputContext::get_encoding,
	     QUimInputContext::get_lang_region,
	     QUimInputContext::ParseComposeStringFile,
	     QUimInputContext::parse_compose_line,
	     QUimInputContext::create_compose_tree,
	     QUimInputContext::get_compose_filename):
	    Postpone variable definitions as long as possible.
	  - (keysym_to_unicode_680_6ff, keysym_to_unicode_12a1_12fe,
	     keysym_to_unicode_14a1_14ff, keysym_to_unicode_15d0_15f6,
	     keysym_to_unicode_16a0_16f6): Remove.
2010-06-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/qt4.cpp
	  - (KUimCharDict::slotCharSelected):
	    Replace double quote with single one for efficiency.
2010-06-11 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/generic.scm
	  - (generic-update-multi-cand-state-cands) : Bug fix.
	
2010-06-11 Etsushi Kato <ek.kato@gmail.com>
	
	- Enable showing prediction candidates in generic IM.
	
	* uim/rk.c
	  - (rk_find_partial_seqs) : New.  Return all partially matching
	    sequences.
	  - (uim_init_rk_subrs) : Export rk-lib-find-partial-seqs.
	* scm/rk.scm
	  * Mostly indentation fix.
	  * Add expect-seq, expect-key-for-seq?
	    find-cands-incl-minimal-partial into the context.
	  * Update comments.
	  - (rk-context) : Add new members,
	    find-cands-incl-minimal-partial, expect-seq,
	    expect-key-for-seq?.
	  - (rk-context-new) : Set find-cands-incl-minimal-partial,
	    expect-seq, expect-key-for-seq? here depending on the rule or
	    table.
	  - (rk-find-longest-back-match) : Fix indentation.
	  - (rk-find-longest-head) : Ditto.
	  - (rk-check-back-commit) : Ditto.
	  - (rk-partial?) : Ditto.
	  - (rk-current-seq) : Ditto.
	  - (rk-backspace) : Ditto.
	  - (rk-delete) : Ditto.	
	  - (rk-merge-seqs) : Ditto.
	  - (rk-proc-tail) : Ditto.
	  - (rk-proc-end-seq) : Ditto.
	  - (rk-expect) : Use expect-seq member.  Fix indent.
	  - (rk-expect-key?) : Use expect-key-for-seq? member.  Fix
	    indent.
	  - (rk-push-key-back-match) : Fix indent.
	  - (rk-push-key-front-match) : Ditto.
	  - (rk-peek-terminal-match) : Ditto.
	  - (rk-push-key-last!) : Ditto.
	  - (rk-push-key!) : Ditto.
	  - (rk-pending) : Ditto.
	  - (rk-cands-with-minimal-partial) : New API.
	  - (rk-find-cands-incl-minimal-partial) : New.
	* scm/ct.scm
	  - (ct-find-cands-incl-minimal-partial) : New.
	* scm/generic.scm
	  * Show predicion candidates when
	    generic-show-prediction-candidates? is #t.
	  * Merge converting-state into multi-cand-input and/or
	    input-state.
	  * Use generic-context-cands record as a list of pairs which
	    consisted from candidate word and expected key when prediction
	    is used.
	  - (generic-context-rec-spec)
	    - Remove converting record.
	  - (generic-context-flush) : Follow the change.
	  - (generic-update-preedit) : Ditto.
	  - (generic-commit) : Ditto.
	  - (generic-commit-by-numkey) : Ditto.
	  - (generic-proc-input-state-with-preedit) : Ditto.
	  - (generic-proc-multi-cand-input-state) : Ditto.	
	  - (generic-proc-specific-multi-cand-input-state)
	    - Ditto.
	    - Check whether numeric key is expected for
	      generic-commit-candidate-by-numeral-key?.
	  - (generic-proc-converting-state) : Rename to
	    generic-handle-convert-key
	  - (generic-handle-convert-key)
	    - Renamed from generic-proc-converting-state.
	    - Follow the removal of generic-context-converting.
	    - Check whether numeric key is expected for rk while checking
	      generic-commit-candidate-by-numeral-key?
	    - Remove redundant code.
	  - (generic-key-press-handler) : Follow the removal of
	    generic-context-converting.
	  - (generic-focus-out-handler) Follow the change of
	    generic-context-cands.
	  - (generic-get-candidate-handler) : Ditto.  If cands contains
	    prediction candidates, show expected key in addition to the
	    candidate.
	  - (generic-flatten) : New.
	  - (generic-update-input-state-cands) : Show partially matching
	    candidates if requested.
	  - (generic-update-multi-cand-state-cands) : Ditto.  Remove
	    unused code.
	* scm/generic-custom.scm (generic-show-prediction-candidates?) :
	  New custom variable.  #t by default.
	
2010-06-10 Etsushi Kato <ek.kato@gmail.com>
	
	* fep/callbacks.c (set_candidate) : Add sanity check.
	
2010-06-10 Etsushi Kato <ek.kato@gmail.com>
	
	* fep/callbacks.c (callbacks_winch) : Bug fix.
	
2010-06-10 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/ct.scm
	  - (ct-lib-expect-key-for-seq?) : New.  Implements equivalent
	    function in rk.c.
	  - (ct-lib-expect-seq) : Ditto.
	
2010-06-10 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/ct.scm
	  - (ct-lib-find-partial-seq) : Bug fix.  This doesn't affect any
	    result though.
	  - Update comments about this file.
	
2010-06-10 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/ipa-x-sampa.scm :  Use front match.  Fix in r716 was bogus.
	  And was fixed in rk sometime long ago from then to now.
	
2010-06-09 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/rk.scm (rk-push-key-front-match) : Simplify.
	
2010-06-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.h
	  - Cosmetic changes.
	  - (PreeditSegment): Define as struct because all members are public.
	  - (PreeditSegment::PreeditSegment): Use "this" keyword.
2010-06-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::QUimInputContext): Remove parentheses.
	    This is just a cosmetic change.
2010-06-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/common-uimstateindicator.cpp
	  - (QHelperToolbarButton::mousePressEvent):
	    Call QToolButton::mousePressEvent() when menu() returns 0.
	    This enables a button without a menu to work properly.
2010-06-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/plugin.cpp
	  - (UimInputContextPlugin::displayName):
	    Remove language name from display name.
	    languages( key ) [ 0 ] always returns "ja"
	    even when the current IM is a Chinese one
	    and it is not so useful to display the language of the current IM.
2010-06-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* NEWS
	  - Add bug fix (#13910).
	* configure.ac
	  - Unmark Qt4 immodule as experimental
	    because both bug #13910 and #13911 were fixed.
2010-06-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::QUimInputContext): Remove m_imname.
	  - (QUimInputContext::createUimContext): Ditto.
	  - (QUimInputContext::savePreedit):
	    Use uim_get_current_im_name() instead of m_imname
	    because m_imname is always the same value.
	* qt4/immodule/quiminputcontext.h
	  - (QUimInputContext): Remove m_imname.
2010-06-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::reloadUim): Remove this unused function.
	* qt4/immodule/quiminputcontext.h
	  - Ditto.
2010-06-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminfomanager.h
	  - (UimInputContextPlugin::create): Follow change in QUimInputContext.
	* qt4/immodule/quiminfomanager.cpp
	  - (QUimInfoManager::getUimInfo): Mark this getter as const.
	  - (QUimInfoManager::imLang):
	    * Mark this function as const.
	    * Make "i" and "n" loop variables.
	* qt4/immodule/quiminfomanager.h
	  - (QUimInfoManager::getUimInfo): Mark this getter as const.
	  - (QUimInfoManager::imLang): Mark this function as const.
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::QUimInputContext):
	    * Remove 2nd argument "lang".
	    * Sort variables in list.
	  - (QUimInputContext::~QUimInputContext): Delete contents of hashes.
	  - (QUimInputContext::setFocus): Restore preedit text if it exists.
	  - (QUimInputContext::unsetFocus): Don't call reset().
	    reset() is always called on focus out.
	  - (QUimInputContext::reset): Keep preedit text
	    when preedit text exists and isPreeditPreservationEnabled() is true.
	  - (QUimInputContext::language): Return language of input method.
	    Without this change, this function always returns "ja"
	    and isPreeditPreservationEnabled() always returns true.
	  - (QUimInputContext::savePreedit): New function.
	  - (QUimInputContext::restorePreedit): New function.
	* qt4/immodule/quiminputcontext.h
	  - Define WORKAROUND_BROKEN_RESET_IN_QT4 to enable hack to fix bug #13910.
	  - (QUimInputContext):
	    * Remove 2nd argument "lang" in constructor.
	    * Add savePreedit() and restorePreedit().
2010-06-04 IWATA Ray <iwata@quasiquote.org>
	
	* tables/Makefile.am:
	  - Use LN_S.
	
2010-06-03 Etsushi Kato <ek.kato@gmail.com>
	
	- Enable per-page candidates handling in uim-fep.
	
	* fep/callbacks.c
	  - (end_callbacks) : Add sanity check.
	  - (activate_cb) : Just setup candidate array and first page.
	  - (select_cb) : Update candidate array when new page is
	    selected.
	  - (shift_page_cb) : Ditto.
	  - (init_candidate) : New.  Initialize candidate array here.
	  - (make_page_strs) : Now just setup one page instead of total
	    pages.
	
2010-06-03 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/Makefile.am : Don't install wb86.scm and zm.scm.
	
2010-06-02 Etsushi Kato <ek.kato@gmail.com>
	
	- Enable generic IM to use composing text tables generated from
	  scm file.
	
	* configure.ac (AC_CONFIG_FILES) : Add table/Makefile
	* tables/Makefile.am : New.
	* scm/rk.scm
	  - (rk-context) : Add find-seq and find-partial-seq member.
	  - (rk-context-new) : Set find-seq and find-partial-seq according
	    to rule type to enable use of composing table.
	  - (rk-find-longest-back-match) : Follow the change.
	  - (rk-find-longest-head) : Ditto.
	  - (rk-check-back-commit) : Ditto.
	  - (rk-partial-seq?) : Ditto.
	  - (rk-current-seq) : Ditto.
	  - (rk-proc-tail) : Ditto.
	  - (rk-push-key-front-match) : Ditto.
	  - (rk-push-key-last!) : Ditto.
	* scm/Makefile.am (SCM_FILES) : Add ct.scm.
	* scm/ct.scm : New.  Provide rk-lib-find-seq and
	  rk-lib-find-partial-seq equivalent functions using uim-look.
	* scm/xmload.scm
	  - (zm-init-handler) : Use generated composing table.
	  - (wb86-init-handler) : Ditto.
	* Makefile.am (SUBDIRS) : Add tables directory.
	
2010-06-02 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plugin.scm (find-module-lib-path) : Removed.  Obsoleted
	  by r6371.
	
2010-06-02 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-switcher.scm (imsw-iconic-label-alist) : Update.
	
2010-06-01 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-switcher (imsw-iconic-label-alist) : Add wb86 and zm.
	
2010-06-01 Etsushi Kato <ek.kato@gmail.com>
	
	* pixmaps/AUTHORS
	* pixmaps/LIST
	* pixmaps/Makefile.am
	* pixmaps/wb86.svg
	* pixmaps/zm.svg
	  - Add tentative wb86 and zm icons.
	
2010-06-01 Etsushi Kato <ek.kato@gmail.com>
	
	- Add wubi input methods [uim-en 323].
	
	* scm/Makefile.am
	  - (SCM_FILES) : Add xmload.scm wb86.scm zm.scm.
	  - (module_names) : Add xmload.
	* scm/zm.scm : New table.  ZhengMa input method by 余钰炜.
	* scm/wb86.scm : New table.  WuBi86 input method by 余钰炜.
	* xmload.scm : New.  Load zm.scm and wb86.scm.
	
2010-05-31 Etsushi Kato <ek.kato@gmail.com>
	
	* emacs/candidate.c (set_page_candidate) : Make static.
	
2010-05-31 Etsushi Kato <ek.kato@gmail.com>
	
	* emacs/uim-types.h
	  - Define UIM_EL_USE_NEWPAGE_HANDLING.
	  - (candidate) : Add page_index member.
	* emacs/candidate.c
	  - (set_page_candidates) : New.
	  - (new_candidate) : Set only the first page.
	  - (select_candidate) : New.
	  - (shift_candidate_page) : Set candidates when page is shifted.
	* emacs/candidate.h : Add select_candidate().
	* emacs/callback.c (candidate_select_cb) : Call select_candidate().
	
2010-05-30 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode-custom.scm
	  - Add a hook for tutcode-nr-candidate-max-for-kigou-mode.
	
2010-05-28 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/candwin-gtk.c (uim_cand_win_gtk_create_sub_window) : Fix.
	  Forgot to commit at r6389...
	
2010-05-28 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/im-switcher.scm (imsw-iconic-label-alist) : Add mozc.
	
2010-05-28 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/Makefile.am (libuim_scm_la_CFLAGS) : New.  Workaround for
	  the problem with GCC 4.4 ([uim-ja 216]).
	
2010-05-27 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/pref/customwidgets.cpp
	  - Apply patch by Felix Geyer (#28250). This patch fixes a compile error
	    with Qt 4.7.
2010-05-25 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac : Add check for cmsgcred (Debian bug #494344).
	
2010-05-23 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::activateCandwin): Don't hide annotation window
	    manually.
	  - (CandidateWindow::hideEvent): New function. Always hide
	    annotation window on hide of this window.
	* qt4/immodule/candidatewindow.h
	  - Ditto.
2010-05-23 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::~CandidateWindow): Check if cand is 0
	    before calling uim_candidate_free() with cand.
2010-05-22 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/tutcode.scm
	  - (tutcode-check-candidate-window-begin, tutcode-proc-state-kigou):
	    Change to use tutcode-nr-candidate-max-for-kigou-mode for kigou mode.
	
	* scm/tutcode-custom.scm
	  - (tutcode-nr-candidate-max-for-kigou-mode): New custom variable
	
2010-05-19 Etsushi Kato <ek.kato@gmail.com>
	
	* gtk/uim-cand-win-gtk.c (uim_cand_win_gtk_create_sub_window) : Fix
	  size restriction.
	
2010-05-15 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - Add qt4_immodule_option to define QT4_IMMODULE.
	  - Expand tab to spaces.
	* qt4/pref/customwidgets.cpp
	  - (KeyGrabDialog::setKeyStr): Replace QT_IMMODULE with QT4_IMMODULE.
	    Some keys are wrongly disabled due to this typo.
2010-05-15 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - (option): Rename to qt4_qt3support_option to prevent name conflict.
2010-05-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/switcher/qt4.cpp
	* qt4/toolbar/standalone-qt4.cpp
	  - Use QApplication::instance() instead of qApp.
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/candwin-gtk.c (uim_cand_win_gtk_create_sub_window)
	* gtk/uim-cand-win-gtk.c (uim_cand_win_gtk_create_sub_window)
	  - Set max size of sub window.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/candwin-gtk.c (uim_cand_win_gtk_create_sub_window)
	* gtk/uim-cand-win-gtk.c (uim_cand_win_gtk_create_sub_window)
	  - Set frame for sub_window.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/tutcode.scm : Remove obsolete commment.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/PLUGIN : Update.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plugin.scm
	  - (require-module) : Enable scheme only personal module.
	  - (module-load) : Don't return #t when loading scheme file is
	    invalid.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/look.scm : Fix bug in r6374.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/dynlib.scm
	  - (require-dynlib) : Fix to provide module name if succedded.
	  - (unload-dynlib) : Add comment.
	* scm/annotation-eb.scm : Follow the change.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/uim-custom.c (uim_custom_enable)
	* scm/annotation-eb.scm
	* scm/look.scm
	  - Use require-dynlib instead of module-load.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/predict-look-skk.scm
	* scm/predict-look.scm
	* scm/yahoo-jp.scm
	* scm/uim-pref-http.scm
	  - s/module-load/require-dynlib/ 
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-05-07 Etsushi Kato <ek.kato@gmail.com>
	
	- Separate dynlib handling from module system of plugin.scm.
	
	* scm/Makefile.am (SCM_FILES) : Add dynlib.scm.	
	* scm/plugin.scm
	  - Require dynlib.scm.
	  - (uim-plugin-lib-load-path) : Move to dynlib.scm and renamed with
	    s/plubin-lib/dynlib/.
	  - (plug-alist) : Move to dynlib.scm and renamed with
	    s/plugin/dynlib/.
	  - (plugin-func-alist) : Removed.
	  - (plugin-entry) : Move to dynlib.scm and renamed with
	    s/plugin/dynlib/.
	  - (plugin-list-append) : Ditto.
	  - (plugin-list-query) : Ditto.
	  - (plugin-list-query-library) : Ditto.
	  - (plugin-list-query-instance-init) : Ditto.
	  - (plugin-list-query-instance-quit) : Ditto.
	  - (module-load) : Simplify using require-dynlib.
	  - (module-unload) : Move to dynlib.scm and renamed with
	    s/module/dynlib/.
	  - (module-unload-all) : Ditto.
	* scm/dynlib.scm
	  - (uim-dynlib-load-path) : Moved from plugin.scm and renamed.
	  - (dynlib-alist) : Ditto.
	  - (dynlib-entry) : Ditto.
	  - (dynlib-list-append) : Ditto.
	  - (dynlib-list-delete) : Ditto.
	  - (dynlib-list-query) : Ditto.
	  - (dynlib-list-query-library) : Ditto.
	  - (dynlib-list-query-instance-init) : Ditto.
	  - (dynlib-list-query-instance-quit) : Ditto.
	  - (find-dynlib-path) : Ditto.
	  - (require-dynlib) : Moved from plugin.scm with renamed and
	    simplification.
	  - (dynlib-unload) : Moved from plugin.scm and renamed.
	  - (dynlib-unload-all) : Ditto.
	* scm/tutcode.scm : Follow the change.
	* scm/fileio.scm : Ditto.
	* scm/lolevel.scm : Ditto.
	* scm/socket.scm : Ditto.
	* scm/process.scm : Ditto.
	* scm/openssl.scm : Ditto.
	* scm/sqlite3.scm : Ditto.
	* uim/uim.c (uim_quit) : Ditto.
	
2010-05-06 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/plugin.scm (module-unload-all) : Fix missing code in r6325.
	
2010-05-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/switcher/qt4.cpp
	  - (UimImSwitcher::parseHelperStrImList): Adjust height of row.
2010-05-06 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/im-switcher-gtk.c (main) : Reorder code to avoid flicker.
	
2010-05-06 Etsushi Kato <ek.kato@gmail.com>
	
	* chardict/uim-chardict-qt4.pro.in : Link with X11_LIBS.
	
2010-05-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* doc/COMPATIBILITY
	  - Add section "New helper protocol messages for uim-im-switcher".
2010-05-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt/switcher-qt.cpp
	  - (UimImSwitcher::UimImSwitcher): Check if another uim-im-switcher exists
	    by trying to contact one.
	    If one exists, this process exits.
	  - (UimImSwitcher::slotStdinActivated): Parse "im_switcher_{start,quit}".
2010-05-06 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* doc/HELPER-PROTOCOL
	  - Add im_switcher_start and im_switcher_quit to fix bug #2112.
	* helper/im-switcher-gtk.c
	  - (parse_helper_str): Parse "im_switcher_{start,quit}".
	  - (main): Check if another uim-im-switcher exists by trying
	    to contact one. If one exists, this process exits.
	* qt4/switcher/qt4.cpp
	  - (UimImSwitcher::UimImSwitcher): Check if another uim-im-switcher exists
	    by trying to contact one.
	    If one exists, this process exits.
	  - (UimImSwitcher::slotStdinActivated): Parse "im_switcher_{start,quit}".
2010-05-04 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/qt4.cpp
	  - (KUimCharDict::KUimCharDict, KUimCharDict::~KUimCharDict,
	     KUimCharDict::slotCharSelected): Commit characters
	    when they are selected. To commit them to an editing widget,
	    we don't allow a window to receive input focus.
	    We call XSetWMHints() to implement this behavior
	    because Qt4 don't have a function similar to
	    gtk_window_set_accept_focus() in GTK+ for now
	    though Qt 4.7, which hasn't been released yet,
	    will have QWidget::setAttribute(Qt::WA_X11DoNotAcceptFocus).
2010-05-04 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* helper/input-pad-ja.c
	  - (input_pad_create): Don't allow window to receive input focus
	    to work with Qt4 applications.
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qtextutil.cpp
	  - (QUimTextUtil::acquireSelectionTextInQTextEdit,
	     QUimTextUtil::deleteSelectionTextInQTextEdit):
	    Don't call Qt3 support member functions if possible.
	    * Replace QString::find() with QString::indexOf().
	    * Replace QString::findRev() with QString::lastIndexOf().
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qtextutil.cpp
	  - (QUimTextUtil::acquirePrimaryText, QUimTextUtil::acquireSelectionText,
	     QUimTextUtil::deletePrimaryText, QUimTextUtil::deleteSelectionText):
	    Don't use deprecated Qt3 idiom to cast a type.
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/pref/customwidgets.cpp
	  - (KeyEditForm::slotAddClicked, KeyEditForm::slotEditClicked):
	    Fix crashy code. See also: http://www.kdedevelopers.org/node/3919
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	* qt4/chardict/kseparator.cpp
	* qt4/chardict/kseparator.h
	* qt4/immodule/candidatewindow.cpp
	* qt4/immodule/subwindow.cpp
	* qt4/pref/kseparator.cpp
	* qt4/pref/kseparator.h
	  - Replace WFlags with WindowFlags. WindowFlags was introduced in Qt4.
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/subwindow.cpp
	  - (SubWindow::SubWindow): Call adjustSize() to correct position.
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::eventFilter):
	    Move position of moveEvent's declaration.
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/subwindow.cpp
	* qt4/immodule/subwindow.h
	  - (SubWindow::hookPopup): Use reference for performance.
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* NEWS
	  - Update. Add uim-annotation.
2010-05-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setPage): Set flags to a cell
	    even if no annotation text is available.
2010-04-30 Etsushi Kato <ek.kato@gmail.com>
	
	* notify/uim-growl.m (uim_growl_notify) : Fix warning for
	  non-MacUIM environment.
	
2010-04-29 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::layoutWindow): Change parameters.
	  - (CandidateWindow::eventFilter):
	    Follow change of CandidateWindow::layoutWindow().
	* qt4/immodule/candidatewindow.h
	  - Change parameters of CandidateWindow::layoutWindow().
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::setMicroFocus): Remove.
	    QInputContext::setMicroFocus() no longer exists in Qt4.
	  - (QUimInputContext::update):
	    Call CandidateWindow::layoutWindow() directly.
	* qt4/immodule/quiminputcontext.h
	  - (QUimInputContext::setMicroFocus): Remove.
2010-04-29 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - Fix position of candidate window on window move.
2010-04-29 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setPage):
	    * Save annotation data to list.
	    * Set column text to "..." if there are annotation data.
	  - (CandidateWindow::slotHookSubwindow): Get data from list.
	  - (CandidateListView::sizeHint):
	    Don't check size of column for annotation.
	* qt4/immodule/candidatewindow.h
	  - Add list to save annotation data.
2010-04-29 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::slotHookSubwindow):
	    Follow change of SubWindow::hookPopup().
	* qt4/immodule/subwindow.cpp
	  - (SubWindow::SubWindow, SubWindow::hookPopup): Remove m_titleLabel.
	* qt4/immodule/subwindow.h
	  - Ditto.
2010-04-29 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::moveEvent, CandidateWindow::resizeEvent):
	    Follow change of SubWindow::layoutWindow().
	  - (CandidateWindow::slotHookSubwindow): Call SubWindow::layoutWindow().
	* qt4/immodule/subwindow.cpp
	  - (SubWindow::layoutWindow): Fix position of SubWindow.
	  - (SubWindow::forceInside): Remove.
	* qt4/immodule/subwindow.h
	  - Change SubWindow::layoutWindow().
	  - Remove SubWindow::forceInside().
2010-04-28 KIHARA Hideto <deton@m1.interq.or.jp>
	
	* scm/trycode.scm
	  - (trycode-rule): update to 2010-04-27 version: add Shin Jouyo Kanji.
	
2010-04-28 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/prime.scm (prime-convert-cancel) : Fix for uim-fep.
	
2010-04-28 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/annotation.scm
	  - (annotation-load) : Init agent at loading time.
	  - (annotation-unload) : New.
	  - (annotation-agent-reset) : Ditto.
	* scm/annotation-eb.scm
	  - (eb-init) : Fix leak.
	  - (eb-release) : Ditto.
	* scm/im-custom.scm
	  - (annotation-agent)
	    * Add 'im choice to use annotation of input method
	      exclusively.
	    * Add custom-set-hooks.
	* scm/im.scm
	  - (create-context) : Fix leak of annotation.
	  - (release-context) : Ditto.
	  - (get-candidate) : Check enable-annotation? here.
	* uim/uim.c (uim_quit) : Unload annotation agent.
	
2010-04-27 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/prime-custom.scm
	  - (prime-custom-display-usage?)
	  - (prime-custom-display-comment?)
	  - (prime-custom-display-form?)
	    - Add custom-activity-hooks on enable-annotation?
	* scm/prime.scm
	  - (prime-get-candidate-handler) : Set candidate string and
	    annotation string separately.
	  - (prime-candidate-combine-string) : Removed.
	  - (prime-candidate-combine-annotation) : New.
	
2010-04-27 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/candwin-gtk.c (tree_selection_changed)
	  - Remove ad-hoc annotation code using eb.
	* gtk/uim-cand-win-gtk.c
	  - (tree_selection_changed) : Ditto.
	  - (uim_cand_win_gtk_set_candidates) : Get annotation string
	    here.
	  - (uim_cand_win_gtk_set_page_candidates) : Ditto.
	* gtk/Makefile.am : Follow the removal of eb.
	* helper/Makefile.am : Ditto.
	
2010-04-27 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow):
	    See value of "enable-annotation?"
	    instead of "eb-enable-for-annotation?".
	  - (CandidateWindow::setPage): Uncomment lines.
	  - (CandidateListView::sizeHint): Adjust size.
	* scm/Makefile.am
	  - (SCM_FILES): Add annotation.scm and annotation-eb.scm.
	* scm/annotation.scm
	  - New file.
	* scm/annotation-eb.scm
	  - New file.
	* scm/im-custom.scm
	  - Add "enable-annotation?" and "annotation-agent".
	* scm/im.scm
	  - (create-context): Call annotation-init for annotation support.
	  - (release-context): Call annotation-release for annotation support.
	  - (get-candidate): Call annotation-get-text for annotation support.
	* scm/init.scm
	  - Load annotation-related file.
2010-04-26 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-04-26 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/HELPER-CANDWIN : Change specification of the separator of
	  sending message.
	* xim/canddisp.cpp : Follow the change.
	* helper/candwin-gtk.c : Ditto.
	* qt/candwin-qt.cpp : Ditto.
	* qt4/candwin/qt4.cpp : Ditto.
	
2010-04-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/README.en
	* qt4/immodule/README.ja
	  - Remove obsolete documents.
2010-04-24 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict
	* qt4/chardict/po
	* qt4/toolbar
	* qt4/candwin
	* qt4/edittest
	* qt4/switcher
	* qt4/immodule
	* qt4/pref
	  - Ignore generated files.
	
2010-04-23 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-04-23 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/rk.scm	
	  - (rk-expect-key) : Rename to rk-expect-key?
	  - (rk-expect-key?) : Renamed from rk-expect-key.
	* scm/anthy-utf8.scm
	* scm/wnn.scm
	* scm/tutcode.scm
	* scm/social-ime.scm
	* scm/latin.scm
	* scm/canna.scm
	* scm/ajax-ime.scm
	* scm/anthy.scm
	* scm/yahoo-jp.scm
	* scm/skk.scm
	* scm/mana.scm
	* scm/sj3.scm
	  - Follow the change.
	* uim/rk.c
	  - (uim_init_rk_subrs) : Change to export rk_expect_key_for_seq
	    as rk-lib-expect-key-for-seq? 
	
2010-04-23 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/candwin-gtk.c : Fix compilation when eb is not set.
	
2010-04-23 Etsushi Kato <ek.kato@gmail.com>
	
	* doc/COMPATIBILITY : Update.
	
2010-04-22 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/rk.c
	  - (rk_expect_key_for_seq) : New.
	  - (uim_init_rk_subrs) : Export rk_expect_key_for_seq as
	    rk-lib-expect-key-for-seq.
	* scm/rk.scm (rk-expect-key) : New.  Added for better response with
	  tutucode.scm.
	* scm/tutcode.scm : Use rk-expect-key instead of rk-expect for the
	  efficiency.
	* scm/anthy-utf8.scm : Ditto.
	* scm/wnn.scm : Ditto.
	* scm/social-ime.scm : Ditto.
	* scm/latin.scm : Ditto.
	* scm/canna.scm : Ditto.
	* scm/ajax-ime.scm : Ditto.
	* scm/anthy.scm : Ditto.
	* scm/yahoo-jp.scm : Ditto.
	* scm/skk.scm : Ditto.
	* scm/mana.scm : Ditto.
	* scm/sj3.scm : Ditto.
	
2010-04-21 Etsushi Kato <ek.kato@gmail.com>
	
	- Support annotation with uim-xim.  This should be revised
	  after the discussion of uim-en.  Sub-window with qt is not
	  ported yet.
	
	* doc/HELPER-CANDWIN : Update specification of activate and
	  set_page_candidates.
	* xim/ximserver.cpp
	  - (InputContext::candidate_activate) : Follow the change.
	  - (InputContext::prepare_page_candidates) : Ditto.
	* qt/candwin-qt.cpp
	  - (CandidateWindow::activateCand) : Ditto.
	  - (CandidateWindow::setPageCandidates) : Ditto.
	* helper/candwin-gtk.c
	  - Ditto.
	  - Port sub-window from uim-gtk.
	* Helper/Makefile.am : Support eb.
	
2010-04-20 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/socket.c (c_getaddrinfo) : Return #f if fails to avoid
	  crash.
	* scm/socket.scm (call-with-getaddrinfo) : Follow the change.
	
2010-04-20 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/ajax-ime.scm (ajax-ime-parse) : Spell fix.
	
2010-04-20 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/ajax-ime.scm
	  - (ajax-ime-parse) : Return #f when not receiving meaningful
	    result.
	  - (ajax-ime-conversion) : Return list of original string when
	    conversion fails.
	
2010-04-19 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/candwin/qt4.cpp (CandidateWindow::CandidateWindow) : Adjust
	  initial size of the label.
	
2010-04-19 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/ajax-ime.scm (ajax-ime-context-new) : Fix a bug in r6152.
	
2010-04-14 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/dynlib.c
	  - (dynlib_unbind_all) : New.
	  - (dynlib_unbind_all_internal) : New.  Call dlclose(3)
	    collectively at the end of this function to avoid GC problem.
	  - (uim_init_dynlib) : Add %%dynlib-unbind-all.
	* scm/plugin.scm (module-unload-all) : Use %%dynlib-unbind-all.
	
2010-04-13 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/wnn.scm (wnn-context)
	* scm/social-ime.scm (social-ime-context)
	* scm/canna.scm (canna-context)
	* scm/ajax-ime.scm (ajax-ime-context)
	* scm/yahoo-jp.scm (yahoo-jp-context)
	  - Fix to initialize prediction-ctx with '().
	
2010-04-13 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/eb.c
	* scm/cannav3-socket.scm
	* scm/lolevel.scm
	* scm/sj3v2-socket.scm
	  - Update copyright.
	
2010-04-13 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac
	  - (with-canna) : Don't check libcanna.
	  - (with-sj3) : New.
	  - (with-skk) : New.
	  - (enable-dict) : Check -lcanna here.
	* helper/Makefile.am : Follow the change.
	* scm/Makefile.am : Ditto.
	
2010-04-12 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/sj3v2-socket.scm (sj3-lib-connect) : Use singed int for the
	  return value.
	* uim/lolevel.c
	  - (c_u32_to_s32) : New.
	  - (uim_plugin_instance_init) : Add u32->s32.
	
2010-04-12 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/sj3v2-socket.scm (sj3-lib-connect) : Revert using 4294967294.
	
2010-04-11 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/sj3v2-socket.scm
	  - (sj3-lib-connect) : Workaround for environment with
	    SCM_USE_LONG_FIXNUM.
	  - (sj3-lib-open) : Don't crash even when server is not working
	    and just show message instead.
	  - (sj3-lib-opened?) : New.
	  - (sj3-lib-getkan) : Add check for the connection.  Return #f
	    when not connected.
	  - (sj3-lib-douoncnt) : Ditto.  Return 0 when not connected.
	* scm/sj3.scm
	  - (sj3-lib-init) : Don't use sj3-lib-funcall which would try to
	    connect infinitely when server is not working.
	  - (sj3-lib-begin-conversion) : Support disconnected situation.
	  - (sj3-lib-commit-segment) : Ditto.
	  - (sj3-lib-commit-segments) : Ditto.
	  - (sj3-context-rec-spec) : Fix to initialize prediction-ctx with
	    '().
	
2010-04-11 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/predict-look-skk.scm (predict-look-skk search)
	* scm/predict-look.scm (predict-look search)
	  - Don't crash when a dictionary file is not found.
	
2010-04-11 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/look.c : Fix typo.
	
2010-04-10 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.cpp
	  - (CaretStateIndicator::setup): Rename to update().
	* qt4/immodule/caretstateindicator.h
	  - Ditto.
	* qt4/immodule/qhelpermanager.cpp
	  - (QUimHelperManager::update_prop_list_cb):
	    Use QUimInputContext::updateIndicator().
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::setupIndicator): Rename to updateIndicator().
	* qt4/immodule/quiminputcontext.h
	  - Ditto.
2010-04-10 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.cpp
	* qt4/immodule/caretstateindicator.h
	  - (CaretStateIndicator::update): Rename to updateLabels()
2010-04-09 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/Makefile.am (SCM_FILES) : Add missing sj3v2-socket.scm.
	
2010-04-09 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/tutcode.scm : Use tutcode-im-name-label and
	  tutcode-im-short-desc for register-im.
	
2010-04-08 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-im.scm (testcase im im-management) : Revise
	  test-im-disabled-im-list.
	
2010-04-08 Etsushi Kato <ek.kato@gmail.com>
	
	* test/uim-test-utils-new.scm (uim-sh-read-block) : Cope with
	  slower machines.
	
2010-04-07 Etsushi Kato <ek.kato@gmail.com>
	
	* test/run-test.scm : Modify load path.
	* doc/UNIT-TEST : Update.
	
2010-04-07 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-im.scm (testcase im im-management) : Revise
	  test-im-disabled-im-list.
	
2010-04-07 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-intl.scm
	* test/i18n/test-language.scm
	  - Revert r6307.
	
2010-04-07 Etsushi Kato <ek.kato@gmail.com>
	
	* uim/intl.c
	  - (intl_textdomain) : Avoid crash when --disable-nls.
	  - (intl_bindtextdomain) : Ditto.
	* test/test-intl.scm (test-gettext) : Support --disable-nls.
	* test/i18n/test-language.scm : Ditto.
	
2010-04-06 Etsushi Kato <ek.kato@gmail.com>
	
	* test/uim-test-utils.scm
	  - Use uim-test-source-path for LIBUIM_SYSTEM_SCM_FILES and
	    LIBUIM_SCM_FILES.
	* test/run-test.scm
	  - (uim-test-build-path) : Bug fix when builddir != srcdir..
	  - (uim-test-source-path) : New.
	  - (%add-top-path-to-load-path) : Use uim-test-source-path.
	  - (main) : Ditto.
	* test/uim-test-utils-new.scm
	  - (uim-test-source-path) : New.
	  - Use uim-test-source-path for LIBUIM_SYSTEM_SCM_FILES and
	    LIBUIM_SCM_FILES.
	
2010-04-05 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/romaja.scm
	* scm/trec-composer.scm
	* uim/expat.c
	* uim/wnnlib.c
	* uim/wnnlib.h
	* uim/curl.c
	  - Replace http://uim.freedesktop.org/ with
	    http://code.google.com/p/uim/ in the copyrights
	
2010-04-05 Etsushi Kato <ek.kato@gmail.com>
	
	* COPYING
	* emacs/COPYING
	* emacs/README
	* emacs/README.ja
	* emacs/callback.c
	* emacs/callback.h
	* emacs/candidate.c
	* emacs/candidate.h
	* emacs/commit.c
	* emacs/commit.h
	* emacs/context.c
	* emacs/context.h
	* emacs/debug.c
	* emacs/debug.h
	* emacs/encoding.c
	* emacs/encoding.h
	* emacs/helper-message.c
	* emacs/helper-message.h
	* emacs/helper-server.c
	* emacs/helper-server.h
	* emacs/helper.c
	* emacs/helper.h
	* emacs/im.c
	* emacs/im.h
	* emacs/key.c
	* emacs/key.h
	* emacs/output.c
	* emacs/output.h
	* emacs/preedit.c
	* emacs/preedit.h
	* emacs/prop.c
	* emacs/prop.h
	* emacs/uim-candidate.el
	* emacs/uim-debug.el
	* emacs/uim-el-agent.c
	* emacs/uim-el-agent.h
	* emacs/uim-el-helper-agent.c
	* emacs/uim-el-helper-agent.h
	* emacs/uim-el-types.h
	* emacs/uim-helper.el
	* emacs/uim-key.el
	* emacs/uim-keymap.el
	* emacs/uim-leim.el
	* emacs/uim-preedit.el
	* emacs/uim-util.el
	* emacs/uim-var.el
	* emacs/uim-version.el.in
	* emacs/uim.el
	* examples/uim-custom/uim-custom-dump.c
	* examples/uim-custom/uim-custom-update.c
	* examples/uim-custom/uim-custom-variable.c
	* fep/COPYING
	* fep/callbacks.c
	* fep/callbacks.h
	* fep/draw.c
	* fep/draw.h
	* fep/escseq.c
	* fep/escseq.h
	* fep/helper.c
	* fep/helper.h
	* fep/key.c
	* fep/key.h
	* fep/read.c
	* fep/read.h
	* fep/str.c
	* fep/str.h
	* fep/udsock.c
	* fep/udsock.h
	* fep/uim-fep-tick.c
	* fep/uim-fep.c
	* fep/uim-fep.h
	* gtk/caret-state-indicator.c
	* gtk/caret-state-indicator.h
	* gtk/compose.c
	* gtk/compose.h
	* gtk/gtk-im-uim.c
	* gtk/gtk-im-uim.h
	* gtk/gtk-rc-get-immodule-file.c
	* gtk/key-util-gtk.c
	* gtk/key-util-gtk.h
	* gtk/test/entry.c
	* gtk/text-util.c
	* gtk/text-util.h
	* gtk/uim-cand-win-gtk.c
	* gtk/uim-cand-win-gtk.h
	* helper/candwin-gtk.c
	* helper/dict-anthy.c
	* helper/dict-anthy.h
	* helper/dict-canna-cclass.c
	* helper/dict-canna-cclass.h
	* helper/dict-canna.c
	* helper/dict-canna.h
	* helper/dict-cclass-dialog.c
	* helper/dict-cclass-dialog.h
	* helper/dict-dict.c
	* helper/dict-dict.h
	* helper/dict-main-gtk.c
	* helper/dict-util.c
	* helper/dict-util.h
	* helper/dict-word-list-view-gtk.c
	* helper/dict-word-list-view-gtk.h
	* helper/dict-word-list-win-gtk.c
	* helper/dict-word-list-win-gtk.h
	* helper/dict-word-win-gtk.c
	* helper/dict-word-win-gtk.h
	* helper/dict-word.c
	* helper/dict-word.h
	* helper/im-switcher-gtk.c
	* helper/input-pad-ja.c
	* helper/pref-gtk-custom-widgets.c
	* helper/pref-gtk-custom-widgets.h
	* helper/pref-gtk-keytab.h
	* helper/pref-gtk.c
	* helper/toolbar-applet-gnome.c
	* helper/toolbar-common-gtk.c
	* helper/toolbar-standalone-gtk.c
	* helper/toolbar-systray-gtk.c
	* helper/uim-dict-ui.xml.in
	* notify/uim-growl.m
	* notify/uim-knotify3.cc
	* notify/uim-libnotify.c
	* pixmaps/uim-m17nlib-relink-icons.in
	* po/fr.po
	* po/ja.po
	* po/ko.po
	* qt/candwin-qt.cpp
	* qt/candwin-qt.h
	* qt/chardict/chardict-bushuviewwidget.cpp
	* qt/chardict/chardict-bushuviewwidget.h
	* qt/chardict/chardict-chargridview.cpp
	* qt/chardict/chardict-chargridview.h
	* qt/chardict/chardict-qt.cpp
	* qt/chardict/chardict-qt.h
	* qt/chardict/chardict-unicodeviewwidget.cpp
	* qt/chardict/chardict-unicodeviewwidget.h
	* qt/chardict/po/ja.po
	* qt/chardict/qtgettext.h
	* qt/immodule-candidatewindow.cpp
	* qt/immodule-candidatewindow.h
	* qt/immodule-plugin.cpp
	* qt/immodule-plugin.h
	* qt/immodule-qhelpermanager.cpp
	* qt/immodule-qhelpermanager.h
	* qt/immodule-qtextutil.cpp
	* qt/immodule-qtextutil.h
	* qt/immodule-quiminfomanager.cpp
	* qt/immodule-quiminfomanager.h
	* qt/immodule-quiminputcontext.cpp
	* qt/immodule-quiminputcontext.h
	* qt/immodule-quiminputcontext_compose.cpp
	* qt/immodule-quiminputcontext_compose.h
	* qt/immodule-quiminputcontext_with_slave.cpp
	* qt/immodule-quiminputcontext_with_slave.h
	* qt/immodule-subwindow.cpp
	* qt/immodule-subwindow.h
	* qt/pref-customwidgets.cpp
	* qt/pref-customwidgets.h
	* qt/pref-qt.cpp
	* qt/pref-qt.h
	* qt/qtgettext.h
	* qt/switcher-qt.cpp
	* qt/switcher-qt.h
	* qt/test/qedittest.cpp
	* qt/toolbar-applet-kde.cpp
	* qt/toolbar-applet-kde.h
	* qt/toolbar-common-quimhelpertoolbar.cpp
	* qt/toolbar-common-quimhelpertoolbar.h
	* qt/toolbar-common-uimstateindicator.cpp
	* qt/toolbar-common-uimstateindicator.h
	* qt/toolbar-standalone-qt.cpp
	* qt/toolbar-standalone-qt.h
	* qt4/candwin/qt4.cpp
	* qt4/candwin/qt4.h
	* qt4/chardict/bushuviewwidget.cpp
	* qt4/chardict/bushuviewwidget.h
	* qt4/chardict/chargridview.cpp
	* qt4/chardict/chargridview.h
	* qt4/chardict/po/ja.po
	* qt4/chardict/qt4.cpp
	* qt4/chardict/qt4.h
	* qt4/chardict/qtgettext.h
	* qt4/chardict/unicodeviewwidget.cpp
	* qt4/chardict/unicodeviewwidget.h
	* qt4/edittest/main.cpp
	* qt4/immodule/candidatewindow.cpp
	* qt4/immodule/candidatewindow.h
	* qt4/immodule/plugin.cpp
	* qt4/immodule/plugin.h
	* qt4/immodule/qhelpermanager.cpp
	* qt4/immodule/qhelpermanager.h
	* qt4/immodule/qtextutil.cpp
	* qt4/immodule/qtextutil.h
	* qt4/immodule/quiminfomanager.cpp
	* qt4/immodule/quiminfomanager.h
	* qt4/immodule/quiminputcontext.cpp
	* qt4/immodule/quiminputcontext.h
	* qt4/immodule/quiminputcontext_compose.cpp
	* qt4/immodule/quiminputcontext_compose.h
	* qt4/immodule/quiminputcontext_with_slave.cpp
	* qt4/immodule/quiminputcontext_with_slave.h
	* qt4/immodule/subwindow.cpp
	* qt4/immodule/subwindow.h
	* qt4/pref/customwidgets.cpp
	* qt4/pref/customwidgets.h
	* qt4/pref/qt4.cpp
	* qt4/pref/qt4.h
	* qt4/qtgettext.h
	* qt4/switcher/qt4.cpp
	* qt4/switcher/qt4.h
	* qt4/toolbar/applet-kde4.cpp
	* qt4/toolbar/applet-kde4.h
	* qt4/toolbar/common-quimhelpertoolbar.cpp
	* qt4/toolbar/common-quimhelpertoolbar.h
	* qt4/toolbar/common-uimstateindicator.cpp
	* qt4/toolbar/common-uimstateindicator.h
	* qt4/toolbar/standalone-qt4.cpp
	* qt4/toolbar/standalone-qt4.h
	* replace/os_dep.h
	* scm/action.scm
	* scm/ajax-ime-custom.scm
	* scm/ajax-ime-key-custom.scm
	* scm/ajax-ime.scm
	* scm/anthy-custom.scm
	* scm/anthy-key-custom.scm
	* scm/anthy-utf8-custom.scm
	* scm/anthy-utf8.scm
	* scm/anthy.scm
	* scm/byeoru-custom.scm
	* scm/byeoru-dic.scm
	* scm/byeoru-key-custom.scm
	* scm/byeoru-symbols.scm
	* scm/byeoru.scm
	* scm/canna-custom.scm
	* scm/canna-key-custom.scm
	* scm/canna.scm
	* scm/composer.scm
	* scm/custom-rt.scm
	* scm/custom.scm
	* scm/deprecated-util.scm
	* scm/direct.scm
	* scm/editline.scm
	* scm/elatin-custom.scm
	* scm/elatin-rules.scm
	* scm/elatin.scm
	* scm/event.scm
	* scm/fileio.scm
	* scm/generic-custom.scm
	* scm/generic-key-custom.scm
	* scm/generic-predict.scm
	* scm/generic.scm
	* scm/hangul.scm
	* scm/hangul2.scm
	* scm/hangul3.scm
	* scm/http-client.scm
	* scm/i18n.scm
	* scm/ichar.scm
	* scm/im-custom.scm
	* scm/im-switcher.scm
	* scm/im.scm
	* scm/init.scm
	* scm/ipa-x-sampa.scm
	* scm/iso-639-1.scm
	* scm/japanese-azik.scm
	* scm/japanese-kana.scm
	* scm/japanese.scm
	* scm/key.scm
	* scm/latin.scm
	* scm/lazy-load.scm
	* scm/light-record.scm
	* scm/load-action.scm
	* scm/look-custom.scm
	* scm/look.scm
	* scm/m17nlib.scm
	* scm/mana-custom.scm
	* scm/mana-key-custom.scm
	* scm/mana.scm
	* scm/ng-action.scm
	* scm/ng-key.scm
	* scm/openssl.scm
	* scm/pinyin-big5.scm
	* scm/plugin.scm
	* scm/predict-custom.scm
	* scm/predict-look-skk.scm
	* scm/predict-look.scm
	* scm/predict-sqlite3.scm
	* scm/prime-custom.scm
	* scm/prime-key-custom.scm
	* scm/prime.scm
	* scm/process.scm
	* scm/pyload.scm
	* scm/pyunihan.scm
	* scm/rk.scm
	* scm/romaja.scm
	* scm/scim.scm
	* scm/sj3-custom.scm
	* scm/sj3-key-custom.scm
	* scm/sj3.scm
	* scm/skk-custom.scm
	* scm/skk-dialog.scm
	* scm/skk-editor.scm
	* scm/skk-key-custom.scm
	* scm/skk.scm
	* scm/social-ime-custom.scm
	* scm/social-ime-key-custom.scm
	* scm/social-ime.scm
	* scm/socket.scm
	* scm/spellcheck-custom.scm
	* scm/spellcheck.scm
	* scm/sqlite3.scm
	* scm/tcode.scm
	* scm/trec-composer.scm
	* scm/trec.scm
	* scm/trycode.scm
	* scm/tutcode-bushudic.scm
	* scm/tutcode-custom.scm
	* scm/tutcode-key-custom.scm
	* scm/tutcode-kigoudic.scm
	* scm/tutcode-rule.scm
	* scm/tutcode.scm
	* scm/uim-db.scm
	* scm/uim-help.scm
	* scm/uim-module-manager.scm
	* scm/uim-sh.scm
	* scm/ustr.scm
	* scm/util.scm
	* scm/viqr.scm
	* scm/wlos.scm
	* scm/wnn-custom.scm
	* scm/wnn-key-custom.scm
	* scm/wnn.scm
	* scm/yahoo-jp-custom.scm
	* scm/yahoo-jp-key-custom.scm
	* scm/yahoo-jp.scm
	* scm/zaurus.scm
	* test/i18n/test-base.scm
	* test/i18n/test-language.scm
	* test/key/test-base.scm
	* test/key/test-predicate.scm
	* test/key/test-translator.scm
	* test/run-test.scm
	* test/template.scm
	* test/test-action.scm
	* test/test-anthy.scm
	* test/test-custom-rt.scm
	* test/test-custom.scm
	* test/test-db.scm
	* test/test-example.scm
	* test/test-iconv.scm
	* test/test-im.scm
	* test/test-intl.scm
	* test/test-lazy-load.scm
	* test/test-ng-key.scm
	* test/test-plugin.scm
	* test/test-uim-test-utils.scm
	* test/test-ustr.scm
	* test/uim-assertions.scm
	* test/uim-test-utils-new.scm
	* test/uim-test-utils.scm
	* test/uim-test.scm
	* test/util/test-character-conversion.scm
	* test/util/test-character-predicate.scm
	* test/util/test-list.scm
	* test/util/test-misc.scm
	* test/util/test-multi-segment.scm
	* test/util/test-r5rs.scm
	* test/util/test-record.scm
	* test/util/test-rk.scm
	* test/util/test-srfi.scm
	* test/util/test-string.scm
	* test/util/test-uim.scm
	* test2/test-composer.scm
	* test2/test-fail.scm
	* test2/test-light-record.scm
	* test2/test-template.scm
	* test2/test-trec.scm
	* test2/test-wlos.scm
	* uim/agent.c
	* uim/anthy-utf8.c
	* uim/anthy.c
	* uim/bsdlook.h
	* uim/counted-init.c
	* uim/counted-init.h
	* uim/curl.c
	* uim/dynlib.c
	* uim/dynlib.h
	* uim/editline.c
	* uim/encoding-table.c
	* uim/expat.c
	* uim/ffi.c
	* uim/fileio.c
	* uim/iconv.c
	* uim/intl.c
	* uim/lolevel.c
	* uim/look.c
	* uim/m17nlib.c
	* uim/mana.c
	* uim/openssl.c
	* uim/process.c
	* uim/rk.c
	* uim/scim.cpp
	* uim/skk.c
	* uim/socket.c
	* uim/spellcheck.c
	* uim/sqlite3.c
	* uim/test-gc.c
	* uim/uim-custom-enabler.c
	* uim/uim-custom.c
	* uim/uim-custom.h
	* uim/uim-eb.c
	* uim/uim-eb.h
	* uim/uim-error.c
	* uim/uim-func.c
	* uim/uim-help.c
	* uim/uim-helper-client.c
	* uim/uim-helper-server.c
	* uim/uim-helper.c
	* uim/uim-helper.h
	* uim/uim-iconv.h
	* uim/uim-im-switcher.h
	* uim/uim-internal.h
	* uim/uim-ipc.c
	* uim/uim-key.c
	* uim/uim-module-manager.c
	* uim/uim-notify.c
	* uim/uim-notify.h
	* uim/uim-posix.c
	* uim/uim-posix.h
	* uim/uim-scm-abbrev.h
	* uim/uim-scm-sigscheme.c
	* uim/uim-scm.h
	* uim/uim-sh.c
	* uim/uim-util.c
	* uim/uim-util.h
	* uim/uim-x-kana-input-hack.c
	* uim/uim-x-util.h
	* uim/uim.c
	* uim/uim.h
	* uim/wnnlib.c
	* uim/wnnlib.h
	* xim/canddisp.cpp
	* xim/canddisp.h
	* xim/compose.cpp
	* xim/compose.h
	* xim/connection.cpp
	* xim/connection.h
	* xim/convdisp.cpp
	* xim/convdisp.h
	* xim/helper.cpp
	* xim/helper.h
	* xim/locale.cpp
	* xim/main.cpp
	* xim/util.cpp
	* xim/util.h
	* xim/xdispatch.h
	* xim/xim.h
	* xim/ximic.cpp
	* xim/ximim.cpp
	* xim/ximpacket.cpp
	* xim/ximpn.h
	* xim/ximserver.cpp
	* xim/ximserver.h
	* xim/ximtrans.cpp
	  - Update copyright by svn ls -R | egrep -v '/$' | xargs perl -i -pe 's/\b(200\d)([,-\s]+200\d)*\s+uim\b/\1-2010 uim/'
	
2010-04-04 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/dict-canna-cclass.c
	  - (find_desc_from_code_with_type) : Plug leak.
	  - (find_code_from_desc) : Ditto.
	
2010-04-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* NEWS
	  - Update.
2010-03-30 Etsushi Kato <ek.kato@gmail.com>
	
	* m4/ax_path_qmake4.m4 : Suppress warning.
	
2010-03-30 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/chardict/Makefile.am
	* qt4/toolbar/Makefile.am
	* qt4/candwin/Makefile.am
	* qt4/edittest/Makefile.am
	* qt4/switcher/Makefile.am
	* qt4/immodule/Makefile.am
	* qt4/pref/Makefile.am
	  - Fix warnings ([uim-ja 191], Kiwamu Okabe).
	
2010-03-29 Jae-hyeon Park <jhyeon@gmail.com>
	
	* scm/elatin.scm
	  - (elatin-key-release-handler): commit every key release event even
	    when composition is turned on; this enables query prediction on
	    www.google.de
	
2010-03-28 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.cpp
	  - (CaretStateIndicator::update): Adjust size and center text.
	    See also gtk/caret-state-indicator.c.
2010-03-28 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::clearPreedit): Simplify and optimize.
2010-03-25 Etsushi Kato <ek.kato@gmail.com>
	
	* test/test-im.scm (define-uim-test-case) : Fix to set
	  enabled-im-list.
	
2010-03-25 Etsushi Kato <ek.kato@gmail.com>
	
	* scm/look.scm : Use "" for lang.
	
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::x11FilterEvent): Use Q_UNUSED macro for `event'
	    only if UIM_QT_USE_JAPANESE_KANA_KEYBOARD_HACK isn't defined.
	    The `event' parameter is used when UIM_QT_USE_JAPANESE_KANA_KEYBOARD_HACK
	    is defined.
	* qt4/immodule/quiminputcontext.h
	  - Use Q_WS_X11 macro after Qt4 header file is included.
	    The macro is defined in a Qt4 header file.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontextplugin.pro.in
	  - (CONFIG): Don't add qt thread. We don't have to add `qt'
	    and this plugin isn't multi-threaded.
2010-03-25 Etsushi Kato <ek.kato@gmail.com>
	
	* test/uim-test-utils-new.scm (uim-sh-read-block) : Workaround not
	  to get incorrect results.
	
2010-03-25 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/dict-word-list-win-gtk.c
	* helper/pref-gtk-custom-widgets.c
	* helper/dict-word-win-gtk.c
	* helper/pref-gtk.c
	  - Fix fifth argument for gtk_message_dialog_new().
	* helper/eggtrayicon.c (egg_tray_icon_manager_filter) : Suppress
	  warning.
	
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow): Reorder member variables.
	* qt4/immodule/candidatewindow.h
	  - Ditto.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - Remove unused function CandidateWindow::setIndexInPage().
	* qt4/immodule/candidatewindow.h
	  - Ditto.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.h
	  - Make public functions protected.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::~CandidateWindow,
	     CandidateWindow::clearCandidates): Simplify. Maybe optimize.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::candidateActivate,
	     QUimInputContext::candidateSelect,
	     QUimInputContext::candidateShiftPage,
	     QUimInputContext::candidateDeactivate): Remove.
	  - (QUimInputContext::cand_activate_cb,
	     QUimInputContext::cand_select_cb,
	     QUimInputContext::cand_shift_page_cb,
	     QUimInputContext::cand_deactivate_cb):
	    Call CandidateWindow's member functions directly.
	* qt4/immodule/quiminputcontext.h
	  - Remove CandidateWindow-related functions.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::preparePageCandidates,
	     CandidateWindow::candidateActivate,
	     CandidateWindow::candidateSelect,
	     CandidateWindow::candidateShiftPage):
	    New functions. Move from the QUimInputContext class.
	* qt4/immodule/candidatewindow.h
	  - Ditto.
	  - (CandidateWindow): Make nrCandidates, displayLimit, candidateIndex
	    and pageIndex protected again.
	   - (CandidateWindow): Add pageFilled and nrPages.
	* qt4/immodule/quiminputcontext.cpp
	   - (QUimInputContext::prepare_page_candidates): Remove.
	   - (QUimInputContext::candidateActivate,
	      QUimInputContext::candidateSelect,
	      QUimInputContext::candidateShiftPage)
	     Delegate to CandidateWindow.
	* qt4/immodule/quiminputcontext.h
	   - Remove QUimInputContext::prepare_page_candidates().
	   - Remove pageFilled and nrPages.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/Makefile.am
	  - Remove debug.h to make it easy to debug functions.
	* qt4/immodule/quiminputcontextplugin.pro.in
	  - Ditto.
	* qt4/immodule/debug.h
	  - Remove.
	* qt4/immodule/candidatewindow.cpp
	  - Use ENABLE_DEBUG macro.
	* qt4/immodule/plugin.cpp
	  - Ditto.
	* qt4/immodule/quiminputcontext.cpp
	  - Ditto.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::clearPreedit,
	     QUimInputContext::pushbackPreeditString,
	     QUimInputContext::getPreeditString,
	     QUimInputContext::getPreeditCursorPosition,
	     QUimInputContext::getPreeditSelectionLength,
	     QUimInputContext::getPreeditAttrs):
	  - Change psegs from QList<PreeditSegment*> to QList<PreeditSegment>
	    for efficiency.
	* qt4/immodule/quiminputcontext.h
	  - Ditto.
2010-03-25 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::QUimInputContext):
	    Remove meaningless code. psegs is initialized by default.
	  - (QUimInputContext::clearPreedit): Remove meaningless code.
	    After all elements are removed, we don't have to call clear() any more.
2010-03-22 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.cpp
	  - (CaretStateIndicator::setup): New function.
	  - (CaretStateIndicator::update):
	    Call setVisible(true) not inside update() but inside setup().
	* qt4/immodule/caretstateindicator.h
	  - Add CaretStateIndicator::setup().
	  - Make CaretStateIndicator::update() and CaretStateIndicator::setTimeout()
	    private.
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::setupIndicator):
	    Move its operation to CaretStateIndicator::setup().
2010-03-22 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::isPreeditRelocationEnabled):
	    Remove this unused function.
	* qt4/immodule/quiminputcontext.h
	  - Ditto.
2010-03-22 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qhelpermanager.cpp
	  - (QUimHelperManager::checkHelperConnection,
	     QUimHelperManager::slotStdinActivated):
	    Remove unused argument from slot.
	* qt4/immodule/qhelpermanager.h
	  - Ditto.
	* qt4/switcher/qt4.cpp
	  - (UimImSwitcher::checkHelperConnection,
	     UimImSwitcher::slotStdinActivated): Ditto.
	* qt4/switcher/qt4.h
	  - Ditto.
	* qt4/toolbar/common-uimstateindicator.cpp
	  - (UimStateIndicator::checkHelperConnection,
	     UimStateIndicator::slotStdinActivated): Ditto.
	* qt4/toolbar/common-uimstateindicator.h
	  - Ditto.
2010-03-22 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::setMicroFocus):
	    Remove last argument. QInputContext::setMicroFocus() no longer exists
	    in Qt4 and the last argument isn't used.
	* qt4/immodule/quiminputcontext.h
	  - Ditto.
2010-03-22 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	- qt4/immodule/quiminputcontext.cpp
	  * (QUimInputContext::readIMConf): Simplify.
2010-03-22 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.h
	  - Make isPreeditRelocationEnabled() and isPreeditPreservationEnabled()
	    non-virtual. Both are used only in QUimInputContext
	    and aren't overridden. For efficiency, we shouldn't make a function
	    virtual if not necessary
2010-03-22 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - Don't compare value of "eb-enable-for-annotation?"
	    with UIM_TRUE. See uim/uim.h.
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.cpp
	  - Define CaretStateIndicator::SPACING.
	  - (CaretStateIndicator::update): Use CaretStateIndicator::SPACING.
	* qt4/immodule/caretstateindicator.h
	  - Declare CaretStateIndicator::SPACING.
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::update): Use CaretStateIndicator::SPACING.
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.cpp
	* qt4/immodule/quiminputcontext.cpp
	  - Move indicator 3pt below caret as GTK+ immodule.
	    See the last line of caret_state_indicator_update()
	    in gtk/caret-state-indicator.c
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::update): Update location of indicator on caret move.
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::unsetFocus): Hide indicator on focus out.
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.cpp
	  - (CaretStateIndicator::CaretStateIndicator,
	     CaretStateIndicator::update, CaretStateIndicator::eventFilter):
	    Rename member variable.
	* qt4/immodule/caretstateindicator.h
	  - (CaretStateIndicator): Ditto.
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/caretstateindicator.h
	  - Include QtGui/QWidget instead of QtGui/QLabel.
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/Makefile.am
	  - (EXTRA_DIST): Add caretstateindicator.h and caretstateindicator.cpp.
	* qt4/immodule/caretstateindicator.cpp
	  - (CaretStateIndicator): New class.
	* qt4/immodule/caretstateindicator.h
	  - (CaretStateIndicator): New class.
	* qt4/immodule/qhelpermanager.cpp
	  - (QUimHelperManager::update_prop_list_cb):
	    Call QUimInputContext::setupIndicator().
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::QUimInputContext):
	    Construct instance of CaretStateIndicator.
	  - (QUimInputContext::setupIndicator): New function.
	* qt4/immodule/quiminputcontext.h
	  - (QUimInputContext::setupIndicator): New function.
	* qt4/immodule/quiminputcontextplugin.pro.in
	  - (HEADERS): Add caretstateindicator.h.
	  - (SOURCES): Add caretstateindicator.cpp.
2010-03-21 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - Change include order.
2010-03-20 Jae-hyeon Park <jhyeon@gmail.com>
	
	* scm/byeoru.scm
	  - a candidate can be selected by a numeral key
	  - replaced nth by list-ref, truncate-list by take, digit->string by
	    number->string
	  - other minor alterations
	* scm/byeoru-custom.scm
	  - replaced nth by list-ref
	
2010-03-19 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/bushuviewwidget.cpp
	* qt4/chardict/qt4.cpp
	* qt4/chardict/unicodeviewwidget.cpp
	* qt4/pref/customwidgets.cpp
	* qt4/pref/qt4.cpp
	    Adjust margins. Compared to the Qt3 version, the current margins are
	    too wide. This issue is obvious especially with the Plastique style.
	    This commit addresses this issue by setting the layout's margins to 0.
2010-03-19 IWATA Ray <iwata@quasiquote.org>
	
	* scm/pregexp.scm:
	  - New file.
	* COPYING:
	  - Add copyright.
	* scm/Makefile.am (SCM_FILES):
	  - Add pregexp.scm.
	
	  Import Dorai Sitaram's portable regular expression library.
	  http://evalwhen.com/pregexp/index.html
	
2010-03-17 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::cand_shift_page_cb): Don't use C-style cast.
2010-03-17 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/Makefile.am
	  - (EXTRA_DIST): Sort file list alphabetically.
	* qt4/immodule/quiminputcontextplugin.pro.in
	  - (HEADERS, SOURCES): Ditto.
2010-03-15 Jae-hyeon Park <jhyeon@gmail.com>
	
	* scm/byeoru.scm
	  - cosmetic changes only
	  - definitions of the following layouts have been simplified:
	    byeoru-layout-hangul2hanterm, byeoru-layout-hangul2,
	    byeoru-layout-strict3final, byeoru-layout-generous3final,
	    byeoru-layout-strict390, byeoru-layout-generous390,
	    byeoru-layout-no-shift, byeoru-romaja-rule
	  - (byeoru-look-up-dic): changed to (byeoru-lookup-word)
	
2010-03-15 Jae-hyeon Park <jhyeon@gmail.com>
	
	* scm/elatin-custom.scm
	  - elatin-use-completion?: amended the short description since
	    "TeX input" may sound like input of a real TeX file
	
2010-03-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qhelpermanager.cpp
	* qt4/immodule/qtextutil.cpp
	* qt4/immodule/quiminputcontext.cpp
	* qt4/immodule/quiminputcontext_compose.cpp
	* qt4/immodule/quiminputcontext_compose.h
	* qt4/pref/customwidgets.h
	* qt4/pref/qt4.cpp
	  - Use static_cast instead of C style casts. Using static_cast is safer
	    because it can't convert between incompatible types and can't cast
	    away constness. In fact, one of the C style casts in the codes had
	    removed constness.
2010-03-13 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/plugin.cpp
	* qt4/immodule/qhelpermanager.cpp
	* qt4/immodule/qtextutil.cpp
	* qt4/immodule/quiminputcontext.cpp
	* qt4/immodule/quiminputcontext_compose.cpp
	* qt4/pref/customwidgets.cpp
	* qt4/qtgettext.h
	* qt4/switcher/qt4.cpp
	  - Don't use QByteArray::operator const char *() const.
	    Use QByteArray::data(). This commit also removes many C style casts,
	    which should be avoided in C++.
2010-03-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::getPreeditAttrs):
	    Honor reversed-separator-background, separator-background,
	    reversed-separator-foreground, and separator-foreground settings.
2010-03-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (getUserDefinedColor): New function.
	  - (QUimInputContext::getPreeditAttrs):
	    Honor reversed-preedit-foreground and reversed-preedit-background
	    settings.
2010-03-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::prepare_page_candidates,
	     QUimInputContext::candidateActivate):
	    Don't call QList::clear() just after empty list is constructed.
	    It's meaningless.
2010-03-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext_compose.cpp
	  - (Compose::handle_qkey): Remove redundant code.
2010-03-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/quiminputcontext.cpp
	  - Fix typo.
2010-03-11 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qtextutil.cpp
	  - (QUimTextUtil::acquirePrimaryText, QUimTextUtil::acquireSelectionText,
	     QUimTextUtil::deletePrimaryText, QUimTextUtil::deleteSelectionText):
	    Replace QInputContext::focusWidget() with QApplication::focusWidget().
	    There is no description of QInputContext::focusWidget() in the Qt 4.5
	    documentation. We shouldn't call undocumented functions.
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::setFocus, QUimInputContext::unsetFocus,
	     QUimInputContext::update): Ditto.
	* qt4/immodule/quiminputcontext_with_slave.cpp
	  - (QUimInputContextWithSlave::setFocus,
	     QUimInputContextWithSlave::destroyInputContext): Ditto.
2010-03-11 Etsushi Kato <ek.kato@gmail.com>
	
	* helper/Makefile.am
	* gtk/Makefile.am
	  - Remove redundant and non-universal -Wall.
	
2010-03-11 Etsushi Kato <ek.kato@gmail.com>
	
	* replace/Makefile.am (strtonum.lo) : Add -std=c99 into CFLAGS for
	  darwin.
	
2010-03-08 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow, CandidateWindow::popup,
	     CandidateWindow::eventFilter): Add event filter to fix bug #13911.
	    A candidate window follows the move of a main window with this commit.
	* qt4/immodule/candidatewindow.h
	  - Ditto.
2010-03-07 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/toolbar/applet-kde4.cpp
	  - (UimApplet::UimApplet): Prevent plasmoid from shrinking horizontally.
	    When a panel is full of widgets, the current KDE4 plasmoid shrinks,
	    which is an unwanted behaviour. This commit fixes the behaviour
	    by setting the size policy to QSizePolicy::Fixed.
2010-03-07 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::CandidateWindow, CandidateWindow::strParse,
	     CandidateWindow::setIndex): Disable auto scroll in table widget.
	    This commit is a true fix for a bug in selecting a cell
	    and also removes the workaround added in r6217 and r6225.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow, CandidateWindow::setIndex,
	     CandidateWindow::setIndexInPage, CandidateWindow::shiftPage): Ditto.
2010-03-07 Jae-hyeon Park <jhyeon@gmail.com>
	
	A major revision of elatin for incorporating TeX style rules (which
	used to be omitted of rules from the Emacs quail packages).
	Thanks to Vincent Gross for the suggestion.
	[see http://www.mail-archive.com/uim-en@googlegroups.com/msg00196.html]
	To ease input of long sequences, elatin now offers preedit completion,
	initiated on the tab key by default.
	
	* scm/elatin.scm
	
	  - many changes for preedit completion
	  - multiple translations (appearing in the British rule) can also be
	    navigated by arrow keys etc.
	  - (elatin-update-preedit): less frequently calls (im-update-preedit);
	    this eliminates glitches in the form completion interface of
	    firefox for example
	  - (elatin-context-new): checks if the custom variable elatin-rules
	    has a valid value since some rule are no longer available
	  - (elatin-focus-out-handler): now handles focus-out events
	  - other minor cleanups
	
	* scm/elatin-rules.scm
	
	  - rules synced to those in GNU Emacs 23.1
	  - this means that the following rules are no longer included:
	    danish-alt-postfix, esperanto-alt-postfix, finnish-alt-postfix,
	    german-alt-postfix, icelandic-alt-postfix, norwegian-alt-postfix,
	    scandinavian-alt-postfix, spanish-alt-postfix,
	    swedish-alt-postfix; they were identical to the non-alt versions;
	    also deleted are: turkish-latin-3-postfix,
	    turkish-latin-3-alt-postfix, which were identical to the
	    non-latin-3 versions
	  - added elatin-rules-TeX
	  - rules are expanded by a macro so that the source file becomes
	    smaller
	
	* scm/elatin-custom.scm
	
	  - added new custom variables for preedit completion
	  - updated list of choices for elatin-rules
	
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* xim/ximserver.cpp
	  - (init_modifier_keys): Add cast to suppress warning.
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* xim/canddisp.cpp
	* xim/compose.cpp
	* xim/connection.cpp
	* xim/convdisp.cpp
	* xim/helper.cpp
	* xim/locale.cpp
	* xim/main.cpp
	* xim/util.cpp
	* xim/util.h
	* xim/xim.h
	* xim/ximic.cpp
	* xim/ximim.cpp
	* xim/ximpacket.cpp
	* xim/ximserver.cpp
	* xim/ximtrans.cpp
	  - Don't include header files such as <stdio.h>, <stdlib.h> and <string.h>.
	    They are deprecated in C++ (ISO/IEC 14882:2003).
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow, CandidateWindow::setPage,
	     CandidateWindow::updateLabel):
	    Add column for annotation only when eb-enable-for-annotation is #t.
	* qt4/immodule/candidatewindow.h
	  - Add CandidateWindow::hasAnnotation.
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::CandidateWindow):
	    Call hide() after setLayout() is called.
	* qt4/immodule/subwindow.cpp
	  - (SubWindow::SubWindow): Ditto.
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow): Use initialization list.
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::CandidateWindow): Ditto.
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow):
	    Don't call QList::clear() in constructor. It's meaningless.
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setIndex, CandidateWindow::shiftPage):
	    Fix bug in selecting cell. Currently, cells in the 1st column are
	    hidden when a cell in the 3rd or 4th column is selected by a click.
	    This commit is a workaround for this issue.
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::setIndex): Ditto.
2010-03-05 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateListView::sizeHint): Add comment.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateListView::sizeHint): Ditto.
2010-03-04 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::CandidateWindow,
	     CandidateWindow::adjustCandidateWindowSize):
	    Add dummy column to adjust size.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow, CandidateListView::sizeHint):
	    Ditto.
2010-03-04 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::CandidateWindow,
	     CandidateWindow::adjustCandidateWindowSize):
	    Use setMinimumWidth.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow, CandidateListView::sizeHint):
	    Ditto.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setPage, CandidateWindow::slotHookSubwindow):
	    Don't use magic numbers
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow, CandidateWindow::slotHookSubwindow):
	    Add column for annotation.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/subwindow.cpp
	  - (SubWindow::SubWindow): Correct margin.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::setIndex):
	    Call selectRow() instead of calling setSelected() twice.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setIndex, CandidateWindow::shiftPage): Ditto.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - Fix bug in selecting row partially.
	* qt4/immodule/candidatewindow.cpp
	  - Ditto.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::CandidateWindow,
	    CandidateWindow::slotCandidateSelected):
	    Use cellClicked instead of itemClicked.
	* qt4/candwin/qt4.h
	  - Ditto.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::CandidateWindow, CandidateWindow::setIndex,
	    CandidateWindow::slotCandidateSelected): Ditto.
	* qt4/immodule/candidatewindow.h
	  - Ditto.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::setPage): Optimize.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setPage): Ditto.
2010-03-03 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/candwin/uim-candwin-qt4.pro.in
	* qt4/chardict/uim-chardict-qt4.pro.in
	* qt4/pref/uim-pref-qt4.pro.in
	* qt4/switcher/uim-im-switcher-qt4.pro.in
	* qt4/toolbar/uim-toolbar-qt4.pro.in
	  - (LIBS) : Add @LIBINTL@.
	
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::adjustCandidateWindowSize): Fix column size.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::sizeHint, CandidateListView::sizeHint): Ditto.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/chardict/chargridview.cpp
	  - (CharGridView::resizeEvent): Use Q_UNUSED macro to suppress warning.
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::layoutWindow): Ditto.
	* qt4/immodule/qhelpermanager.cpp
	  - (QUimHelperManager::slotStdinActivated): Ditto.
	* qt4/immodule/quiminputcontext.cpp
	  - (QUimInputContext::x11FilterEvent, QUimInputContext::reloadUim): Ditto.
	* qt4/pref/customwidgets.cpp
	  - (KeyGrabDialog::keyReleaseEvent): Ditto.
	* qt4/switcher/qt4.cpp
	  - (UimImSwitcher::selectedImName): Ditto.
	* qt4/toolbar/common-uimstateindicator.cpp
	  - (UimStateIndicator::slotStdinActivated): Ditto.
	* qt4/toolbar/standalone-qt4.cpp
	  - (UimToolbarDraggingHandler::mousePressEvent,
	    UimToolbarDraggingHandler::mouseReleaseEvent,
	    UimToolbarDraggingHandler::mouseMoveEvent,
	    UimToolbarDraggingHandler::mouseDoubleClickEvent): Ditto.
2010-03-03 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	  - (CandidateWindow::setPage, CandidateWindow::setIndex):
	    Remove unneeded casts.
2010-03-02 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/candwin/qt4.cpp
	  - (CandidateWindow::adjustCandidateWindowSize): Fix column width.
2010-03-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - Expand tab to spaces.
2010-03-01 Etsushi Kato <ek.kato@gmail.com>
	
	* qt4/immodule/quiminputcontextplugin.pro.in (LIBS): Added @X11_LIBS@.
	
2010-03-01 Etsushi Kato <ek.kato@gmail.com>
	
	* configure.ac (UIM_LIBEXECDIR) : Set for AC_SUBST.
	* qt4/candwin/uim-candwin-qt4.pro.in (target.path) : Use
	  UIM_LIBEXECDIR instead of libexecdir to fix r6127.
	
2010-03-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* configure.ac
	  - Add `--enable-qt4-qt3support' option. With this option, you can
	    enable or disable the support for the Qt3Support module in Qt4.
	    What this option actually does is switching the support for Q3TextEdit
	    in Qt4 immodule (see also the ENABLE_QT4_QT3SUPPORT macro
	    in qt4/immodule/qtextutil.cpp).
	    Q3TextEdit is in the Qt3Support module and, as the other classes
	    in the Qt3Support, is obsolete and exists for compatibility.
	    This option is for users who have Qt4 with Qt3Support disabled
	    on their *nix boxes.
2010-03-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	* qt4/immodule/qhelpermanager.cpp
	* qt4/immodule/qtextutil.cpp
	* qt4/immodule/quiminputcontext.cpp
	* qt4/immodule/quiminputcontext_compose.cpp
	* qt4/immodule/quiminputcontextplugin.pro.in
	* qt4/immodule/subwindow.cpp
	  - Remove dependency on Qt3Support module.
2010-03-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
	* qt4/immodule/candidatewindow.h
	* qt4/immodule/plugin.cpp
	* qt4/immodule/plugin.h
	* qt4/immodule/qhelpermanager.cpp
	* qt4/immodule/qhelpermanager.h
	* qt4/immodule/qtextutil.cpp
	* qt4/immodule/qtextutil.h
	* qt4/immodule/quiminfomanager.cpp
	* qt4/immodule/quiminputcontext.cpp
	* qt4/immodule/quiminputcontext.h
	* qt4/immodule/quiminputcontext_compose.cpp
	* qt4/immodule/quiminputcontext_compose.h
	* qt4/immodule/subwindow.cpp
	  - Change include order.
2010-03-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/qtextutil.cpp
	* qt4/immodule/quiminputcontext.cpp
	* qt4/immodule/quiminputcontext_compose.cpp
	  - Don't include deprecated header files.
2010-03-01 Muneyuki Noguchi <nogu.dev@gmail.com>
	
	* qt4/immodule/candidatewindow.cpp
